// (c) 2014, SAS Institute Inc.

sap.ui.define(['jquery.sap.global', 'sap/ui/core/Core',
    "sap/ui/core/library", // library dependency
    "sap/ui/layout/library" // library dependency
],
    function(jQuery) {
        "use strict";

        /**
         * @namespace
         * @name sas.hc.ui.layout
         * @public
         */

        // delegate further initialization of this library to the Core
        sap.ui.getCore().initLibrary({
            name : "sas.hc.ui.layout",
            dependencies : ["sap.ui.layout","sap.ui.core"],
            types : [
            ],
            interfaces : [
            ],
            controls : [
                "sas.hc.ui.layout.FixFlex",
                "sas.hc.ui.layout.FrozenHeaderContainer",
                "sas.hc.ui.layout.Grid",
                "sas.hc.ui.layout.GridData",
                "sas.hc.ui.layout.HorizontalLayout",
                "sas.hc.ui.layout.Masonry",
                "sas.hc.ui.layout.MasonryData",
                "sas.hc.ui.layout.MasonryLayoutMode",
                "sas.hc.ui.layout.MasonryTile",
                "sas.hc.ui.layout.ResponsiveFlowLayout",
                "sas.hc.ui.layout.ResponsiveFlowLayoutData",
                "sas.hc.ui.layout.Splitter",
                "sas.hc.ui.layout.SplitterLayoutData",
                "sas.hc.ui.layout.VerticalLayout",
                "sas.hc.ui.layout.form.Form",
                "sas.hc.ui.layout.form.FormContainer",
                "sas.hc.ui.layout.form.FormElement",
                "sas.hc.ui.layout.form.FormLayout",
                "sas.hc.ui.layout.form.GridContainerData",
                "sas.hc.ui.layout.form.GridElementData",
                "sas.hc.ui.layout.form.GridLayout",
                "sas.hc.ui.layout.form.ResponsiveGridLayout",
                "sas.hc.ui.layout.form.ResponsiveLayout",
                "sas.hc.ui.layout.form.SimpleForm"
            ],
            elements : [
            ],
            version : "904001.7.1.20231215124400_f0htmcm94p"});

        ////////////////////////////////////////////////
        ////Key for splitter pane sizes HTMLCOMMONS-3215
        ////////////////////////////////////////////////
        sas.hc.ui.layout.SETTINGS_SPLITTER_SIZES = {
            SPLITTER_PANES_SIZES: "SPLITTER_PANES_SIZES"
        };

        return sas.hc.ui.layout;
    }
);