sap.ui.require.preload({
	"sap/ui/fl/Cache.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Utils\"],function(e,n){\"use strict\";var t=function(){};return t._isOn=!0,t._entries={},t._switches={},t._oFlexDataPromise=void 0,t.getSwitches=function(){return t._switches},t.isActive=function(){return t._isOn},t.setActive=function(e){t._isOn=e},t.getFlexDataPromise=function(){return t._oFlexDataPromise},t.getEntries=function(){return t._entries},t.clearEntries=function(){t._entries={}},t.getEntry=function(e,n){return t._entries[e]||(t._entries[e]={}),t._entries[e][n]||(t._entries[e][n]={file:{changes:{changes:[],contexts:[],variantSection:{},ui2personalization:{}}}}),t._entries[e][n]},t.clearEntry=function(e,n){t.getEntry(e,n),t._entries[e][n]={}},t._deleteEntry=function(e,n){t._entries[e]&&t._entries[e][n]&&delete t._entries[e][n],jQuery.isEmptyObject(t._entries[e])&&delete t._entries[e]},t.getChangesFillingCache=function(e,r,i){if(!this.isActive())return e.loadChanges(r,i);var a=r.name,s=r.appVersion||n.DEFAULT_APP_VERSION,o=t.getEntry(a,s);if(o.promise)return o.promise;var c=t._getChangesFromBundle(i);if(i&&\"<NO CHANGES>\"===i.cacheKey){var u=c.then(function(e){return o.file={changes:{changes:e,contexts:[],variantSection:{},ui2personalization:{}},componentClassName:a},o.file});return o.promise=u,u}var l=e.loadChanges(r,i),h=l.then(function(e){return e},function(e){var n=jQuery.sap.formatMessage(\"flexibility service is not available:\\nError message: {0}\",e.status);return jQuery.sap.log.error(n),Promise.resolve({changes:{changes:[],contexts:[],variantSection:{},ui2personalization:{}}})}),u=Promise.all([c,h]).then(function(e){var n=e[0],r=e[1];return r&&r.changes&&(r.changes.settings&&r.changes.settings.switchedOnBusinessFunctions&&r.changes.settings.switchedOnBusinessFunctions.forEach(function(e){t._switches[e]=!0}),r.changes.changes=n.concat(r.changes.changes)),o.file=r,o.file},function(e){throw t._deleteEntry(a,s),e});return o.promise=u,t._oFlexDataPromise=l,u},t._getChangesFromBundle=function(e){if(!e||!e.appName)return Promise.resolve([]);var n=jQuery.sap.getResourceName(e.appName,\"/changes/changes-bundle.json\");if(jQuery.sap.isResourceLoaded(n))return Promise.resolve(jQuery.sap.loadResource(n));if(!sap.ui.getCore().getConfiguration().getDebug())return Promise.resolve([]);try{return Promise.resolve(jQuery.sap.loadResource(n))}catch(e){return jQuery.sap.log.warning(\"flexibility did not find a changesBundle.json  for the application\"),Promise.resolve([])}},t.NOTAG=\"<NoTag>\",t.getCacheKey=function(n){return n&&n.name&&n.appVersion?this.getChangesFillingCache(new e,n).then(function(e){return e&&e.etag?e.etag:t.NOTAG}):(jQuery.sap.log.warning(\"Not all parameters were passed to determine a flexibility cache key.\"),Promise.resolve(t.NOTAG))},t._getChangeArray=function(e){var r=e.name,i=e.appVersion||n.DEFAULT_APP_VERSION;return t.getEntry(r,i).file.changes.changes},t.addChange=function(e,n){var r=t._getChangeArray(e);r&&r.push(n)},t.updateChange=function(e,n){var r=t._getChangeArray(e);if(r)for(var i=0;i<r.length;i++)if(r[i].fileName===n.fileName){r.splice(i,1,n);break}},t.deleteChange=function(e,n){var r=t._getChangeArray(e);if(r)for(var i=0;i<r.length;i++)if(r[i].fileName===n.fileName){r.splice(i,1);break}},t.getPersonalization=function(n,t,r,i){var a={name:n,appVersion:t};return this.getChangesFillingCache(e.createConnector(),a).then(function(e){return e&&e.changes&&e.changes.ui2personalization&&e.changes.ui2personalization[r]?i?e.changes.ui2personalization[r].filter(function(e){return e.itemName===i})[0]:e.changes.ui2personalization[r]||[]:i?void 0:[]})},t.setPersonalization=function(n){return n&&n.reference&&n.containerKey&&n.itemName&&n.content?e.createConnector().send(\"/sap/bc/lrep/ui2personalization/\",\"PUT\",n,{}).then(this._addPersonalizationToEntries.bind(this,n)):Promise.reject(\"not all mandatory properties were provided for the storage of the personalization\")},t._addPersonalizationToEntries=function(e){Object.keys(this._entries[e.reference]).forEach(function(n){var t=this._entries[e.reference][n],r=t.file.changes.ui2personalization;r[e.containerKey]||(r[e.containerKey]=[]),r[e.containerKey].push(e)}.bind(this))},t.deletePersonalization=function(n,t,r){if(!n||!t||!r)return Promise.reject(\"not all mandatory properties were provided for the storage of the personalization\");var i=\"/sap/bc/lrep/ui2personalization/?reference=\";return i+=n+\"&containerkey=\"+t+\"&itemname=\"+r,e.createConnector().send(i,\"DELETE\",{}).then(this._removePersonalizationFromEntries.bind(this,n,t,r))},t._removePersonalizationFromEntries=function(e,n,t){var r=[];return Object.keys(this._entries[e]).forEach(function(i){var a=this.getPersonalization(e,i,n),s=this.getPersonalization(e,i,n,t),o=Promise.all([a,s]).then(function(e){var n=e[0],t=e[1],r=n.indexOf(t);n.splice(r,1)});r.push(o)}.bind(this)),Promise.all(r)},t},!0);",
	"sap/ui/fl/Change.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/base/ManagedObject\",\"sap/ui/fl/Utils\",\"sap/ui/fl/registry/Settings\"],function(e,t,i,n){\"use strict\";var o=t.extend(\"sap.ui.fl.Change\",{constructor:function(n){t.apply(this),e.isPlainObject(n)||i.log.error(\"Constructor : sap.ui.fl.Change : oFile is not defined\"),this._oDefinition=n,this._sRequest=\"\",this._bUserDependent=\"USER\"===n.layer,this._vRevertData=null,this.setState(o.states.NEW)},metadata:{properties:{state:{type:\"string\"}}}});return o.states={NEW:\"NEW\",PERSISTED:\"NONE\",DELETED:\"DELETE\",DIRTY:\"UPDATE\"},o.prototype.setState=function(e){return this._isValidState(e)&&this.setProperty(\"state\",e),this},o.prototype._isValidState=function(e){var t=!1;return Object.keys(o.states).some(function(i){return o.states[i]===e&&(t=!0),t}),!!t&&(this.getState()!==o.states.NEW||e!==o.states.DIRTY)},o.prototype.isValid=function(){var e=!0;return\"object\"!=typeof this._oDefinition&&(e=!1),this._oDefinition.fileType||(e=!1),this._oDefinition.fileName||(e=!1),this._oDefinition.changeType||(e=!1),this._oDefinition.layer||(e=!1),this._oDefinition.originalLanguage||(e=!1),e},o.prototype.isVariant=function(){return\"variant\"===this._oDefinition.fileType},o.prototype.getChangeType=function(){if(this._oDefinition)return this._oDefinition.changeType},o.prototype.getFileType=function(){if(this._oDefinition)return this._oDefinition.fileType},o.prototype.getOriginalLanguage=function(){return this._oDefinition&&this._oDefinition.originalLanguage?this._oDefinition.originalLanguage:\"\"},o.prototype.getContext=function(){return this._oDefinition&&this._oDefinition.context?this._oDefinition.context:\"\"},o.prototype.getPackage=function(){return this._oDefinition.packageName},o.prototype.getNamespace=function(){return this._oDefinition.namespace},o.prototype.setNamespace=function(e){this._oDefinition.namespace=e},o.prototype.getId=function(){return this._oDefinition.fileName},o.prototype.getContent=function(){return this._oDefinition.content},o.prototype.setContent=function(e){this._oDefinition.content=e,this.setState(o.states.DIRTY)},o.prototype.getVariantReference=function(){return this._oDefinition.variantReference||\"\"},o.prototype.setVariantReference=function(e){this._oDefinition.variantReference=e,this.setState(o.states.DIRTY)},o.prototype.getSelector=function(){return this._oDefinition.selector},o.prototype.getOwnerId=function(){return this._oDefinition.support?this._oDefinition.support.user:\"\"},o.prototype.getText=function(e){return\"string\"!=typeof e&&i.log.error(\"sap.ui.fl.Change.getTexts : sTextId is not defined\"),this._oDefinition.texts&&this._oDefinition.texts[e]?this._oDefinition.texts[e].value:\"\"},o.prototype.setText=function(e,t){if(\"string\"!=typeof e)return void i.log.error(\"sap.ui.fl.Change.setTexts : sTextId is not defined\");this._oDefinition.texts&&this._oDefinition.texts[e]&&(this._oDefinition.texts[e].value=t,this.setState(o.states.DIRTY))},o.prototype.isReadOnly=function(){return this._isReadOnlyDueToLayer()||this._isReadOnlyWhenNotKeyUser()},o.prototype._isReadOnlyWhenNotKeyUser=function(){if(this.isUserDependent())return!1;if(!this.getDefinition().reference)return!0;var e=n.getInstanceOrUndef();return!e||!e.isKeyUser()},o.prototype.isLabelReadOnly=function(){return!!this._isReadOnlyDueToLayer()||this._isReadOnlyDueToOriginalLanguage()},o.prototype._isReadOnlyDueToLayer=function(){var e;return e=i.getCurrentLayer(this._bUserDependent),this._oDefinition.layer!==e},o.prototype._isReadOnlyDueToOriginalLanguage=function(){var e;return!!(e=this.getOriginalLanguage())&&i.getCurrentLanguage()!==e},o.prototype.markForDeletion=function(){this.setState(o.states.DELETED)},o.prototype.setRequest=function(e){\"string\"!=typeof e&&i.log.error(\"sap.ui.fl.Change.setRequest : sRequest is not defined\"),this._sRequest=e},o.prototype.getRequest=function(){return this._sRequest},o.prototype.getLayer=function(){return this._oDefinition.layer},o.prototype.getComponent=function(){return this._oDefinition.reference},o.prototype.setComponent=function(e){this._oDefinition.reference=e},o.prototype.getCreation=function(){return this._oDefinition.creation},o.prototype.isUserDependent=function(){return this._bUserDependent},o.prototype.getPendingAction=function(){return this.getState()},o.prototype.getDefinition=function(){return this._oDefinition},o.prototype.setResponse=function(e){var t=JSON.stringify(e);t&&(this._oDefinition=JSON.parse(t),this.setState(o.states.PERSISTED))},o.prototype.getFullFileIdentifier=function(){return this.getLayer()+\"/\"+this.getNamespace()+\"/\"+this.getDefinition().fileName+\".\"+this.getDefinition().fileType},o.prototype.addDependentControl=function(e,t,i,n){if(!e)throw new Error(\"Parameter vControl is mandatory\");if(!t)throw new Error(\"Parameter sAlias is mandatory\");if(!i)throw new Error(\"Parameter mPropertyBag is mandatory\");if(this._oDefinition.dependentSelector||(this._oDefinition.dependentSelector={}),this._oDefinition.dependentSelector[t])throw new Error(\"Alias '\"+t+\"' already exists in the change.\");var o=i.modifier,r=i.appComponent;if(Array.isArray(e)){var s=[];e.forEach(function(e){s.push(o.getSelector(e,r,n))}),this._oDefinition.dependentSelector[t]=s}else this._oDefinition.dependentSelector[t]=o.getSelector(e,r,n);delete this._aDependentIdList},o.prototype.getDependentControl=function(e,t){var i,n=[];if(!e)throw new Error(\"Parameter sAlias is mandatory\");if(!t)throw new Error(\"Parameter mPropertyBag is mandatory\");var o=t.modifier,r=t.appComponent;if(this._oDefinition.dependentSelector)return i=this._oDefinition.dependentSelector[e],Array.isArray(i)?(i.forEach(function(e){n.push(o.bySelector(e,r,t.view))}),n):o.bySelector(i,r,t.view)},o.prototype.getDependentIdList=function(e){var t,i=this,n=[this.getSelector()],o=[];return this._aDependentIdList||(this._oDefinition.dependentSelector&&(n=Object.keys(this._oDefinition.dependentSelector).reduce(function(e,t){return e.concat(i._oDefinition.dependentSelector[t])},n)),n.forEach(function(i){t=i.id,i.idIsLocal&&(t=e.createId(i.id)),t&&-1===o.indexOf(t)&&o.push(t)}),this._aDependentIdList=o),this._aDependentIdList},o.prototype.getDependentControlIdList=function(e){var t,i=this.getDependentIdList().concat();if(i.length>0){var n=this.getSelector();t=n.id,n.idIsLocal&&(t=e.createId(n.id));var o=i.indexOf(t);o>-1&&i.splice(o,1)}return i},o.prototype.getRevertData=function(){return this._vRevertData},o.prototype.setRevertData=function(e){this._vRevertData=e},o.prototype.resetRevertData=function(){this.setRevertData(null)},o.createInitialFileContent=function(e){e||(e={});var t;return t=e.fileType?e.fileType:e.isVariant?\"variant\":\"change\",{fileName:e.id||i.createDefaultFileName(e.changeType),fileType:t,changeType:e.changeType||\"\",reference:e.reference||\"\",packageName:e.packageName||\"\",content:e.content||{},selector:e.selector||{},layer:e.layer||i.getCurrentLayer(e.isUserDependent),texts:e.texts||{},namespace:e.namespace||i.createNamespace(e,\"changes\"),creation:\"\",originalLanguage:i.getCurrentLanguage(),conditions:{},context:e.context||\"\",support:{generator:e.generator||\"Change.createInitialFileContent\",service:e.service||\"\",user:\"\",sapui5Version:sap.ui.version},dependentSelector:e.dependentSelector||{},validAppVersions:e.validAppVersions||{}}},o},!0);",
	"sap/ui/fl/changeHandler/AddXML.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/changeHandler/Base\",\"sap/ui/fl/Utils\"],function(t,e,n){\"use strict\";var r={},o=function(t){t.forEach(function(t){t.destroy&&t.destroy()})};return r.applyChange=function(t,e,r){var a=r.modifier,i=t.getDefinition(),g=i.content.targetAggregation;if(!i.content.fragment)throw new Error(\"The content of the fragment is not set. This should happen in the backend\");var c,f=n.asciiToString(i.content.fragment),h=i.content.index,s=r.view,u=n.getViewForControl(e),d=u&&u.getController();try{c=a.instantiateFragment(f,t.getId(),u,d)}catch(t){throw new Error(\"The following XML Fragment could not be instantiated: \"+f)}var l=a.findAggregation(e,g);if(!l)throw o(c),new Error(\"The given Aggregation is not available in the given control: \"+a.getId(e));return c.forEach(function(t,n){if(!a.validateType(t,l,e,f,n))throw o(c),new Error(\"The content of the xml fragment does not match the type of the targetAggregation: \"+l.type)}),c.forEach(function(t,n){a.insertAggregation(e,g,t,h+n,s)}),t.setRevertData(c.map(function(t){return a.getId(t)})),!0},r.revertChange=function(t,e,n){var r=n.modifier,a=t.getDefinition(),i=a.content.targetAggregation,g=n.view,c=n.appComponent,f=t.getRevertData()||[],h=f.map(function(t){return r.bySelector(t,c,g)});return h.forEach(function(t){r.removeAggregation(e,i,t)}),o(h),t.resetRevertData(),!0},r.completeChangeContent=function(t,e){var n=t.getDefinition(),r=function(t){throw new Error(\"Attribute missing from the change specific content'\"+t+\"'\")};n.content||(n.content={}),e.fragmentPath?n.content.fragmentPath=e.fragmentPath:r(\"fragmentPath\"),e.targetAggregation?n.content.targetAggregation=e.targetAggregation:r(\"targetAggregation\"),void 0!==e.index?n.content.index=e.index:r(\"index\")},r},!0);",
	"sap/ui/fl/changeHandler/Base.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define(function(){\"use strict\";var t={};return t.setTextInChange=function(t,e,s,n){t.texts||(t.texts={}),t.texts[e]||(t.texts[e]={}),t.texts[e].value=s,t.texts[e].type=n},t},!0);",
	"sap/ui/fl/changeHandler/BaseRename.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"./Base\",\"sap/ui/fl/Utils\"],function(e,t){\"use strict\";return{createRenameChangeHandler:function(r){return r.changePropertyName=r.changePropertyName||\"newText\",{applyChange:function(e,n,o){var a=o.modifier,i=r.propertyName,p=e.getDefinition(),g=p.texts[r.changePropertyName],f=g.value;if(p.texts&&g&&\"string\"==typeof f)return e.setRevertData(a.getProperty(n,i)),t.isBinding(f)?a.setPropertyBinding(n,i,f):a.setProperty(n,i,f),!0;t.log.error(\"Change does not contain sufficient information to be applied: [\"+p.layer+\"]\"+p.namespace+\"/\"+p.fileName+\".\"+p.fileType)},revertChange:function(e,n,o){var a=e.getRevertData();if(a||\"\"===a){var i=o.modifier,p=r.propertyName;return i.setProperty(n,p,a),e.resetRevertData(),!0}t.log.error(\"Change doesn't contain sufficient information to be reverted. Most Likely the Change didn't go through applyChange.\")},completeChangeContent:function(t,n,o){var a=t.getDefinition(),i=r.changePropertyName,p=r.translationTextType,g=o.modifier.bySelector(t.getSelector(),o.appComponent);if(a.content.originalControlType=o.modifier.getControlType(g),\"string\"!=typeof n.value)throw new Error(\"oSpecificChangeInfo.value attribute required\");e.setTextInChange(a,i,n.value,p)}}}}},!0);",
	"sap/ui/fl/changeHandler/BaseTreeModifier.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\",\"sap/ui/base/ManagedObject\"],function(e,t){\"use strict\";return{bySelector:function(e,t,o){var r=this.getControlIdBySelector(e,t);return this._byId(r,o)},getControlIdBySelector:function(e,t){if(e){\"string\"==typeof e&&(e={id:e});var o=e.id;if(e.idIsLocal){if(!t)throw new Error(\"App Component instance needed to get a control's id from selector\");o=t.createId(o)}else{if(!!/^application-[^-]*-[^-]*-component---/gim.exec(e.id)){if(o=o.replace(/^application-[^-]*-[^-]*-component---/g,\"\"),!t)throw new Error(\"App Component instance needed to get a control's id from selector\");o=t.createId(o)}}return o}},getSelector:function(o,r,i){var n=o;if(o instanceof t)n=o.getId();else if(!r)throw new Error(\"App Component instance needed to get a selector from string id\");if(i&&(i.id||i.idIsLocal))throw new Error(\"A selector of control with the id '\"+n+\"' was requested, but core properties were overwritten by the additionally passed information.\");if(!e.checkControlId(o,r))throw new Error(\"Generated id attribute found - to offer flexibility a stable control id is needed to assign the changes to, but for this control the id was generated by SAPUI5 \"+n);var a=jQuery.extend(i||{},{id:\"\",idIsLocal:!1},!0);if(e.hasLocalIdSuffix(o,r)){var d=r.getLocalId(n);a.id=d,a.idIsLocal=!0}else a.id=n;return a}}});",
	"sap/ui/fl/changeHandler/ChangeHandlerMediator.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(e){\"use strict\";var n={};return n._aChangeHandlerSettings=[],[\"addODataField\",\"addODataFieldWithLabel\"].forEach(function(e){[\"2.0\",\"1.0\"].forEach(function(t){n._aChangeHandlerSettings.push({key:{scenario:e,oDataServiceVersion:t},content:{requiredLibraries:{\"sap.ui.comp\":{minVersion:\"1.48\",lazy:!1}}},scenarioInitialized:!1})})}),n.addChangeHandlerSettings=function(n,t){var i;if(!n||!t)throw new Error(\"New entry in ChangeHandlerMediator requires a key and settings\");i={key:n,content:t,scenarioInitialized:!1};var a=this.getChangeHandlerSettings(n,!0),r=this._aChangeHandlerSettings.indexOf(a);r>-1?(e.extend(this._aChangeHandlerSettings[r].content,i.content),this._aChangeHandlerSettings[r].scenarioInitialized=!1):(this._aChangeHandlerSettings.push(i),this._createChangeHandlerSettingsGetter(i))},n.getChangeHandlerSettings=function(e,n){var t,i=Object.keys(e);if(i.length>0&&(t=this._aChangeHandlerSettings.filter(function(n,t){if(Object.keys(n.key).length===i.length&&i.filter(function(t){if(n.key[t]===e[t])return!0}).length===i.length)return!0})[0],n||!t||t.scenarioInitialized||(t.scenarioInitialized=this._initializeScenario(t))),n||t&&t.scenarioInitialized)return t},n._initializeScenario=function(n){var t;if(n.content.requiredLibraries)try{Object.keys(n.content.requiredLibraries).forEach(function(e){t=e,sap.ui.getCore().loadLibrary(e)});var i=this._aChangeHandlerSettings.indexOf(n);return this._aChangeHandlerSettings[i].scenarioInitialized=!0,!0}catch(i){return e.sap.log.warning(\"Required library not available: \"+t+\" - \"+n.key.scenario+\" could not be initialized\"),!1}},n._createChangeHandlerSettingsGetter=function(t){var i=\"get\"+e.sap.charToUpperCase(t.key.scenario)+\"Settings\";n[i]||(n[i]=function(n){var i,a;try{i=n.getModel().getMetaModel().getProperty(\"/dataServices/dataServiceVersion\")}catch(n){e.sap.log.warning(\"Data service version could not be retrieved\")}if((a=this.getChangeHandlerSettings({scenario:t.key.scenario,oDataServiceVersion:i}))&&a.content&&a.content.createFunction)return a})},n._aChangeHandlerSettings.forEach(function(e){n._createChangeHandlerSettingsGetter(e)}),n},!0);",
	"sap/ui/fl/changeHandler/HideControl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(e){\"use strict\";var t={};return t.applyChange=function(e,t,r){return e.setRevertData({originalValue:r.modifier.getVisible(t)}),r.modifier.setVisible(t,!1),!0},t.revertChange=function(t,r,i){var a=t.getRevertData();return a?(i.modifier.setVisible(r,a.originalValue),t.resetRevertData(),!0):(e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1)},t.completeChangeContent=function(e,t){},t},!0);",
	"sap/ui/fl/changeHandler/JsControlTreeModifier.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/changeHandler/BaseTreeModifier\",\"sap/ui/fl/Utils\"],function(t,e){\"use strict\";var n={targets:\"jsControlTree\",setVisible:function(t,e){if(!t.setVisible)throw new Error(\"Provided control instance has no setVisible method\");this.unbindProperty(t,\"visible\"),t.setVisible(e)},getVisible:function(t){if(t.getVisible)return t.getVisible();throw new Error(\"Provided control instance has no getVisible method\")},setStashed:function(t,e){if(!t.setStashed)throw new Error(\"Provided control instance has no setStashed method\");t.setVisible&&t.setVisible(!e),t.setStashed(e)},getStashed:function(t){if(t.getStashed)return t.getStashed();throw new Error(\"Provided control instance has no getStashed method\")},bindProperty:function(t,e,n){t.bindProperty(e,n)},unbindProperty:function(t,e){t&&t.unbindProperty(e,!0)},setProperty:function(t,e,n){var r=t.getMetadata().getPropertyLikeSetting(e);if(this.unbindProperty(t,e),r){t[r._sMutator](n)}},getProperty:function(t,e){var n=t.getMetadata().getPropertyLikeSetting(e);if(n){return t[n._sGetter]()}},setPropertyBinding:function(t,e,n){this.unbindProperty(t,e);var r={};r[e]=n,t.applySettings(r)},getPropertyBinding:function(t,e){return t.getBindingInfo(e)},createControl:function(t,e,n,r,i){if(this.bySelector(r,e))throw new Error(\"Can't create a control with duplicated id \"+r);return jQuery.sap.require(t),new(jQuery.sap.getObject(t))(this.getControlIdBySelector(r,e),i)},byId:function(t){return this._byId(t)},_byId:function(t){return sap.ui.getCore().byId(t)},getId:function(t){return t.getId()},getParent:function(t){return t.getParent()},getControlType:function(t){return e.getControlType(t)},getAllAggregations:function(t){return t.getMetadata().getAllAggregations()},getAggregation:function(t,e){var n=this.findAggregation(t,e);if(n)return t[n._sGetter]()},insertAggregation:function(t,e,n,r){var i=this.findAggregation(t,e);if(i)if(i.multiple){var a=r||0;t[i._sInsertMutator](n,a)}else t[i._sMutator](n)},removeAggregation:function(t,e,n){var r=this.findAggregation(t,e);r&&t[r._sRemoveMutator](n)},removeAllAggregation:function(t,e){var n=this.findAggregation(t,e);n&&t[n._sRemoveAllMutator]()},getBindingTemplate:function(t,e){var n=t.getBindingInfo(e);return n&&n.template},updateAggregation:function(t,e){var n=this.findAggregation(t,e);n&&(t[n._sDestructor](),t.updateAggregation(e))},findIndexInParentAggregation:function(t){var e,n=this.getParent(t);return n?(e=this.getAggregation(n,this.getParentAggregationName(t)),Array.isArray(e)?e.indexOf(t):0):-1},getParentAggregationName:function(t){return t.sParentAggregationName},findAggregation:function(t,e){if(t&&t.getMetadata){var n=t.getMetadata(),r=n.getAllAggregations();if(r)return r[e]}},validateType:function(t,n,r,i){var a=n.type;return!(!1===n.multiple&&this.getAggregation(r,n.name)&&this.getAggregation(r,n.name).length>0)&&(e.isInstanceOf(t,a)||e.hasInterface(t,a))},instantiateFragment:function(t,e,n,r){var i;return i=n?sap.ui.xmlfragment({fragmentContent:t,sId:n.getId()+\"--\"+e},r):sap.ui.xmlfragment({fragmentContent:t,sId:e}),Array.isArray(i)||(i=[i]),i},getChangeHandlerModulePath:function(t){return\"object\"==typeof t&&\"function\"==typeof t.data&&t.data(\"sap-ui-custom-settings\")&&t.data(\"sap-ui-custom-settings\")[\"sap.ui.fl\"]?t.data(\"sap-ui-custom-settings\")[\"sap.ui.fl\"].flexibility:void 0}};return jQuery.sap.extend(!0,{},t,n)},!0);",
	"sap/ui/fl/changeHandler/MoveControls.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"./Base\",\"sap/ui/fl/Utils\"],function(e,t,r){\"use strict\";var o={};return o.CHANGE_TYPE=\"moveControls\",o.SOURCE_ALIAS=\"source\",o.TARGET_ALIAS=\"target\",o.MOVED_ELEMENTS_ALIAS=\"movedElements\",o._checkConditions=function(e,t,r,o){if(!e)throw new Error(\"No change instance\");var n=e.getContent();if(!n||!n.movedElements||0===n.movedElements.length)throw new Error(\"Change format invalid\");if(!n.source||!n.source.selector)throw new Error(\"No source supplied for move\");if(!n.target||!n.target.selector)throw new Error(\"No target supplied for move\");if(!t.bySelector(n.source.selector,o,r))throw new Error(\"Move source parent not found\");if(!t.bySelector(n.target.selector,o,r))throw new Error(\"Move target parent not found\");if(!n.source.selector.aggregation)throw new Error(\"No source aggregation supplied for move\");if(!n.target.selector.aggregation)throw new Error(\"No target aggregation supplied for move\")},o._getElementControlOrThrowError=function(e,t,r,o){if(!e.selector&&!e.id)throw new Error(\"Change format invalid - moveElements element has no id attribute\");if(\"number\"!=typeof e.targetIndex)throw new Error(\"Missing targetIndex for element with id '\"+e.selector.id+\"' in movedElements supplied\");var n=t.bySelector(e.selector||e.id,r,o);if(!n)throw new Error(\"Control to move was not found. Id: '\"+e.selector.id+\"'\");return n},o._checkCompleteChangeContentConditions=function(e){if(!e.movedElements)throw new Error(\"mSpecificChangeInfo.movedElements attribute required\");if(0===e.movedElements.length)throw new Error(\"MovedElements array is empty\");e.movedElements.forEach(function(e){if(!e.id)throw new Error(\"MovedControls element has no id attribute\");if(\"number\"!=typeof e.sourceIndex)throw new Error(\"SourceIndex attribute at MovedElements element is no number\");if(\"number\"!=typeof e.targetIndex)throw new Error(\"TargetIndex attribute at MovedElements element is no number\")})},o._getSpecificChangeInfo=function(e,t,r){delete t.source.publicAggregation,delete t.target.publicAggregation;var o=t.source.parent||e.bySelector(t.source.id,r),n=t.target.parent||e.bySelector(t.target.id,r),g=t.source.aggregation,a=t.target.aggregation,i={aggregation:t.source.aggregation,type:e.getControlType(o)},s={aggregation:t.target.aggregation,type:e.getControlType(n)};return{source:{id:o.getId(),aggregation:g,type:i.type,selector:e.getSelector(t.source.id,r,i)},target:{id:n.getId(),aggregation:a,type:s.type,selector:e.getSelector(t.target.id,r,s)},movedElements:t.movedElements}},o.applyChange=function(e,t,r){var o=r.modifier,n=r.view,g=r.appComponent;this._checkConditions(e,o,n,g);var a=e.getContent(),i=r.sourceAggregation||a.source.selector.aggregation,s=o.bySelector(a.target.selector,g,n),c=r.targetAggregation||a.target.selector.aggregation,l=[];return a.movedElements.forEach(function(e,t){var a=this._getElementControlOrThrowError(e,o,g,n),d=o.getParent(a),u=e.targetIndex,m=o.findIndexInParentAggregation(a);m>-1&&(i=r.sourceAggregation||o.getParentAggregationName(a,d),m===u&&(m=e.sourceIndex),l.unshift({index:m,aggregation:i,sourceParent:d})),o.removeAggregation(d,i,a),o.insertAggregation(s,c,a,u,n)},this),e.setRevertData(l),!0},o.revertChange=function(e,t,o){var n=o.modifier,g=o.view,a=o.appComponent;this._checkConditions(e,n,g,a);var i=e.getContent(),s=n.bySelector(i.source.selector,a,g),c=i.source.selector.aggregation,l=n.bySelector(i.target.selector,a,g),d=i.target.selector.aggregation,u=e.getRevertData();return e.getContent().movedElements.reverse(),i.movedElements.forEach(function(e,t){var o=this._getElementControlOrThrowError(e,n,a,g);if(!o)return void r.log.warning(\"Element to move not found\");var i=e.sourceIndex;u&&(s=u[t].sourceParent,c=u[t].aggregation,i=u[t].index),n.removeAggregation(l,d,o),n.insertAggregation(s,c,o,i,g)},this),e.resetRevertData(),!0},o.completeChangeContent=function(e,t,r){this._checkCompleteChangeContentConditions(t);var n=r.modifier,g=r.appComponent,a=e.getDefinition();t=this._getSpecificChangeInfo(n,t,g),a.changeType=o.CHANGE_TYPE,a.content={movedElements:[],source:{selector:t.source.selector},target:{selector:t.target.selector}},t.movedElements.forEach(function(e){var t=e.element||n.bySelector(e.id,g);a.content.movedElements.push({selector:n.getSelector(t,g),sourceIndex:e.sourceIndex,targetIndex:e.targetIndex})}),e.addDependentControl(t.source.id,o.SOURCE_ALIAS,r),e.addDependentControl(t.target.id,o.TARGET_ALIAS,r),e.addDependentControl(t.movedElements.map(function(e){return e.id}),o.MOVED_ELEMENTS_ALIAS,r)},o},!0);",
	"sap/ui/fl/changeHandler/MoveElements.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"./Base\",\"sap/ui/fl/Utils\",\"sap/ui/fl/changeHandler/JsControlTreeModifier\"],function(e,t,r,o){\"use strict\";var n={};return n.CHANGE_TYPE=\"moveElements\",n.applyChange=function(e,t,o){function n(e,t,r,o){if(!e.selector&&!e.id)throw new Error(\"Change format invalid - moveElements element has no id attribute\");if(\"number\"!=typeof e.targetIndex)throw new Error(\"Missing targetIndex for element with id '\"+e.selector.id+\"' in movedElements supplied\");return t.bySelector(e.selector||e.id,r,o)}var a=o.modifier,g=o.view,i=o.appComponent;!function(e,t,r,o){if(!e)throw new Error(\"No change instance\");var n=e.getContent();if(!n||!n.movedElements||0===n.movedElements.length)throw new Error(\"Change format invalid\");if(!e.getSelector().aggregation)throw new Error(\"No source aggregation supplied via selector for move\");if(!n.target||!n.target.selector)throw new Error(\"No target supplied for move\");if(!t.bySelector(n.target.selector,o,r))throw new Error(\"Move target parent not found\");if(!n.target.selector.aggregation)throw new Error(\"No target aggregation supplied for move\")}(e,a,g,i);var l=e.getContent(),s=a.bySelector(l.target.selector,i,g),c=e.getSelector().aggregation,d=l.target.selector.aggregation;return l.movedElements.forEach(function(e){var o=n(e,a,i,g);if(!o)return void r.log.warning(\"Element to move not found\");a.removeAggregation(t,c,o),a.insertAggregation(s,d,o,e.targetIndex,g)}),!0},n.completeChangeContent=function(){throw new Error(\"Using deprecated change handler. Please consider of using 'MoveControls' instead\")},n.getSpecificChangeInfo=function(e,t){var r=t.source.parent||e.bySelector(t.source.id),o=t.target.parent||e.bySelector(t.target.id),n=t.source.aggregation,a=t.target.aggregation;return{source:{id:r.getId(),aggregation:n,type:e.getControlType(r)},target:{id:o.getId(),aggregation:a,type:e.getControlType(o)},movedElements:t.movedElements}},n},!0);",
	"sap/ui/fl/changeHandler/PropertyBindingChange.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/changeHandler/Base\",\"sap/ui/fl/Utils\"],function(e,t,n){\"use strict\";var r={};return r.applyChange=function(e,t,n){var r=e.getDefinition(),i=r.content.property,a=r.content.newBinding,o=n.modifier;e.setRevertData({originalValue:o.getPropertyBinding(t,i)}),o.setPropertyBinding(t,i,a)},r.revertChange=function(t,n,r){var i=t.getRevertData();if(!i)return e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1;var a=t.getDefinition(),o=a.content.property,g=i.originalValue;return r.modifier.setPropertyBinding(n,o,g),t.resetRevertData(),!0},r.completeChangeContent=function(e,t){var n=e.getDefinition();if(!t.content)throw new Error(\"oSpecificChangeInfo attribute required\");n.content=t.content},r},!0);",
	"sap/ui/fl/changeHandler/PropertyChange.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/changeHandler/Base\",\"sap/ui/fl/Utils\"],function(e,t,n){\"use strict\";function r(t,r,i,a){try{n.isBinding(i)||e.isPlainObject(i)?a.setPropertyBinding(t,r,i):a.setProperty(t,r,i)}catch(e){throw new Error(\"Applying property changes failed: \"+e)}}var i={};return i.applyChange=function(e,t,n){var i=e.getDefinition(),a=i.content.property,o=i.content.newValue,p=n.modifier;e.setRevertData({originalValue:p.getPropertyBinding(t,a)||p.getProperty(t,a)}),r(t,a,o,p)},i.revertChange=function(t,n,i){var a=t.getRevertData();return a?(r(n,t.getDefinition().content.property,a.originalValue,i.modifier),t.resetRevertData(),!0):(e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1)},i.completeChangeContent=function(e,t){var n=e.getDefinition();if(!t.content)throw new Error(\"oSpecificChangeInfo attribute required\");n.content=t.content},i},!0);",
	"sap/ui/fl/changeHandler/StashControl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(e){\"use strict\";var t={};return t.applyChange=function(e,t,a){return e.setRevertData({originalValue:a.modifier.getStashed(t)}),a.modifier.setStashed(t,!0),!0},t.revertChange=function(t,a,r){var n=t.getRevertData();return n?(r.modifier.setStashed(a,n.originalValue),t.resetRevertData(),!0):(e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1)},t.completeChangeContent=function(e,t){},t},!0);",
	"sap/ui/fl/changeHandler/UnhideControl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(e){\"use strict\";var t={};return t.applyChange=function(e,t,r){return e.setRevertData({originalValue:r.modifier.getProperty(t,\"visible\")}),r.modifier.setVisible(t,!0),!0},t.revertChange=function(t,r,i){var a=t.getRevertData();return a?(i.modifier.setVisible(r,a.originalValue),t.resetRevertData(),!0):(e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1)},t.completeChangeContent=function(e,t){},t},!0);",
	"sap/ui/fl/changeHandler/UnstashControl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(e){\"use strict\";var t={};return t.applyChange=function(e,t,n){var a=e.getContent(),r=n.modifier;if(e.setRevertData({originalValue:n.modifier.getStashed(t)}),r.setStashed(t,!1),a.parentAggregationName){var i=a.parentAggregationName,g=r.getParent(t);r.removeAggregation(g,i,t),r.insertAggregation(g,i,t,a.index,n.view)}return!0},t.revertChange=function(t,n,a){var r=t.getRevertData();return r?(a.modifier.setStashed(n,r.originalValue),t.resetRevertData(),!0):(e.sap.log.error(\"Attempt to revert an unapplied change.\"),!1)},t.completeChangeContent=function(e,t){var n=e.getDefinition();t.content&&(n.content=t.content)},t},!0);",
	"sap/ui/fl/changeHandler/XmlTreeModifier.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/changeHandler/BaseTreeModifier\",\"sap/ui/base/DataType\",\"sap/ui/core/XMLTemplateProcessor\",\"sap/ui/fl/Utils\"],function(t,e,r,n){\"use strict\";var i={targets:\"xmlTree\",setVisible:function(t,e){e?t.removeAttribute(\"visible\"):this.setProperty(t,\"visible\",e)},getVisible:function(t){return this.getProperty(t,\"visible\")},setStashed:function(t,e){e?this.setProperty(t,\"stashed\",e):t.removeAttribute(\"stashed\"),this.setVisible(t,!e)},getStashed:function(t){return this.getProperty(t,\"stashed\")},bindProperty:function(t,e,r){t.setAttribute(e,\"{\"+r+\"}\")},setProperty:function(t,e,r){t.setAttribute(e,r)},getProperty:function(t,e){var r=this._getControlMetadata(t).getProperty(e),n=t.getAttribute(e);if(r){var i=r.getType();n=null===n?r.getDefaultValue()||i.getDefaultValue():i.parseValue(n)}return n},setPropertyBinding:function(t,e,r){t.setAttribute(e,r)},getPropertyBinding:function(t,e){return t.getAttribute(e)},createControl:function(t,e,r,n,i){var a,o;if(this.bySelector(n,e,r))throw new Error(\"Can't create a control with duplicated id \"+a);var g=t.split(\".\"),s=\"\";g.length>1&&(o=g.pop(),s=g.join(\".\"));var u=r.ownerDocument.createElementNS(s,o);if(a=this.getControlIdBySelector(n,e),a&&u.setAttribute(\"id\",a),i){var l;Object.keys(i).forEach(function(t){l=i[t],u.setAttribute(t,l)})}return u},_byId:function(t,e){if(e){return e.ownerDocument&&e.ownerDocument.getElementById&&e.ownerDocument.getElementById(t)?e.ownerDocument.getElementById(t):e.querySelector(\"[id='\"+t+\"']\")}},getId:function(t){return t.getAttribute(\"id\")},getParent:function(t){var e=t.parentNode;return this.getId(e)||(e=e.parentNode),e},_getLocalName:function(t){return t.localName||t.baseName||t.nodeName},getControlType:function(t){var e=t.namespaceURI;return e=e?e+\".\":\"\",e+=this._getLocalName(t)},getAllAggregations:function(t){return this._getControlMetadata(t).getAllAggregations()},getAggregation:function(t,e){var r=this._findAggregationNode(t,e),n=this._isSingleValueAggregation(t,e);if(!r)return n&&this._isAltTypeAggregation(t,e)?this.getProperty(t,e):n?void 0:[];var i=this._getControlsInAggregation(t,r);return n?i[0]:i},insertAggregation:function(t,e,r,n,i){var a=this._findAggregationNode(t,e);if(!a){var o=t.namespaceURI;a=this.createControl(o+\".\"+e,void 0,i),t.appendChild(a)}if(n>=a.childElementCount)a.appendChild(r);else{var g=this._getControlsInAggregation(t,a)[n];a.insertBefore(r,g)}},removeAggregation:function(t,e,r){this._findAggregationNode(t,e).removeChild(r)},removeAllAggregation:function(t,e){var r=this._findAggregationNode(t,e);if(t===r){this._getControlsInAggregation(t,t).forEach(function(e){t.removeChild(e)})}else t.removeChild(r)},_findAggregationNode:function(t,e){for(var r,n=this._children(t),i=0;i<n.length;i++){var a=n[i];if(a.localName===e){r=a;break}}return!r&&this._isDefaultAggregation(t,e)&&(r=t),r},_isDefaultAggregation:function(t,e){var r=this._getControlMetadata(t),n=r.getDefaultAggregation();return n&&e===n.name},_isNotNamedAggregationNode:function(t,e){var r=this.getAllAggregations(t),n=r[e.localName];return t.namespaceURI!==e.namespaceURI||!n},_isSingleValueAggregation:function(t,e){return!this.getAllAggregations(t)[e].multiple},_isAltTypeAggregation:function(t,e){return!!this._getControlMetadata(t).getAllAggregations()[e].altTypes},_getControlMetadata:function(t){var e=this.getControlType(t);return jQuery.sap.require(e),jQuery.sap.getObject(e).getMetadata()},_getControlsInAggregation:function(t,e){return Array.prototype.slice.call(this._children(e)).filter(this._isNotNamedAggregationNode.bind(this,t))},_children:function(t){if(t.children)return t.children;for(var e=[],r=0;r<t.childNodes.length;r++){var n=t.childNodes[r];n.nodeType===n.ELEMENT_NODE&&e.push(n)}return e},getBindingTemplate:function(t,e){var r=this._findAggregationNode(t,e);if(r&&1===this._children(r).length)return this._children(r)[0]},updateAggregation:function(t,e){},findIndexInParentAggregation:function(t){var e,r,n;return(e=this.getParent(t))?(r=this.getParentAggregationName(t,e),n=this.getAggregation(e,r),Array.isArray(n)?n.indexOf(t):0):-1},getParentAggregationName:function(t,e){var r;return r=!!e.isSameNode(t.parentNode)&&this._isNotNamedAggregationNode(e,t),r?this._getControlMetadata(e).getDefaultAggregationName():this._getLocalName(t.parentNode)},findAggregation:function(t,e){var r=this._getControlMetadata(t),n=r.getAllAggregations();if(n)return n[e]},validateType:function(t,e,r,i,a){var o=e.type;if(!1===e.multiple&&this.getAggregation(r,e.name)&&this.getAggregation(r,e.name).length>0)return!1;var g=sap.ui.xmlfragment({fragmentContent:i});Array.isArray(g)||(g=[g]);var s=n.isInstanceOf(g[a],o)||n.hasInterface(g[a],o);return g.forEach(function(t){t.destroy()}),s},instantiateFragment:function(t,e){var r=jQuery.sap.parseXML(t,\"application/xml\");if(0!==r.parseError.errorCode)throw new Error(\"The XML Fragment could not be instantiated. Reason: \"+r.parseError.reason);var n=r.documentElement;if(\"FragmentDefinition\"===n.localName){for(var i=n.childNodes,a=[],o=0,g=i.length;o<g;o++)1===i[o].nodeType&&a.push(i[o]);for(var s=0,u=a.length;s<u;s++)a[s].setAttribute(\"id\",e+\"--\"+a[s].getAttribute(\"id\"));return a}return n.setAttribute(\"id\",e+\"--\"+n.getAttribute(\"id\")),[n]},getChangeHandlerModulePath:function(t){if(t)return t.getAttributeNS(\"sap.ui.fl\",\"flexibility\")}};return jQuery.sap.extend(!0,{},t,i)},!0);",
	"sap/ui/fl/ChangePersistence.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Change\",\"sap/ui/fl/Variant\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Cache\",\"sap/ui/fl/context/ContextManager\",\"sap/ui/fl/registry/Settings\",\"sap/ui/fl/transport/TransportSelection\",\"sap/ui/fl/variants/VariantController\",\"sap/ui/core/BusyIndicator\",\"sap/m/MessageBox\"],function(e,n,t,i,a,r,o,s,h,c,g){\"use strict\";var p=function(e){if(this._mComponent=e,this._mChanges={mChanges:{},mDependencies:{},mDependentChangesOnMe:{}},this._mChangesInitial={},this._mVariantsChanges={},!this._mComponent||!this._mComponent.name)throw t.log.error(\"The Control does not belong to an SAPUI5 component. Personalization and changes for this control might not work as expected.\"),new Error(\"Missing component name.\");this._oVariantController=new h(this._mComponent.name,this._mComponent.appVersion,{}),this._oTransportSelection=new s,this._oConnector=this._createLrepConnector(),this._aDirtyChanges=[],this._oMessagebundle=void 0,this._mChangesEntries={}};return p.prototype.getComponentName=function(){return this._mComponent.name},p.prototype._createLrepConnector=function(){return i.createConnector()},p.prototype.getCacheKey=function(){return a.getCacheKey(this._mComponent)},p.prototype._preconditionsFulfilled=function(e,n,i){return i.fileName?!!(function(){return n?\"change\"===i.fileType||\"variant\"===i.fileType:\"change\"===i.fileType&&\"defaultVariant\"!==i.changeType}()&&function(){return!n||\"variant\"!==i.fileType&&\"defaultVariant\"!==i.changeType||i.selector&&i.selector.persistencyKey}()&&function(){return r.doesContextMatch(i,e)}()||function(){if(\"ctrl_variant\"===i.fileType||\"ctrl_variant_change\"===i.fileType||\"ctrl_variant_management_change\"===i.fileType)return i.variantManagementReference||i.variantReference||i.selector&&i.selector.id}()):(t.log.warning(\"A change without fileName is detected and excluded from component: \"+this._mComponent.name),!1)},p.prototype.getChangesForComponent=function(n){function i(n){var t;return this._mChangesEntries[n.fileName]||(this._mChangesEntries[n.fileName]=new e(n)),t=this._mChangesEntries[n.fileName],t.setState(e.states.PERSISTED),t}return a.getChangesFillingCache(this._oConnector,this._mComponent,n).then(function(e){var a=n&&n.oComponent;if(e.changes&&e.changes.settings&&o._storeInstance(e.changes.settings),!e.changes||(!e.changes.changes||0==e.changes.changes.length)&&(!e.changes.variantSection||jQuery.isEmptyObject(e.changes.variantSection)))return[];var s=e.changes.changes;if(!this._oMessagebundle&&e.messagebundle&&a&&!a.getModel(\"i18nFlexVendor\")&&s.some(function(e){return\"VENDOR\"===e.layer})){this._oMessagebundle=e.messagebundle;var h=new sap.ui.model.json.JSONModel(this._oMessagebundle);a.setModel(h,\"i18nFlexVendor\")}e.changes.variantSection&&0!==Object.keys(e.changes.variantSection).length&&0===Object.keys(this._oVariantController._getChangeFileContent()).length&&this._oVariantController._setChangeFileContent(e,a);var c=n&&n.includeCtrlVariants;if(Object.keys(this._oVariantController._getChangeFileContent()).length>0){var g=this._oVariantController.loadInitialChanges();s=c?s:s.concat(g)}c&&e.changes.variantSection&&(s=s.concat(this._getAllCtrlVariantChanges(e.changes.variantSection)));var p=n&&n.currentLayer;if(p){var d=[];s.forEach(function(e){e.layer===p&&d.push(e)}),s=d}else if(t.isLayerFilteringRequired()&&(!n||!n.ignoreMaxLayerParameter)){var l=[];s.forEach(function(e){t.isOverMaxLayer(e.layer)||l.push(e)}),s=l}var u=n&&n.includeVariants,C=e.changes.contexts||[];return new Promise(function(e){r.getActiveContexts(C).then(function(n){e(s.filter(this._preconditionsFulfilled.bind(this,n,u)).map(i.bind(this)))}.bind(this))}.bind(this))}.bind(this))},p.prototype._getAllCtrlVariantChanges=function(e){var n=[];return Object.keys(e).forEach(function(t){var i=e[t];i.variants.forEach(function(e){if(Array.isArray(e.variantChanges.setVisible)&&e.variantChanges.setVisible.length>0){var i=e.variantChanges.setVisible.slice(-1)[0];if(!i.content.visible&&i.content.createdByReset)return}Object.keys(e.variantChanges).forEach(function(t){n=n.concat(e.variantChanges[t].slice(-1)[0])}),n=n.concat(e.controlChanges),n=e.content.fileName!==t?n.concat([e.content]):n}),Object.keys(i.variantManagementChanges).forEach(function(e){n=n.concat(i.variantManagementChanges[e].slice(-1)[0])})}),n},p.prototype.getChangesForVariant=function(e,n,i){if(this._mVariantsChanges[n])return Promise.resolve(this._mVariantsChanges[n]);var a=function(t){var i=!1,a=t._oDefinition.selector;return jQuery.each(a,function(t,a){t===e&&a===n&&(i=!0)}),i},r=function(e,n){t.log.error(\"key : \"+e+\" and text : \"+n.value)};return this.getChangesForComponent(i).then(function(e){return e.filter(a)}).then(function(e){var i;return this._mVariantsChanges[n]={},e.forEach(function(e){i=e.getId(),e.isValid()&&(this._mVariantsChanges[n][i]&&e.isVariant()&&(t.log.error(\"Id collision - two or more variant files having the same id detected: \"+i),jQuery.each(e.getDefinition().texts,r),t.log.error(\"already exists in variant : \"),jQuery.each(this._mVariantsChanges[n][i].getDefinition().texts,r)),this._mVariantsChanges[n][i]=e)}.bind(this)),this._mVariantsChanges[n]}.bind(this))},p.prototype.addChangeForVariant=function(n,i,a){var r,o,s,h,c;if(a){a.type||t.log.error(\"sap.ui.fl.Persistence.addChange : type is not defined\");var g=jQuery.type(a.content);\"object\"!==g&&\"array\"!==g&&t.log.error(\"mParameters.content is not of expected type object or array, but is: \"+g,\"sap.ui.fl.Persistence#addChange\"),s={},\"object\"==typeof a.texts&&jQuery.each(a.texts,function(e,n){s[e]={value:n,type:\"XFLD\"}});var p={creation:this._mComponent.appVersion,from:this._mComponent.appVersion};return this._mComponent.appVersion&&a.developerMode&&(p.to=this._mComponent.appVersion),o={changeType:a.type,service:a.ODataService,texts:s,content:a.content,reference:this._mComponent.name,isVariant:a.isVariant,packageName:a.packageName,isUserDependent:a.isUserDependent,validAppVersions:p},o.selector={},o.selector[n]=i,r=e.createInitialFileContent(o),a.id&&(r.fileName=a.id),h=new e(r),c=h.getId(),this._mVariantsChanges[i]||(this._mVariantsChanges[i]={}),this._mVariantsChanges[i][c]=h,h.getId()}},p.prototype.saveAllChangesForVariant=function(e){var n=[],t=this;return jQuery.each(this._mVariantsChanges[e],function(i,r){var o=r.getId();switch(r.getPendingAction()){case\"NEW\":n.push(t._oConnector.create(r.getDefinition(),r.getRequest(),r.isVariant()).then(function(e){return r.setResponse(e.response),a.isActive()&&a.addChange({name:t._mComponent.name,appVersion:t._mComponent.appVersion},e.response),e}));break;case\"UPDATE\":n.push(t._oConnector.update(r.getDefinition(),r.getId(),r.getRequest(),r.isVariant()).then(function(e){return r.setResponse(e.response),a.isActive()&&a.updateChange({name:t._mComponent.name,appVersion:t._mComponent.appVersion},e.response),e}));break;case\"DELETE\":n.push(t._oConnector.deleteChange({sChangeName:r.getId(),sLayer:r.getLayer(),sNamespace:r.getNamespace(),sChangelist:r.getRequest()},r.isVariant()).then(function(n){var i=t._mVariantsChanges[e][o];return\"DELETE\"===i.getPendingAction()&&delete t._mVariantsChanges[e][o],a.isActive()&&a.deleteChange({name:t._mComponent.name,appVersion:t._mComponent.appVersion},i.getDefinition()),n}))}}),Promise.all(n)},p.prototype._addChangeIntoMap=function(e,n){var t=n.getSelector();if(t&&t.id){var i=t.id;if(t.idIsLocal&&(i=e.createId(i)),this._addMapEntry(i,n),void 0===t.idIsLocal&&-1!=i.indexOf(\"---\")){i.split(\"---\")[0]!==e.getId()&&(i=i.split(\"---\")[1],i=e.createId(i),this._addMapEntry(i,n))}}return this._mChanges},p.prototype._addMapEntry=function(e,n){this._mChanges.mChanges[e]||(this._mChanges.mChanges[e]=[]),this._mChanges.mChanges[e].push(n)},p.prototype._addDependency=function(e,n){this._mChanges.mDependencies[e.getId()]||(this._mChanges.mDependencies[e.getId()]={changeObject:e,dependencies:[]}),this._mChanges.mDependencies[e.getId()].dependencies.push(n.getId()),this._mChanges.mDependentChangesOnMe[n.getId()]||(this._mChanges.mDependentChangesOnMe[n.getId()]=[]),this._mChanges.mDependentChangesOnMe[n.getId()].push(e.getId())},p.prototype._addControlsDependencies=function(e,n){n.length>0&&(this._mChanges.mDependencies[e.getId()]||(this._mChanges.mDependencies[e.getId()]={changeObject:e,dependencies:[],controlsDependencies:[]}),this._mChanges.mDependencies[e.getId()].controlsDependencies=n)},p.prototype.loadChangesMapForComponent=function(e,n){function i(n){return this._mChanges={mChanges:{},mDependencies:{},mDependentChangesOnMe:{}},n.forEach(this._addChangeAndUpdateDependencies.bind(this,e)),t.isDebugEnabled()&&(this._mChangesInitial=jQuery.extend(!0,{},this._mChanges)),this.getChangesMapForComponent.bind(this)}return n.oComponent=e,this.getChangesForComponent(n).then(i.bind(this))},p.prototype._addChangeAndUpdateDependencies=function(e,n,i,a){this._addChangeIntoMap(e,n);var r=t.getAppComponentForControl(e),o=n.getDependentIdList(r),s=n.getDependentControlIdList(r);this._addControlsDependencies(n,s);for(var h,c,g,p=i-1;p>=0;p--){h=a[p],c=a[p].getDependentIdList(r),g=!1;for(var d=0;d<o.length&&!g;d++)c.indexOf(o[d])>-1&&(this._addDependency(n,h),g=!0)}},p.prototype.getChangesMapForComponent=function(){return this._mChanges},p.prototype.getChangesForView=function(e,n){function t(e){var t=e.getSelector();if(!t)return!1;var i=t.id;if(!i||!n)return!1;var a,r=i.slice(0,i.lastIndexOf(\"--\"));if(e.getSelector().idIsLocal){var o=n.appComponent;o&&(a=o.getLocalId(n.viewId))}else a=n.viewId;return r===a}var i=this;return this.getChangesForComponent(n).then(function(e){return e.filter(t.bind(i))})},p.prototype.addChange=function(e,n){var t=this.addDirtyChange(e);return this._addChangeIntoMap(n,t),this._addPropagationListener(n),t},p.prototype.addDirtyChange=function(t){var i;return i=t instanceof e||t instanceof n?t:new e(t),this._aDirtyChanges.push(i),i},p.prototype._addPropagationListener=function(e){if(e){var n=function(e){return!e._bIsSapUiFlFlexControllerApplyChangesOnControl};if(e.getPropagationListeners().every(n)){var i=e.getManifest(),a=t.getAppVersionFromManifest(i),r=sap.ui.fl.FlexControllerFactory.create(this.getComponentName(),a),o=r.getBoundApplyChangesOnControl(this.getChangesMapForComponent.bind(this),e);e.addPropagationListener(o)}}},p.prototype.saveDirtyChanges=function(e){var n=this._aDirtyChanges.slice(0),t=this._aDirtyChanges,i=this._getRequests(n),a=this._getPendingActions(n);if(1===a.length&&1===i.length&&\"NEW\"===a[0]){var r=i[0],o=this._prepareDirtyChanges(t);return this._oConnector.create(o,r).then(this._massUpdateCacheAndDirtyState(t,n,e))}return n.reduce(function(n,i){var a=n.then(this._performSingleSaveAction(i).bind(this));return a.then(this._updateCacheAndDirtyState(t,i,e)),a}.bind(this),Promise.resolve())},p.prototype._performSingleSaveAction=function(e){return function(){return\"NEW\"===e.getPendingAction()?this._oConnector.create(e.getDefinition(),e.getRequest()):\"DELETE\"===e.getPendingAction()?this._oConnector.deleteChange({sChangeName:e.getId(),sLayer:e.getLayer(),sNamespace:e.getNamespace(),sChangelist:e.getRequest()}):void 0}},p.prototype._updateCacheAndDirtyState=function(e,n,t){var i=this;return function(){t||(\"NEW\"!==n.getPendingAction()||\"ctrl_variant_change\"===n.getFileType()||\"ctrl_variant_management_change\"===n.getFileType()||\"ctrl_variant\"===n.getFileType()||n.getVariantReference()?\"DELETE\"===n.getPendingAction()&&a.deleteChange(i._mComponent,n.getDefinition()):a.addChange(i._mComponent,n.getDefinition()));var r=e.indexOf(n);r>-1&&e.splice(r,1)}},p.prototype._massUpdateCacheAndDirtyState=function(e,n,t){n.forEach(function(n){this._updateCacheAndDirtyState(e,n,t)()},this)},p.prototype._getRequests=function(e){var n=[];return e.forEach(function(e){var t=e.getRequest();-1===n.indexOf(t)&&n.push(t)}),n},p.prototype._getPendingActions=function(e){var n=[];return e.forEach(function(e){var t=e.getPendingAction();-1===n.indexOf(t)&&n.push(t)}),n},p.prototype._prepareDirtyChanges=function(e){var n=[];return e.forEach(function(e){n.push(e.getDefinition())}),n},p.prototype.getDirtyChanges=function(){return this._aDirtyChanges},p.prototype.deleteChange=function(e){var n=this._aDirtyChanges.indexOf(e);if(n>-1){if(\"DELETE\"===e.getPendingAction())return;return this._aDirtyChanges.splice(n,1),void this._deleteChangeInMap(e)}e.markForDeletion(),this.addDirtyChange(e),this._deleteChangeInMap(e)},p.prototype._deleteChangeInMap=function(e){var n=e.getId(),t=this._mChanges.mChanges,i=this._mChanges.mDependencies,a=this._mChanges.mDependentChangesOnMe;Object.keys(t).some(function(n){var i=t[n],a=i.map(function(e){return e.getId()}).indexOf(e.getId());if(-1!==a)return i.splice(a,1),!0}),Object.keys(i).forEach(function(e){e===n?delete i[e]:i[e].dependencies&&jQuery.isArray(i[e].dependencies)&&-1!==i[e].dependencies.indexOf(n)&&(i[e].dependencies.splice(i[e].dependencies.indexOf(n),1),0===i[e].dependencies.length&&delete i[e])}),Object.keys(a).forEach(function(e){e===n?delete a[e]:jQuery.isArray(a[e])&&-1!==a[e].indexOf(n)&&(a[e].splice(a[e].indexOf(n),1),0===a[e].length&&delete a[e])})},p.prototype.loadSwitchChangesMapForComponent=function(e,n,t){return this._oVariantController.getChangesForVariantSwitch(e,n,t,this._mChanges.mChanges)},p.prototype.transportAllUIChanges=function(e,n,i){var a=function(e){c.hide();var i=sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\"),a=i.getText(\"MSG_TRANSPORT_ERROR\",e?[e.message||e]:void 0),r=i.getText(\"HEADER_TRANSPORT_ERROR\");return t.log.error(\"transport error\"+e),g.show(a,{icon:g.Icon.ERROR,title:r,styleClass:n}),\"Error\"};return this._oTransportSelection.openTransportSelection(null,e,n).then(function(e){return this._oTransportSelection.checkTransportInfo(e)?(c.show(0),this.getChangesForComponent({currentLayer:i,includeCtrlVariants:!0}).then(function(n){return this._oTransportSelection._prepareChangesForTransport(e,n).then(function(){c.hide()})}.bind(this))):\"Cancel\"}.bind(this)).catch(a)},p.prototype.resetChanges=function(e,n){return this.getChangesForComponent({currentLayer:e,includeCtrlVariants:!0}).then(function(t){return o.getInstance(this.getComponentName()).then(function(e){if(!e.isProductiveSystem()&&!e.hasMergeErrorOccured())return this._oTransportSelection.setTransports(t,sap.ui.getCore().getComponent(this.getComponentName()))}.bind(this)).then(function(){var i=\"?reference=\"+this.getComponentName()+\"&appVersion=\"+this._mComponent.appVersion+\"&layer=\"+e+\"&generator=\"+n;return t.length>0&&(i=i+\"&changelist=\"+t[0].getRequest()),this._oConnector.send(\"/sap/bc/lrep/changes/\"+i,\"DELETE\")}.bind(this))}.bind(this))},p},!0);",
	"sap/ui/fl/ChangePersistenceFactory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/core/Component\",\"sap/ui/fl/ChangePersistence\",\"sap/ui/fl/Utils\"],function(e,n,t,o){\"use strict\";var a={};return a._instanceCache={},a.getChangePersistenceForComponent=function(e,n){var s;if(n=n||o.DEFAULT_APP_VERSION,a._instanceCache[e]||(a._instanceCache[e]={}),!(s=a._instanceCache[e][n])){s=new t({name:e,appVersion:n}),a._instanceCache[e][n]=s}return s},a.getChangePersistenceForControl=function(e){var n;n=this._getComponentClassNameForControl(e);var t=o.getAppVersionFromManifest(o.getAppComponentForControl(e).getManifest());return a.getChangePersistenceForComponent(n,t)},a._getComponentClassNameForControl=function(e){return o.getComponentClassName(e)},a.registerLoadComponentEventHandler=function(){n._fnLoadComponentCallback=this._onLoadComponent.bind(this)},a._doLoadComponent=function(e,n){var t,a,s,r={oChangePersistence:{},oRequestOptions:{appName:e.name}},i=o.getFlexReference(n),p=o.getAppVersionFromManifest(n);if(a=e&&e.componentData&&e.componentData.startupParameters||{},s=e&&e.componentData&&e.componentData.technicalParameters,a[\"sap-app-id\"]&&1===a[\"sap-app-id\"].length)i=a[\"sap-app-id\"][0];else if(e){var c=e.asyncHints;if(c&&c.requests&&Array.isArray(c.requests)){var C=this._findFlAsyncHint(c.requests,i);C&&(r.oRequestOptions.cacheKey=C.cachebusterToken||\"<NO CHANGES>\",r.oRequestOptions.url=C.url)}}var u=s||a;return u&&u[\"sap-ui-fl-max-layer\"]&&1===u[\"sap-ui-fl-max-layer\"].length&&(t=u[\"sap-ui-fl-max-layer\"][0]),o.setMaxLayerParameter(t),r.oRequestOptions.siteId=o.getSiteIdByComponentData(e.componentData),r.oChangePersistence=this.getChangePersistenceForComponent(i,p),r},a._onLoadComponent=function(e,n){if(o.isApplication(n)){var t=this._doLoadComponent(e,n);t.oChangePersistence.getChangesForComponent(t.oRequestOptions)}},a._getChangesForComponentAfterInstantiation=function(e,n,t){if(!o.isApplication(n))return Promise.resolve(function(){return{mChanges:{},mDependencies:{},mDependentChangesOnMe:{}}});var a=this._doLoadComponent(e,n);return a.oChangePersistence.loadChangesMapForComponent(t,a.oRequestOptions)},a._findFlAsyncHint=function(n,t){var o,a=this;return e.each(n,function(e,n){if(a._flAsyncHintMatches(n,t))return o=n,!1}),o},a._flAsyncHintMatches=function(e,n){return\"sap.ui.fl.changes\"===e.name&&e.reference===n},a},!0);",
	"sap/ui/fl/codeExt/CodeExtManager.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Utils\",\"sap/ui/fl/Change\"],function(e,n,t){\"use strict\";return{_oLrepConnector:new e,createOrUpdateCodeExtChange:function(e,n){if(!e.content||!e.content.codeRef)throw new Error(\"no code reference passed for the code extension change\");if(!e.selector||!e.selector.id)throw new Error(\"no controller name passed for the code extension change\");if(!e.reference)throw new Error(\"no reference passed for the code extension change\");e.changeType=e.changeType||\"codeExt\";var a=t.createInitialFileContent(e),r=\"/sap/bc/lrep/content/\"+a.namespace+a.fileName+\".change\";r+=\"?layer=\"+a.layer,n&&(n.transportId&&(r+=\"&changelist=\"+n.transportId),n.packageName&&(r+=\"&package=\"+n.packageName));return this._oLrepConnector.send(r,\"PUT\",a,{})},createCodeExtChanges:function(e,n){if(e=e||[],0===e.length)return Promise.resolve();var a=[];return e.forEach(function(e){e.changeType=e.changeType||\"codeExt\",e.packageName=n.packageName,e.content={codeRef:n.codeRef},a.push(t.createInitialFileContent(e))}),this._oLrepConnector.create(a,n.transportId)},deleteCodeExtChange:function(e,n){if(\"codeExt\"!==e.changeType||\"change\"!==e.fileType)throw new Error(\"the change is not of type 'code extension'\");if(!e.fileName)throw new Error(\"the extension does not contains a file name\");if(void 0===e.namespace)throw new Error(\"the extension does not contains a namespace\");var t=\"/sap/bc/lrep/content/\"+e.namespace+e.fileName+\".change\";e.layer&&(t+=\"&layer=\"+e.layer),n&&(n.transportId&&(t+=\"&changelist=\"+n.transportId),n.packageName&&(t+=\"&package=\"+n.packageName)),t=t.replace(\"&\",\"?\");return this._oLrepConnector.send(t,\"DELETE\",e,{})}}},!0);",
	"sap/ui/fl/context/BaseContextProvider.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/base/ManagedObject\"],function(e){\"use strict\";var t=e.extend(\"sap.ui.fl.context.BaseContextProvider\",{metadata:{properties:{text:{type:\"String\"},description:{type:\"String\"}}}});return t.prototype.loadData=function(){return Promise.resolve({})},t.prototype.getValue=function(e){return this.loadData().then(function(t){return(e&&e.split(\".\")||[]).reduce(function(e,t){if(e&&e.hasOwnProperty(t))return e[t]},t)})},t.prototype.getValueHelp=function(e){return Promise.resolve({})},t.prototype.validate=function(e,t){return Promise.resolve(!0)},t},!0);",
	"sap/ui/fl/context/Context.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/base/ManagedObject\"],function(e){\"use strict\";var t=e.extend(\"sap.ui.fl.context.Context\",{metadata:{library:\"sap.ui.fl\",properties:{configuration:{type:\"object\"},content:{type:\"object\"}},aggregations:{contextProviders:{type:\"object\",multiple:!0}},events:{}}});t.prototype.getValue=function(e){return this._getProviderContent(e,\"getValue\")},t.prototype.getValueHelp=function(e){return this._getProviderContent(e,\"getValueHelp\")};var r=function(e,t){if(-1===e.indexOf(t)){if(-1!==t.indexOf(e+\".\"))return t.substring(e.length+1);throw new Error(\"Invalid request for sap.ui.fl.context - domain:\"+e+\"request:\"+t)}};return t.prototype._getProviderContent=function(e,t){var n=this,o=[],i=[],u=function(e){var t=n._assureDomain(e);if(t){var u=n._loadProvider(t);o.push(u),i.push({domain:t,request:r(t,e)})}else i.push({domain:void 0,request:e})},a=function(e){for(var t=n.getConfiguration(),r=!1,o=0;o<e.length;o++){var i=e[o];i&&(t[i.domain]=i.provider,r=!0)}r&&n.setConfiguration(t)};if(e instanceof Array)e.forEach(function(e){u(e)});else if(void 0===e){for(var s in this.getConfiguration())o.push(this._loadProvider(s));i=Object.keys(this.getConfiguration()).map(function(e){return{domain:e,request:void 0}})}return Promise.all(o).then(a).then(function(){return n._mergeProviderContent(i,t,e)})},t.prototype._assureDomain=function(e){var t=this.getConfiguration();if(t.hasOwnProperty(e))return e;for(var r=Object.keys(t),n=0;n<r.length;n++){var o=r[n];if(0===e.indexOf(o)||0===o.indexOf(e))return o}return null},t.prototype._loadProvider=function(e,t){var r=this.getConfiguration()[e];return\"string\"==typeof r?new Promise(function(t,n){try{sap.ui.require([r],function(r){var n=new r;t({domain:e,provider:n})})}catch(e){return jQuery.sap.log.error(e),void t()}}):Promise.resolve()},t.prototype._mergeProviderContent=function(e,t,r){var n=[],o=this.getConfiguration();return e.forEach(function(e){if(o.hasOwnProperty(e.domain)){var r=o[e.domain];r instanceof sap.ui.fl.context.BaseContextProvider&&n.push(r[t].call(r,e.request).then(function(t){var r={},n=e.domain;return e.request&&(n=n+\".\"+e.request),r[n]=t,r}))}else{var i={};i[e.request]=void 0,n.push(Promise.resolve(i))}}),Promise.all(n).then(function(e){return e.reduce(function(e,t){var r=Object.keys(t)[0];return e[r]=t[r],e},{})})},t},!0);",
	"sap/ui/fl/context/ContextManager.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Utils\",\"sap/ui/fl/context/Context\"],function(e,t,r){\"use strict\";return{_oContext:new r({configuration:{device:\"sap/ui/fl/context/DeviceContextProvider\",switches:\"sap/ui/fl/context/SwitchContextProvider\"}}),_oLrepConnector:new e,doesContextMatch:function(e,t){var r=e.context||\"\";return!r||-1!==jQuery.inArray(r,t)},getActiveContexts:function(e){var t=this._getContextIdsFromUrl();return 0===t.length?this._getContextParametersFromAPI(e).then(this._getActiveContextsByAPIParameters.bind(this,e)):Promise.resolve(this._getActiveContextsByUrlParameters(e,t))},_getContextParametersFromAPI:function(e){var t=[];return e.forEach(function(e){e.parameters.forEach(function(e){var r=e.selector;-1===t.indexOf(r)&&t.push(r)})}),this._oContext.getValue(t)},_getActiveContextsByAPIParameters:function(e,t){var r=this,n=[];return e.forEach(function(e){r._isContextObjectActive(e,t)&&n.push(e.id)}),n},_getActiveContextsByUrlParameters:function(e,t){var r=[];return e.forEach(function(e){-1!==jQuery.inArray(e.id,t)&&r.push(e.id)}),r},_isContextObjectActive:function(e,t){var r=this,n=!0;return e.parameters.every(function(e){return n=n&&r._checkContextParameter(e,t)}),n},_getContextIdsFromUrl:function(){var e=t.getUrlParameter(\"sap-ui-flexDesignTimeContext\");return e?e.split(\",\"):[]},_checkContextParameter:function(e,t){var r=e.selector,n=e.operator,a=e.value;switch(n){case\"EQ\":return this._checkEquals(r,a,t);case\"NE\":return!this._checkEquals(r,a,t);default:return jQuery.sap.log.info(\"A context within a flexibility change with the operator '\"+n+\"' could not be verified\"),!1}},_checkEquals:function(e,t,r){return r[e]===t},createOrUpdateContextObject:function(e){if(!e.reference)throw new Error(\"no reference passed for the context object\");if(!e.namespace)throw new Error(\"no namespace passed for the context object\");var r=e.id||t.createDefaultFileName();e={id:r,fileName:r,title:e.title||\"\",description:e.description||\"\",parameters:e.parameters||[],fileType:\"context\",reference:e.reference||\"\",packageName:e.packageName||\"\",layer:e.layer||t.getCurrentLayer(!1),namespace:e.namespace,creation:e.creation||\"\",originalLanguage:e.originalLanguage||t.getCurrentLanguage(),support:e.support||{generator:e.generator||\"\",service:\"\",user:\"\"},validAppVersions:e.validAppVersions||{}};var n=\"/sap/bc/lrep/content/\"+e.namespace+e.fileName+\".context\";n+=\"?layer=\"+e.layer;return this._oLrepConnector.send(n,\"PUT\",e,{})}}},!0);",
	"sap/ui/fl/context/DeviceContextProvider.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/context/BaseContextProvider\",\"sap/ui/Device\"],function(e,t){\"use strict\";var r=e.extend(\"sap.ui.fl.context.DeviceContextProvider\",{metadata:{properties:{text:{type:\"String\",defaultValue:\"Device\"},description:{type:\"String\",defaultValue:\"Returns the values of sap.ui.Device\"}}}});return r.prototype.loadData=function(){return Promise.resolve(t)},r.prototype.getValueHelp=function(){return Promise.resolve({})},r.prototype.validate=function(e,t){return Promise.resolve(!0)},r},!0);",
	"sap/ui/fl/context/SwitchContextProvider.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/context/BaseContextProvider\",\"sap/ui/fl/Cache\"],function(e,t){\"use strict\";var r=e.extend(\"sap.ui.fl.context.SwitchContextProvider\",{metadata:{properties:{text:{type:\"String\",defaultValue:\"Switch\"},description:{type:\"String\",defaultValue:\"Returns the values of switches recieved in the flexibility response from the back end\"}}}});return r.prototype.loadData=function(){return Promise.resolve(t.getSwitches())},r.prototype.getValueHelp=function(){return Promise.resolve({})},r.prototype.validate=function(e,t){return Promise.resolve(!0)},r},!0);",
	"sap/ui/fl/core/EventDelegate.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Utils\",\"sap/ui/base/EventProvider\",\"sap/ui/fl/registry/ChangeRegistry\",\"sap/ui/fl/core/FlexVisualizer\"],function(e,t,o,r,i){\"use strict\";var s=function(e,r){e||t.log.error(\"sap.ui.fl.core.EventDelegate: Control required\"),r||t.log.error(\"sap.ui.fl.core.EventDelegate: Supported registry items required\"),o.apply(this),this._oControl=e,this._oSupportedRegistryItems=r};return s.prototype=e.sap.newObject(o.prototype),s.registerControl=function(e){if(e){var t=0;if(e.aDelegates)for(t=0;t<e.aDelegates.length;t++){var o=\"\";if(e.aDelegates[t].oDelegate&&e.aDelegates[t].oDelegate.getType&&(o=e.aDelegates[t].oDelegate.getType()),\"Flexibility\"===o)return}s.registerExplicitChanges(e)}},s.registerExplicitChanges=function(e){var o=r.getInstance(),i={controlType:t.getControlType(e)},a=o.getRegistryItems(i);Object.keys(a).length>0&&e.addEventDelegate(new s(e,a))},s.unregisterControl=function(){},s.prototype.onmouseover=function(t){t.stopPropagation(),t.handled||(t.handled=!0,i.isPersonalizationMode()&&this._oControl&&!e(this._oControl.getDomRef()).hasClass(\"sapuiflex-highlight\")&&i.showDialog(this._oControl))},s.prototype.onmouseout=function(e){i.isPersonalizationMode()&&this._oControl&&i.closeDialog()},s},!0);",
	"sap/ui/fl/core/FlexVisualizer.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\"],function(n){\"use strict\";var i=function(){};return i.showDialog=function(n,i){},i.closeDialog=function(){},i},!0);",
	"sap/ui/fl/DefaultVariant.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Change\"],function(e,t){\"use strict\";var a=function(){};return a.prototype.getDefaultVariantId=function(e){var t=this.getNewestDefaultVariantChangeDeleteTheRest(e);return t?t.getContent().defaultVariantName:\"\"},a.prototype.getNewestDefaultVariantChangeDeleteTheRest=function(e){var t=this.getDefaultVariantChanges(e).sort(function(e,t){var a=new Date(e.getCreation()),n=new Date(t.getCreation());return isNaN(a.getDate())?-1:isNaN(n.getDate())?1:n-a}),a=t.shift();return t.forEach(function(e){e.markForDeletion()}),a},a.prototype.getDefaultVariantChanges=function(e){function t(t){return e[t]}function a(e){return\"defaultVariant\"===e.getChangeType()}return e&&\"object\"==typeof e?Object.keys(e).map(t).filter(a):[]},a.prototype.updateDefaultVariantId=function(e,t){var a=this.getNewestDefaultVariantChangeDeleteTheRest(e);if(a){var n=a.getContent();n.defaultVariantName=t,a.setContent(n)}return a},a.prototype._createChangeFile=function(e){var a;return e.namespace=e.component+\"/changes/default\",e.componentName=e.component,e.changeType=\"defaultVariant\",a=t.createInitialFileContent(e),a.content.defaultVariantName=e.defaultVariantId,a.layer=\"USER\",a},a.prototype.createChangeObject=function(e){var a;return a=this._createChangeFile(e),new t(a)},new a},!0);",
	"sap/ui/fl/descriptorRelated/api/DescriptorChangeFactory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/fl/ChangePersistence\",\"sap/ui/fl/Change\",\"sap/ui/fl/descriptorRelated/internal/Utils\",\"sap/ui/fl/registry/Settings\",\"sap/ui/fl/Utils\"],function(e,t,n,r,s,i){\"use strict\";var a=function(e,t,n){this._mChangeFile=e,this._mChangeFile.packageName=\"$TMP\",this._oInlineChange=t,this._sTransportRequest=null,this._oSettings=n};a.prototype.setTransportRequest=function(e){try{r.checkTransportRequest(e)}catch(e){return Promise.reject(e)}return this._sTransportRequest=e,Promise.resolve()},a.prototype.setPackage=function(e){try{r.checkPackage(e)}catch(e){return Promise.reject(e)}return this._mChangeFile.packageName=e,Promise.resolve()},a.prototype.submit=function(){return this.store(),this._getChangePersistence(this._mChangeFile.reference).saveDirtyChanges()},a.prototype.store=function(){var e=this._mChangeFile.reference,t=this._mChangeFile.validAppVersions.creation,n=this._getChangePersistence(e,t),r=this._getChangeToSubmit();return n.addChange(r),r},a.prototype._getChangePersistence=function(t,n){return e.getChangePersistenceForComponent(t,n)},a.prototype._getChangeToSubmit=function(){var e=new n(this._getMap());return this._sTransportRequest?e.setRequest(this._sTransportRequest):this._oSettings.isAtoEnabled()&&i.isCustomerDependentLayer(this._mChangeFile.layer)&&e.setRequest(\"ATO_NOTIFICATION\"),e},a.prototype._getMap=function(){var e=this._oInlineChange.getMap();return this._mChangeFile.content=e.content,this._mChangeFile.texts=e.texts,this._mChangeFile},a.prototype.getJson=function(){return jQuery.extend(!0,{},this._getMap())};var o=function(){};return o.prototype.createNew=function(e,t,r,o,h){!function(e,t){e.setHostingIdForTextKey&&e.setHostingIdForTextKey(t)}(t,e);var g;if(o){var p=o.getManifest();g=i.getAppVersionFromManifest(p)}var u={};if(u.changeType=t._getChangeType(),u.componentName=e,u.reference=e,u.validAppVersions=g?{creation:g,from:g}:{},u.generator=h,r){if(\"VENDOR\"!=r&&\"PARTNER\"!=r&&!i.isCustomerDependentLayer(r))throw new Error(\"Parameter \\\"layer\\\" needs to be 'VENDOR', 'PARTNER' or customer dependent\");u.layer=r}else u.layer=\"CUSTOMER\";var c=n.createInitialFileContent(u);return s.getInstance().then(function(e){return Promise.resolve(new a(c,t,e))})},o},!0);",
	"sap/ui/fl/descriptorRelated/api/DescriptorInlineChangeFactory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/descriptorRelated/internal/Utils\"],function(e){\"use strict\";var r=function(r,t,a){e.checkTexts(a),this._mParameters={},this._mParameters.changeType=r,this._mParameters.content=t,this._mParameters.texts=a};r.prototype._getChangeType=function(){return this._mParameters.changeType},r.prototype.getMap=function(){return this._mParameters};var t={};return t.getDescriptorChangeTypes=function(){return[\"appdescr_ovp_addNewCard\",\"appdescr_ovp_removeCard\",\"appdescr_ovp_changeCard\",\"appdescr_app_addNewInbound\",\"appdescr_app_changeInbound\",\"appdescr_app_removeInbound\",\"appdescr_app_removeAllInboundsExceptOne\",\"appdescr_app_addNewOutbound\",\"appdescr_app_changeOutbound\",\"appdescr_app_removeOutbound\",\"appdescr_app_addNewDataSource\",\"appdescr_app_changeDataSource\",\"appdescr_app_removeDataSource\",\"appdescr_app_addAnnotationsToOData\",\"appdescr_app_addTechnicalAttributes\",\"appdescr_app_removeTechnicalAttributes\",\"appdescr_app_setTitle\",\"appdescr_app_setSubTitle\",\"appdescr_app_setShortTitle\",\"appdescr_app_setDescription\",\"appdescr_app_setInfo\",\"appdescr_app_setDestination\",\"appdescr_app_setKeywords\",\"appdescr_app_setAch\",\"appdescr_ui5_addNewModel\",\"appdescr_ui5_replaceComponentUsage\",\"appdescr_smb_addNamespace\",\"appdescr_smb_changeNamespace\",\"appdescr_ui_generic_app_setMainPage\",\"appdescr_ui_setIcon\",\"appdescr_ui5_addLibraries\",\"appdescr_url_setUri\"]},t.createNew=function(e,t,a){var n=new r(e,t,a);return new Promise(function(e,r){if(n)e(n);else{r({})}})},t._createDescriptorInlineChange=function(e,t,a){var n=new r(e,t,a);return new Promise(function(e,r){if(n)e(n);else{r({})}})},t.createDescriptorInlineChange=function(e,r,t){return this._createDescriptorInlineChange(e,r,t)},t.create_ovp_addNewCard=function(r,t){return e.checkParameterAndType(r,\"card\",\"object\"),this._createDescriptorInlineChange(\"appdescr_ovp_addNewCard\",r,t)},t.create_ovp_removeCard=function(r){return e.checkParameterAndType(r,\"cardId\",\"string\"),this._createDescriptorInlineChange(\"appdescr_ovp_removeCard\",r)},t.create_ovp_changeCard=function(r,t){return e.checkParameterAndType(r,\"cardId\",\"string\"),e.checkEntityPropertyChange(r),this._createDescriptorInlineChange(\"appdescr_ovp_changeCard\",r,t)},t.create_app_addNewInbound=function(r,t){return e.checkParameterAndType(r,\"inbound\",\"object\"),this._createDescriptorInlineChange(\"appdescr_app_addNewInbound\",r,t)},t.create_app_removeInbound=function(r){return e.checkParameterAndType(r,\"inboundId\",\"string\"),this._createDescriptorInlineChange(\"appdescr_app_removeInbound\",r)},t.create_app_removeAllInboundsExceptOne=function(r){return e.checkParameterAndType(r,\"inboundId\",\"string\"),this._createDescriptorInlineChange(\"appdescr_app_removeAllInboundsExceptOne\",r)},t.create_app_changeInbound=function(r,t){return e.checkParameterAndType(r,\"inboundId\",\"string\"),e.checkEntityPropertyChange(r),this._createDescriptorInlineChange(\"appdescr_app_changeInbound\",r,t)},t.create_app_addNewOutbound=function(r){return e.checkParameterAndType(r,\"outbound\",\"object\"),this._createDescriptorInlineChange(\"appdescr_app_addNewOutbound\",r)},t.create_app_removeOutbound=function(r){return e.checkParameterAndType(r,\"outboundId\",\"string\"),this._createDescriptorInlineChange(\"appdescr_app_removeOutbound\",r)},t.create_app_changeOutbound=function(r){return e.checkParameterAndType(r,\"outboundId\",\"string\"),e.checkEntityPropertyChange(r),this._createDescriptorInlineChange(\"appdescr_app_changeOutbound\",r)},t.create_app_addNewDataSource=function(r){return e.checkParameterAndType(r,\"dataSource\",\"object\"),this._createDescriptorInlineChange(\"appdescr_app_addNewDataSource\",r)},t.create_app_removeDataSource=function(r){return e.checkParameterAndType(r,\"dataSourceId\",\"string\"),this._createDescriptorInlineChange(\"appdescr_app_removeDataSource\",r)},t.create_app_changeDataSource=function(r){return e.checkParameterAndType(r,\"dataSourceId\",\"string\"),e.checkEntityPropertyChange(r),this._createDescriptorInlineChange(\"appdescr_app_changeDataSource\",r)},t.create_app_addAnnotationsToOData=function(r){return e.checkParameterAndType(r,\"dataSourceId\",\"string\"),e.checkParameterAndType(r,\"annotations\",\"array\"),e.checkParameterAndType(r,\"dataSource\",\"object\"),this._createDescriptorInlineChange(\"appdescr_app_addAnnotationsToOData\",r)},t.create_app_setTitle=function(e){var r={\"\":e};return this._createDescriptorInlineChange(\"appdescr_app_setTitle\",{},r).then(function(e){return new Promise(function(r){e.setHostingIdForTextKey=function(r){var t=e,a=r+\"_sap.app.title\";t._mParameters.texts[a]=t._mParameters.texts[\"\"],delete t._mParameters.texts[\"\"]},r(e)})})},t.create_app_setSubTitle=function(e){var r={\"\":e};return this._createDescriptorInlineChange(\"appdescr_app_setSubTitle\",{},r).then(function(e){return new Promise(function(r){e.setHostingIdForTextKey=function(r){var t=e,a=r+\"_sap.app.subTitle\";t._mParameters.texts[a]=t._mParameters.texts[\"\"],delete t._mParameters.texts[\"\"]},r(e)})})},t.create_app_setShortTitle=function(e){var r={\"\":e};return this._createDescriptorInlineChange(\"appdescr_app_setShortTitle\",{},r).then(function(e){return new Promise(function(r){e.setHostingIdForTextKey=function(r){var t=e,a=r+\"_sap.app.shortTitle\";t._mParameters.texts[a]=t._mParameters.texts[\"\"],delete t._mParameters.texts[\"\"]},r(e)})})},t.create_app_setDescription=function(e){var r={\"\":e};return this._createDescriptorInlineChange(\"appdescr_app_setDescription\",{},r).then(function(e){return new Promise(function(r){e.setHostingIdForTextKey=function(r){var t=e,a=r+\"_sap.app.description\";t._mParameters.texts[a]=t._mParameters.texts[\"\"],delete t._mParameters.texts[\"\"]},r(e)})})},t.create_app_setInfo=function(e){var r={\"\":e};return this._createDescriptorInlineChange(\"appdescr_app_setInfo\",{},r).then(function(e){return new Promise(function(r){e.setHostingIdForTextKey=function(r){var t=e,a=r+\"_sap.app.info\";t._mParameters.texts[a]=t._mParameters.texts[\"\"],delete t._mParameters.texts[\"\"]},r(e)})})},t.create_app_setAch=function(r){return e.checkParameterAndType(r,\"ach\",\"string\"),this._createDescriptorInlineChange(\"appdescr_app_setAch\",r)},t.create_app_setDestination=function(r){return e.checkParameterAndType(r,\"destination\",\"object\"),this._createDescriptorInlineChange(\"appdescr_app_setDestination\",r)},t.create_app_setKeywords=function(r,t){return e.checkParameterAndType(r,\"keywords\",\"array\"),this._createDescriptorInlineChange(\"appdescr_app_setKeywords\",r,t)},t.create_app_addTechnicalAttributes=function(r){return e.checkParameterAndType(r,\"technicalAttributes\",\"array\"),this._createDescriptorInlineChange(\"appdescr_app_addTechnicalAttributes\",r)},t.create_app_removeTechnicalAttributes=function(r){return e.checkParameterAndType(r,\"technicalAttributes\",\"array\"),this._createDescriptorInlineChange(\"appdescr_app_removeTechnicalAttributes\",r)},t.create_ui5_addNewModel=function(r){return e.checkParameterAndType(r,\"model\",\"object\"),this._createDescriptorInlineChange(\"appdescr_ui5_addNewModel\",r)},t.create_ui5_replaceComponentUsage=function(r){return e.checkParameterAndType(r,\"componentUsageId\",\"string\"),e.checkParameterAndType(r,\"componentUsage\",\"object\"),this._createDescriptorInlineChange(\"appdescr_ui5_replaceComponentUsage\",r)},t.create_ui5_addLibraries=function(r){return e.checkParameterAndType(r,\"libraries\",\"object\"),this._createDescriptorInlineChange(\"appdescr_ui5_addLibraries\",r)},t.create_smb_addNamespace=function(r){return e.checkParameterAndType(r,\"smartBusinessApp\",\"object\"),this._createDescriptorInlineChange(\"appdescr_smb_addNamespace\",r)},t.create_smb_changeNamespace=function(r){return e.checkParameterAndType(r,\"smartBusinessApp\",\"object\"),this._createDescriptorInlineChange(\"appdescr_smb_changeNamespace\",r)},t.create_ui_generic_app_setMainPage=function(r,t){return e.checkParameterAndType(r,\"page\",\"object\"),this._createDescriptorInlineChange(\"appdescr_ui_generic_app_setMainPage\",r,t)},t.create_ui_setIcon=function(r){return e.checkParameterAndType(r,\"icon\",\"string\"),this._createDescriptorInlineChange(\"appdescr_ui_setIcon\",r)},t.create_url_setUri=function(r){return e.checkParameterAndType(r,\"uri\",\"string\"),this._createDescriptorInlineChange(\"appdescr_url_setUri\",r)},t},!0);",
	"sap/ui/fl/descriptorRelated/api/DescriptorVariantFactory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/descriptorRelated/api/DescriptorInlineChangeFactory\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/descriptorRelated/internal/Utils\",\"sap/ui/fl/registry/Settings\"],function(e,t,r,n,i){\"use strict\";var s=function(e,t,r,n){e&&r?(this._id=e.id,this._mode=\"DELETION\",this._mMap=t):e?(this._id=e.id,this._reference=e.reference,this._layer=e.layer,void 0!=typeof e.isAppVariantRoot&&(this._isAppVariantRoot=e.isAppVariantRoot),void 0!=typeof e.referenceVersion&&(this._referenceVersion=e.referenceVersion),this._mode=\"NEW\"):t&&(this._mMap=t,this._mode=\"FROM_EXISTING\"),this._oSettings=n,this._sTransportRequest=null,this._content=[]};s.prototype.addDescriptorInlineChange=function(e){var t=this;return new Promise(function(r){var n=function(e,t){e.setHostingIdForTextKey&&e.setHostingIdForTextKey(t)};switch(t._mode){case\"NEW\":n(e,t._id),t._content.push(e.getMap());break;case\"FROM_EXISTING\":n(e,t._mMap.id),t._mMap.content.push(e.getMap())}r(null)})},s.prototype.setTransportRequest=function(e){try{n.checkTransportRequest(e)}catch(e){return Promise.reject(e)}return this._sTransportRequest=e,Promise.resolve()},s.prototype.setPackage=function(e){try{n.checkPackage(e)}catch(e){return Promise.reject(e)}return this._package=e,Promise.resolve()},s.prototype.submit=function(){var e,n=\"/sap/bc/lrep/appdescr_variants/\";switch(this._mode){case\"NEW\":e=\"POST\";break;case\"FROM_EXISTING\":e=\"PUT\",n+=this._getMap().id;break;case\"DELETION\":e=\"DELETE\",n+=this._id}var i=this._getMap();return this._sTransportRequest?n+=\"?changelist=\"+this._sTransportRequest:this._oSettings.isAtoEnabled()&&t.isCustomerDependentLayer(i.layer)&&(n+=\"?changelist=ATO_NOTIFICATION\"),r.createConnector().send(n,e,i)},s.prototype.getId=function(){return this._id},s.prototype.getReference=function(){return this._reference},s.prototype.getNamespace=function(){return this._getMap().namespace},s.prototype.getSettings=function(){return this._oSettings},s.prototype.getJson=function(){return jQuery.extend(!0,{},this._getMap())},s.prototype._getMap=function(){switch(this._mode){case\"NEW\":var e={fileName:this._getNameAndNameSpace().fileName,fileType:\"appdescr_variant\",namespace:this._getNameAndNameSpace().namespace,layer:this._layer,packageName:this._package?this._package:\"$TMP\",reference:this._reference,id:this._id,content:this._content};return void 0!=typeof this._isAppVariantRoot&&(e.isAppVariantRoot=this._isAppVariantRoot),void 0==e.isAppVariantRoot||e.isAppVariantRoot||(e.fileType=\"cdmapp_config\"),void 0!=typeof this._referenceVersion&&(e.referenceVersion=this._referenceVersion),e;case\"FROM_EXISTING\":case\"DELETION\":return this._mMap}},s.prototype._getNameAndNameSpace=function(){return n.getNameAndNameSpace(this._id,this._reference)};var a={};return a._getDescriptorVariant=function(e){var t=\"/sap/bc/lrep/appdescr_variants/\"+e;return r.createConnector().send(t,\"GET\")},a.createNew=function(e){if(n.checkParameterAndType(e,\"reference\",\"string\"),n.checkParameterAndType(e,\"id\",\"string\"),e.layer){if(n.checkParameterAndType(e,\"layer\",\"string\"),\"VENDOR\"!=e.layer&&\"PARTNER\"!=e.layer&&!t.isCustomerDependentLayer(e.layer))throw new Error(\"Parameter \\\"layer\\\" needs to be 'VENDOR', 'PARTNER' or customer dependent\")}else e.layer=\"CUSTOMER\";return e.isAppVariantRoot&&n.checkParameterAndType(e,\"isAppVariantRoot\",\"boolean\"),i.getInstance().then(function(t){return Promise.resolve(new s(e,null,!1,t))})},a.createForExisting=function(e){if(void 0===e||\"string\"!=typeof e)throw new Error('Parameter \"sId\" must be provided of type string');var t;return a._getDescriptorVariant(e).then(function(e){return t=e,i.getInstance()}).then(function(e){var r=t.response;return jQuery.isPlainObject(r)||(r=JSON.parse(r)),Promise.resolve(new s(null,r,!1,e))})},a.createDeletion=function(e){if(void 0===e||\"string\"!=typeof e)throw new Error('Parameter \"sId\" must be provided of type string');var t={};t.id=e;var r;return a._getDescriptorVariant(e).then(function(e){return r=e,i.getInstance()}).then(function(e){var n=JSON.parse(r.response);return Promise.resolve(new s(t,n,!0,e))})},a},!0);",
	"sap/ui/fl/descriptorRelated/internal/Utils.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define(function(){\"use strict\";var e=function(){};return e.prototype.getNameAndNameSpace=function(e,r){return{fileName:\"manifest\",namespace:\"apps/\"+r+\"/appVariants/\"+e+\"/\"}},e.prototype.checkEntityPropertyChange=function(e){if(this.checkParameterAndType(e,\"entityPropertyChange\",\"object\"),e.entityPropertyChange instanceof Array)for(var r=0;r<e.entityPropertyChange.length;r++){var t=e.entityPropertyChange[r];this.checkEntityPropertyChangeContent(t)}else e.entityPropertyChange instanceof Object&&this.checkEntityPropertyChangeContent(e.entityPropertyChange)},e.prototype.checkEntityPropertyChangeContent=function(e){if(this.checkParameterAndType(e,\"propertyPath\",\"string\"),this.checkParameterAndType(e,\"operation\",\"string\"),jQuery.inArray(e.operation,[\"INSERT\",\"UPDATE\",\"UPSERT\",\"DELETE\"])<0)throw new Error(\"Parameter \\\"entityPropertyChange.operation\\\" needs to be one of 'INSERT', 'UPDATE', 'UPSERT', 'DELETE'\");if(void 0===e.propertyValue&&\"DELETE\"!==e.operation)throw new Error('No parameter \"entityPropertyChange.propertyValue\" provided')},e.prototype.checkParameterAndType=function(e,r,t){if(\"array\"===t){if(void 0===e||void 0===e[r]||!Array.isArray(e[r]))throw new Error('No parameter \"'+r+'\" of type '+t+\" provided\")}else if(void 0===e||void 0===e[r]||typeof e[r]!==t)throw new Error('No parameter \"'+r+'\" of type '+t+\" provided\")},e.prototype.checkTexts=function(e){if(void 0!==e&&\"object\"!=typeof e)throw new Error('Wrong format for provided \"texts\" parameter')},e.prototype.checkTransportRequest=function(e){if(!/^[A-Z0-9]{1,20}$/.test(e)&&\"ATO_NOTIFICATION\"!==e)throw new Error('Wrong format for provided \"sTransportRequest\" parameter')},e.prototype.checkPackage=function(e){if(!/^[A-Z0-9\\/_]{1,30}$/.test(e))throw new Error('Wrong format for provided \"sPackage\" parameter')},new e},!0);",
	"sap/ui/fl/EventHistory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define(function(){\"use strict\";var e=function(){};return e._aEventIds=[\"ControlForPersonalizationRendered\"],e._aUnsubscribedEventIds=[],e._oHistory={},e.start=function(){e._aEventIds.forEach(function(n){-1===e._aUnsubscribedEventIds.indexOf(n)&&(sap.ui.getCore().getEventBus().subscribe(\"sap.ui\",n,e.saveEvent),e._oHistory[n]=[])})},e.saveEvent=function(n,s,t){var i={channelId:n,eventId:s,parameters:t};e._oHistory[s]&&e._oHistory[s].push(i)},e.getHistoryAndStop=function(n){return sap.ui.getCore().getEventBus().unsubscribe(\"sap.ui\",n,e.saveEvent),e._addUnsubscribedEvent(n),e._oHistory[n]||[]},e._addUnsubscribedEvent=function(n){-1===e._aUnsubscribedEventIds.indexOf(n)&&e._aUnsubscribedEventIds.push(n)},e},!0);",
	"sap/ui/fl/FakeLrepConnector.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/thirdparty/URI\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Cache\",\"sap/ui/fl/ChangePersistenceFactory\"],function(e,n,o,t,r,a){\"use strict\";function s(e){this.sInitialComponentJsonPath=e}function c(e,n,o,t,r){if(e.match(/^\\/sap\\/bc\\/lrep\\/changes\\//)&&\"DELETE\"===n){var a=[],s=/\\?reference=([\\w.]+)\\&.+\\&layer=(\\w+)\\&generator=([\\w.]+)/;a=e.match(s),r({response:{parameters:a},status:\"success\"})}}function i(e,n,o,t,r){e.match(/^\\/sap\\/bc\\/ui2\\/app_index\\/ui5_app_mani_first_supported\\//)&&\"GET\"===n&&r({response:!1,status:\"success\"})}function p(e,n,o,t,r){e.match(/^\\/sap\\/bc\\/lrep\\/actions\\/make_changes_transportable\\//)&&\"POST\"===n&&r()}function u(e,n,o,t,r,a){e.match(/^\\/sap\\/bc\\/lrep\\/actions\\/gettransports\\//)&&r({response:{transports:[{transportId:\"U31K008488\",description:\"The Ultimate Transport\",owner:\"Fantasy Owner\",locked:!1}],localonly:!1,errorCode:\"\"}})}var l=Object.create(t.prototype);s._oBackendInstances={};for(var f in l)\"function\"==typeof l[f]&&(s.prototype[f]=function(e){return function(){throw new Error(\"Method \"+e+\"() is not implemented in FakeLrepConnector.\")}}(f));return s.prototype.loadChanges=function(n){var o=this.sInitialComponentJsonPath;return new Promise(function(t,r){e.getJSON(o).done(function(e){t({changes:e,componentClassName:n})}).fail(function(e){r(e)})})},s.prototype.create=function(e,n,o){return o?(e.creation||(e.creation=(new Date).toISOString()),Promise.resolve({response:e,status:\"success\"})):Promise.resolve()},s.prototype.update=function(e,n,o,t){return t?Promise.resolve({response:e,status:\"success\"}):Promise.resolve()},s.prototype.deleteChange=function(e,n){return n?Promise.resolve({response:void 0,status:\"nocontent\"}):Promise.resolve()},s.prototype.send=function(e,n,o,t){return new Promise(function(r,a){u(e,n,o,t,r,a),p(e,n,o,t,r),i(e,n,o,t,r),c(e,n,o,t,r)})},s.enableFakeConnector=function(e,n,o){function c(){s.enableFakeConnector.original=t.createConnector,t.createConnector=function(){return s._oFakeInstance||(s._oFakeInstance=new s(e)),s._oFakeInstance}}if(n&&o){var i=a.getChangePersistenceForComponent(n,o);return i._oConnector instanceof s||(r.clearEntry(n,o),s._oBackendInstances[n]||(s._oBackendInstances[n]={}),s._oBackendInstances[n][o]=i._oConnector,i._oConnector=new s(e)),void c()}r.clearEntries(),s.enableFakeConnector.original||c()},s.disableFakeConnector=function(e,n){function o(){s.enableFakeConnector.original&&(t.createConnector=s.enableFakeConnector.original,s.enableFakeConnector.original=void 0,s._oFakeInstance=void 0)}if(e&&n){var c=a.getChangePersistenceForComponent(e,n);return c._oConnector instanceof t||(r.clearEntry(e,n),s._oBackendInstances[e]&&s._oBackendInstances[e][n]&&(c._oConnector=s._oBackendInstances[e][n],s._oBackendInstances[e][n]=void 0)),void o()}r.clearEntries(),o()},s},!0);",
	"sap/ui/fl/FakeLrepConnectorLocalStorage.js": "/*\n * ! UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/FakeLrepLocalStorage\",\"sap/ui/fl/FakeLrepConnector\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Cache\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/fl/Utils\"],function(e,n,t,a,r,i){\"use strict\";function o(e){this.mSettings=jQuery.extend({isKeyUser:!0,isAtoAvailable:!1,isProductiveSystem:!1},e)}return o._oBackendInstances={},jQuery.extend(o.prototype,n.prototype),o.prototype.create=function(e){var n;return n=Array.isArray(e)?e.map(function(e){return this._saveChange(e)}.bind(this)):this._saveChange(e),Promise.resolve({response:n,status:\"success\"})},o.prototype._saveChange=function(n){return n.creation||(n.creation=(new Date).toISOString()),e.saveChange(n.fileName,n),n},o.prototype.update=function(e,n,t,a){return Promise.resolve({response:this._saveChange(e),status:\"success\"})},o.prototype.send=function(t,a,r,i){return\"DELETE\"===a?n.prototype.send.apply(this,arguments).then(function(n){return e.getChanges().forEach(function(t){t.reference===n.response.parameters[1]&&e.deleteChange(t.fileName)}),Promise.resolve({response:void 0,status:\"nocontent\"})}):n.prototype.send.apply(this,arguments)},o.prototype.deleteChange=function(n){return e.deleteChange(n.sChangeName),Promise.resolve({response:void 0,status:\"nocontent\"})},o.prototype.deleteChanges=function(){return e.deleteChanges(),Promise.resolve({response:void 0,status:\"nocontent\"})},o.prototype.loadChanges=function(n){var t=e.getChanges();return new Promise(function(e,t){var a={};this.mSettings.sInitialComponentJsonPath?jQuery.getJSON(this.mSettings.sInitialComponentJsonPath).done(function(t){a={changes:t,componentClassName:n},e(a)}).fail(function(e){t(e)}):e(a)}.bind(this)).then(function(e){var a=[],r=[],i=[],o=[];return t.forEach(function(e){\"ctrl_variant\"===e.fileType&&e.variantManagementReference?a.push(e):\"ctrl_variant_change\"===e.fileType?r.push(e):\"ctrl_variant_management_change\"===e.fileType?i.push(e):o.push(e)}),e=this._createChangesMap(e,a),e=this._sortChanges(e,o,r,i),e=this._assignVariantReferenceChanges(e),e.changes.contexts=[],e.changes.settings=this.mSettings,e.componentClassName=n,e}.bind(this))},o.prototype._createChangesMap=function(e,n){e&&e.changes||(e={changes:{}}),e.changes.changes||(e.changes.changes=[]),e.changes.variantSection||(e.changes.variantSection={});var t=function(e,n){return e.some(function(e){return e.content.fileName===n.fileName})},a={};return n.forEach(function(n){if(a=e.changes.variantSection[n.variantManagementReference])t(a.variants,n)||a.variants.push(this._getVariantStructure(n,[],{}));else{var r=this._fakeStandardVariant(n.variantManagementReference);a=this._getVariantManagementStructure([this._getVariantStructure(r,[],{}),this._getVariantStructure(n,[],{})],{}),e.changes.variantSection[n.variantManagementReference]=a}}.bind(this)),e},o.prototype._getVariantStructure=function(e,n,t){return{content:e,controlChanges:n,variantChanges:t}},o.prototype._getVariantManagementStructure=function(e,n){return{variants:e,variantManagementChanges:n}},o.prototype._assignVariantReferenceChanges=function(e){return Object.keys(e.changes.variantSection).forEach(function(n){e.changes.variantSection[n].variants.forEach(function(n){var t=n.content.variantReference,a=n.controlChanges;t&&(a=this._getReferencedChanges(e,n).concat(a)),n.controlChanges=a}.bind(this))}.bind(this)),e},o.prototype._getReferencedChanges=function(e,n){var t=[];return e.changes.variantSection[n.content.variantManagementReference].variants.some(function(a){if(n.content.variantReference===a.content.fileName)return t=a.controlChanges.filter(function(e){return-1===i.isLayerAboveCurrentLayer(e.layer)}),a.content.variantReference&&(t=t.concat(this._getReferencedChanges(e,a))),!0}.bind(this)),t},o.prototype._sortChanges=function(e,n,t,a){var r=function(e,n,t){e.changes.variantSection[n].variants.some(function(e){if(e.content.fileName===t.variantReference)return e.controlChanges.push(t),!0})},i=function(e,n,t){e.changes.variantSection[n].variants.some(function(e){if(e.content.fileName===t.selector.id)return e.variantChanges[t.changeType]||(e.variantChanges[t.changeType]=[]),e.variantChanges[t.changeType].push(t),!0})},o={};return a.forEach(function(n){var t=n.selector.id;0===Object.keys(e.changes.variantSection).length&&(e.changes.variantSection[t]=this._getVariantManagementStructure([this._getVariantStructure(this._fakeStandardVariant(t),[],{})],{})),o=e.changes.variantSection[t].variantManagementChanges,o[n.changeType]||(o[n.changeType]=[]),o[n.changeType].push(n)}.bind(this)),n.forEach(function(n){n.variantReference?0===Object.keys(e.changes.variantSection).length?e.changes.variantSection[n.variantReference]=this._getVariantManagementStructure([this._getVariantStructure(this._fakeStandardVariant(n.variantReference),[n],{})],{}):Object.keys(e.changes.variantSection).forEach(function(t){r(e,t,n)}):e.changes.changes.push(n)}.bind(this)),t.forEach(function(n){if(0===Object.keys(e.changes.variantSection).length){var t={};t[n.changeType]=[n],e.changes.variantSection[n.selector.id]=this._getVariantManagementStructure([this._getVariantStructure(this._fakeStandardVariant(n.selector.id),[],t)],{})}else Object.keys(e.changes.variantSection).forEach(function(t){i(e,t,n)})}.bind(this)),e},o.prototype._fakeStandardVariant=function(e){return{fileName:e,fileType:\"ctrl_variant\",variantManagementReference:e,variantReference:\"\",content:{title:sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\").getText(\"STANDARD_VARIANT_TITLE\")}}},o.prototype.loadSettings=function(){return new Promise(function(e,n){e({})})},o.enableFakeConnector=function(e,n,i){function c(){o.enableFakeConnector.original=t.createConnector,t.createConnector=function(){return o._oFakeInstance||(o._oFakeInstance=new o(e)),o._oFakeInstance}}if(e=e||{},n&&i){var s=r.getChangePersistenceForComponent(n,i);return s._oConnector instanceof o||(a.clearEntry(n,i),o._oBackendInstances[n]||(o._oBackendInstances[n]={}),o._oBackendInstances[n][i]=s._oConnector,s._oConnector=new o(e)),void c()}a.clearEntries(),o.enableFakeConnector.original||c()},o.disableFakeConnector=function(e,n){function i(){o.enableFakeConnector.original&&(t.createConnector=o.enableFakeConnector.original,o.enableFakeConnector.original=void 0,o._oFakeInstance=void 0)}if(e&&n){var c=r.getChangePersistenceForComponent(e,n);return c._oConnector instanceof t||(a.clearEntry(e,n),o._oBackendInstances[e]&&o._oBackendInstances[e][n]&&(c._oConnector=o._oBackendInstances[e][n],o._oBackendInstances[e][n]=void 0)),void i()}a.clearEntries(),i()},o},!0);",
	"sap/ui/fl/FakeLrepLocalStorage.js": "/*\n * ! UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([],function(){\"use strict\";var a={};return a.createChangeKey=function(a){if(a)return\"sap.ui.fl.change.\"+a},a.createVariantKey=function(a){if(a)return\"sap.ui.fl.variant.\"+a},a.forEachLrepChangeInLocalStorage=function(a){for(var e in window.localStorage)(e.indexOf(\"sap.ui.fl.change\")>-1||e.indexOf(\"sap.ui.fl.variant\")>-1)&&a(e)},a.getChange=function(a){if(a){var e=window.localStorage.getItem(this.createChangeKey(a));return e||(e=window.localStorage.getItem(this.createVariantKey(a))),JSON.parse(e)}},a.getChanges=function(){var a,e=[];return this.forEachLrepChangeInLocalStorage(function(t){a=JSON.parse(window.localStorage[t]),e.push(a)}),e},a.getNumChanges=function(){var a=0;return this.forEachLrepChangeInLocalStorage(function(e){a++}),a},a._aModifyCallbacks=[],a.attachModifyCallback=function(a){this._aModifyCallbacks.push(a)},a.detachModifyCallback=function(a){var e=this._aModifyCallbacks.indexOf(a);-1!==e&&this._aModifyCallbacks.splice(e,1)},a._callModifyCallbacks=function(a){this._aModifyCallbacks.forEach(function(e){e(a)})},a.deleteChange=function(a){a&&(window.localStorage.removeItem(this.createChangeKey(a)),window.localStorage.removeItem(this.createVariantKey(a))),this._callModifyCallbacks(\"delete\")},a.deleteChanges=function(){this.forEachLrepChangeInLocalStorage(function(a){window.localStorage.removeItem(a)}),this._callModifyCallbacks(\"delete\")},a.saveChange=function(a,e){var t,n;a&&e&&(t=\"ctrl_variant\"===e.fileType&&e.variantManagementReference?this.createVariantKey(a):this.createChangeKey(a),n=JSON.stringify(e),window.localStorage.setItem(t,n)),this._callModifyCallbacks(\"save\")},a},!0);",
	"sap/ui/fl/fieldExt/Access.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.storage\"],function(e){\"use strict\";var t={};return t._mServiceType={v2:\"v2\",v4:\"v4\"},t._sODataV4ResourcePathPrefix=\"sap/opu/odata4/\",t._sStorageKey=\"sap.ui.fl.fieldExt.Access\",t._iValidityPeriod=6048e5,t.getBusinessContexts=function(e,t,r){var i=this._getEntityInfo(t,r),s=this._parseServiceUri(e),a=this._buildBusinessContextRetrievalUri(s,i);return this._executeAjaxCall(a,s,i)},t.isServiceOutdated=function(e){if(!this._isSystemInfoAvailable())return!1;var t=this._getServiceItem(this._createServiceItem(e));return!!t&&(!this._isServiceExpired(t)||(this.setServiceValid(e),!1))},t.setServiceValid=function(e){if(this._isSystemInfoAvailable()){var t=this._getDataFromLocalStorage();delete t[this._createServiceItem(e).serviceKey],this._setDataToLocalStorage(t)}},t.setServiceInvalid=function(e){if(this._isSystemInfoAvailable()){var t=this._getDataFromLocalStorage(),r=this._createServiceItem(e);t[r.serviceKey]=r,this._setDataToLocalStorage(t)}},t._getEntityInfo=function(e,t){var r={entityTypeName:e||\"\",entitySetName:t||\"\"};if(0===r.entitySetName.length&&0===r.entityTypeName.length||0!==r.entitySetName.length&&0!==r.entityTypeName.length)throw new Error(\"sap.ui.fl.fieldExt.Access._getEntityInfo()Inconsistent input parameters EntityType: \"+r.entityTypeName+\" EntitySet: \"+r.entitySetName);return r},t._parseServiceUri=function(e){return-1!==e.toLowerCase().indexOf(this._sODataV4ResourcePathPrefix)?this._parseV4ServiceUri(e):this._parseV2ServiceUri(e)},t._parseV2ServiceUri=function(e){var t,r=/.*sap\\/opu\\/odata\\/([^\\/]+)\\/([^\\/]+)/i,i=/([^;]+);v=(\\d{1,4})/i;if(-1!==e.toLowerCase().indexOf(\"sap/opu/odata\")){var s=e.match(r);if(!s||3!==s.length)throw new Error(\"sap.ui.fl.fieldExt.Access._parseV2ServiceUri: Malformed service URI (Invalid service name)\");t=\"sap\"!==s[1].toLowerCase()?\"/\"+s[1]+\"/\"+s[2]:s[2]}else e.length>0&&e.lastIndexOf(\"/\")+1===e.length&&(e=e.substring(0,e.length-1)),t=e.substring(e.lastIndexOf(\"/\")+1);if(-1!==t.indexOf(\";v=\")){var a=t.match(i);if(!a||3!==a.length)throw new Error(\"sap.ui.fl.fieldExt.Access._parseV2ServiceUri: Malformed service URI (Invalid version)\");return{serviceName:a[1],serviceVersion:a[2],serviceType:this._mServiceType.v2}}return{serviceName:t,serviceVersion:\"0001\",serviceType:this._mServiceType.v2}},t._parseV4ServiceUri=function(e){var t=/^\\/?sap\\/opu\\/odata4((?:\\/[^\\/]+){5})(\\/[^\\/]+){1}(\\/.*)?/i,r=e.match(t);if(!r||4!==r.length)throw new Error(\"sap.ui.fl.fieldExt.Access._parseV4ServiceUri: Malformed service URI\");var i=r[1].split(\"/\");i.splice(0,3);var s=/(\\d{1,4})/i,a=r[2].match(s);return{serviceName:i.join(\"/\"),serviceVersion:a[1],serviceType:this._mServiceType.v4}},t._buildBusinessContextRetrievalUri=function(e,t){var r=\"/sap/opu/odata/SAP/APS_CUSTOM_FIELD_MAINTENANCE_SRV/\";if(e.serviceType===this._mServiceType.v4){var i=this._sODataV4ResourcePathPrefix+e.serviceName+\"/\"+e.serviceVersion;r+=\"GetBusinessContextsByResourcePath?\"+jQuery.sap.encodeURLParameters({ResourcePath:\"'\"+i+\"'\"})}else r+=\"GetBusinessContextsByEntityType?ServiceName='\"+e.serviceName+\"'&ServiceVersion='\"+e.serviceVersion+\"'\";return r+=\"&EntitySetName='\"+t.entitySetName+\"'&EntityTypeName='\"+t.entityTypeName+\"'&$format=json\"},t._executeAjaxCall=function(e,t,r){var i=this,s=this._getAjaxSettings(),a=jQuery.Deferred(),n={BusinessContexts:[],ServiceName:t.serviceName,ServiceVersion:t.serviceVersion};return jQuery.ajax(e,s).done(function(e,t,r){n.BusinessContexts=i._extractBusinessContexts(e),a.resolve(n)}).fail(function(e,s,o){if(404===e.status&&t.serviceType===i._mServiceType.v4)a.resolve(n);else{var c=i._getMessagesFromXHR(e),v={errorOccured:!0,errorMessages:c,serviceName:t.serviceName,serviceVersion:t.serviceVersion,entityType:r.entityTypeName,entitySet:r.entitySetName};a.reject(v)}}),a.promise()},t._getAjaxSettings=function(){return{type:\"GET\",async:!0,dataType:\"json\"}},t._extractBusinessContexts=function(e){var t=null,r=[];if(e&&e.d&&(t=e.d.results),null!==t&&t.length>0)for(var i=0;i<t.length;i++)null!==t[i].BusinessContext&&r.push(t[i].BusinessContext);return r},t._getMessagesFromXHR=function(e){var t=[];try{var r=JSON.parse(e.responseText);r&&r.error&&r.error.message&&r.error.message.value&&\"\"!==r.error.message.value?t.push({severity:\"error\",text:r.error.message.value}):t.push({severity:\"error\",text:e.responseText})}catch(e){}return t},t._getCurrentTime=function(){return Date.now()},t._isServiceExpired=function(e){return e.expirationDate<=this._getCurrentTime()},t._getLocalStorage=function(){return jQuery.sap.storage(jQuery.sap.storage.Type.local)},t.isLocalStorageAvailable=function(){return this._getLocalStorage()&&this._getLocalStorage().isSupported()},t._getServiceItem=function(e){return this._getDataFromLocalStorage()[e.serviceKey]||null},t._createServiceItem=function(e){var t=this._getCurrentTime()+this._iValidityPeriod,r=this._getSystemInfo(),i=this._extractServiceInfo(e);return{serviceKey:r.getName()+r.getClient()+i.serviceName+i.serviceVersion,expirationDate:t}},t._extractServiceInfo=function(e){return\"string\"==typeof e?this._parseServiceUri(e):e},t._isSystemInfoAvailable=function(){return sap&&sap.ushell&&sap.ushell.Container&&sap.ushell.Container.getLogonSystem},t._getSystemInfo=function(){return sap.ushell.Container.getLogonSystem()},t._setDataToLocalStorage=function(e){this.isLocalStorageAvailable()&&this._getLocalStorage().put(t._sStorageKey,JSON.stringify(e))},t._getDataFromLocalStorage=function(){if(!this.isLocalStorageAvailable())return{};var e=this._getLocalStorage().get(t._sStorageKey);return e?JSON.parse(e):{}},t},!0);",
	"sap/ui/fl/FlexController.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Persistence\",\"sap/ui/fl/registry/ChangeRegistry\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Change\",\"sap/ui/fl/Variant\",\"sap/ui/fl/Cache\",\"sap/ui/fl/registry/Settings\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/core/mvc/View\",\"sap/ui/fl/changeHandler/JsControlTreeModifier\",\"sap/ui/fl/changeHandler/XmlTreeModifier\",\"sap/ui/fl/context/ContextManager\"],function(e,t,n,o,r,a,i,s,p,h,c,g,l,u){\"use strict\";var d=function(e,t){this._oChangePersistence=void 0,this._sComponentName=e||\"\",this._sAppVersion=t||o.DEFAULT_APP_VERSION,this._sComponentName&&this._sAppVersion&&this._createChangePersistence()};return d.appliedChangesCustomDataKey=\"sap.ui.fl.appliedChanges\",d.failedChangesCustomDataKeyJs=\"sap.ui.fl.failedChanges.js\",d.failedChangesCustomDataKeyXml=\"sap.ui.fl.failedChanges.xml\",d.PENDING=\"sap.ui.fl:PendingChange\",d.PROCESSING=\"sap.ui.fl:ProcessingChange\",d.variantTechnicalParameterName=\"sap-ui-fl-control-variant-id\",d.prototype.setComponentName=function(e){this._sComponentName=e,this._createChangePersistence()},d.prototype.getComponentName=function(){return this._sComponentName},d.prototype.getAppVersion=function(){return this._sAppVersion},d.prototype.getVariantModelData=function(){var e;return this._oChangePersistence&&this._oChangePersistence._oVariantController._mVariantManagement&&Object.keys(this._oChangePersistence._oVariantController._mVariantManagement).length>0&&(e=this._oChangePersistence._oVariantController._fillVariantModel()),e},d.prototype.createBaseChange=function(e,t){var n,o,r=u._getContextIdsFromUrl();if(r.length>1)throw new Error(\"More than one DesignTime Context is currently active.\");if(!t)throw new Error(\"No Application Component found - to offer flexibility. Valid relation to its owning application component must be present.\");e.reference=this.getComponentName(),e.packageName=\"$TMP\",e.context=1===r.length?r[0]:\"\";var i=this.getAppVersion(),s={creation:i,from:i};return i&&e.developerMode&&(s.to=i),e.validAppVersions=s,n=a.createInitialFileContent(e),o=new a(n),e.variantReference&&o.setVariantReference(e.variantReference),o},d.prototype.createChange=function(e,t){var n,r;if(!t)throw new Error(\"A flexibility change cannot be created without a targeted control.\");var a=t.id||t.getId();e.selector||(e.selector={});var i=t.appComponent||o.getAppComponentForControl(t);if(!i)throw new Error(\"No Application Component found - to offer flexibility the control with the id '\"+a+\"' has to have a valid relation to its owning application component.\");if(o.hasLocalIdSuffix(a,i)){var s=i.getLocalId(a);if(!s)throw new Error(\"Generated ID attribute found ('\"+a+\"'); provide a stable ID for the control as required by flexibility for assigning the changes.\");e.selector.id=s,e.selector.idIsLocal=!0}else e.selector.id=a,e.selector.idIsLocal=!1;n=this.createBaseChange(e,i);var p=t.controlType||o.getControlType(t);if(!p)throw new Error(\"No control type found - the change handler can not be retrieved.\");if(!(r=this._getChangeHandler(n,p,t,g)))throw new Error(\"Change handler could not be retrieved for change \"+JSON.stringify(e)+\".\");return r.completeChangeContent(n,e,{modifier:g,appComponent:i}),n},d.prototype.createVariant=function(e,t){var n;if(!t)throw new Error(\"No Application Component found - to offer flexibility the variant has to have a valid relation to its owning application component.\");e.content.reference=this.getComponentName(),e.content.packageName=\"$TMP\";var o=this.getAppVersion(),r={creation:o,from:o};return o&&e.developerMode&&(r.to=o),e.content.validAppVersions=r,n=i.createInitialFileContent(e),new i(n)},d.prototype.addChange=function(e,t){var n=this.createChange(e,t),r=o.getAppComponentForControl(t);return this.addPreparedChange(n,r),n},d.prototype.addPreparedChange=function(e,t){if(e.getVariantReference()){t.getModel(\"$FlexVariants\")._addChange(e)}return this._oChangePersistence.addChange(e,t),e},d.prototype.deleteChange=function(e,t){this._oChangePersistence.deleteChange(e),e.getVariantReference()&&t.getModel(\"$FlexVariants\")._removeChange(e)},d.prototype.createAndApplyChange=function(e,t){var n=this.addChange(e,t),r={modifier:g,appComponent:o.getAppComponentForControl(t)};return this.checkTargetAndApplyChange(n,t,r).catch(function(e){throw this._oChangePersistence.deleteChange(n),e}.bind(this))},d.prototype._checkDependencies=function(e,t,n,r,a){var i=this._checkChange(e,r);if(!i)return[];a.push(e);for(var s=e.getId(),p=t[s]&&t[s].dependencies||[],h=0,c=p.length;h<c;h++){var g=o.getChangeFromChangesMap(n,p[h]);if(i=this._checkDependencies(g,t,n,r,a),0===i.length){a=[];break}delete t[s]}return a},d.prototype._checkChange=function(e,t){var n,o=e.getSelector();n=o.idIsLocal?t.createId(o.id):o.id;var r=sap.ui.getCore().byId(n);return!!r&&!(this._getFailedCustomDataJs(e,r,g).customDataEntries.indexOf(e.getId())>-1)},d.prototype.waitForChangesToBeApplied=function(t){var n=this._oChangePersistence.getChangesMapForComponent(),r=[],a=e.extend({},n.mDependencies),i=n.mChanges,s=i[t.getId()]||[],p=this._getAppliedCustomData(void 0,t,g).customDataEntries,h=o.getAppComponentForControl(t),c=s.filter(function(e){return-1===p.indexOf(e.getId())}),l=[];return c.forEach(function(e){var t=this._checkDependencies(e,a,n.mChanges,h,[]);l=l.concat(t)},this),l=l.filter(function(e,t,n){return n.indexOf(e)===t}),l.forEach(function(e){e.aPromiseFn||(e.aPromiseFn=[]),r.push(new Promise(function(t,n){e.aPromiseFn.push({resolve:t,reject:n})}).catch(function(e){(e.getId&&n.mDependentChangesOnMe[e.getId()]||[]).forEach(function(e){var t=o.getChangeFromChangesMap(i,e);t.aPromiseFn&&t.aPromiseFn.forEach(function(e){e.reject(t)})}),Promise.resolve()}))},this),Promise.all(r)},d.prototype.saveAll=function(e){return this._oChangePersistence.saveDirtyChanges(e)},d.prototype.processXmlView=function(e,t){var n=sap.ui.getCore().getComponent(t.componentId),r=o.getAppComponentForControl(n),a=n.getManifest();return t.appComponent=r,t.appDescriptor=a,t.modifier=l,t.view=e,this.processViewByModifier(t)},d.prototype.processViewByModifier=function(e){return e.siteId=o.getSiteId(e.appComponent),this._oChangePersistence.getChangesForView(e.viewId,e).then(this._resolveGetChangesForView.bind(this,e),this._handlePromiseChainError.bind(this,e.view))},d.prototype._resolveGetChangesForView=function(e,t){var n=[];if(!Array.isArray(t)){var r=\"No list of changes was passed for processing the flexibility on view: \"+e.view+\".\";return o.log.error(r,void 0,\"sap.ui.fl.FlexController\"),[]}return t.forEach(function(t){try{var o=this._getSelectorOfChange(t);if(!o||!o.id)throw new Error(\"No selector in change found or no selector ID.\");var r=e.modifier.bySelector(o,e.appComponent,e.view);if(!r)throw new Error(\"A flexibility change tries to change a nonexistent control.\");n.push(function(){return this.checkTargetAndApplyChange(t,r,e).catch(function(e){this._logApplyChangeError(e,t)}.bind(this))}.bind(this))}catch(e){this._logApplyChangeError(e,t)}}.bind(this)),o.execPromiseQueueSequentially(n).then(function(){return e.view})},d.prototype._logApplyChangeError=function(e,t){var n=t.getDefinition(),r=n.changeType,a=n.selector.id,i=n.namespace+n.fileName+\".\"+n.fileType,s=\"A flexibility change could not be applied.\";s+=\"\\nThe displayed UI might not be displayed as intedend.\",e.message&&(s+=\"\\n   occurred error message: '\"+e.message+\"'\"),s+=\"\\n   type of change: '\"+r+\"'\",s+=\"\\n   LRep location of the change: \"+i,s+=\"\\n   id of targeted control: '\"+a+\"'.\",o.log.warning(s,void 0,\"sap.ui.fl.FlexController\")},d.prototype.checkTargetAndApplyChange=function(t,n,r){var a=r.modifier,i=a.getControlType(n),s=this._getChangeHandler(t,i,n,a);if(!s)return o.log.warning(\"Change handler implementation for change not found or change type not enabled for current layer - Change ignored\"),new o.FakePromise;var p=this._getAppliedCustomData(t,n,a),h=p.customDataValue,c=p.customDataEntries,g=p.customData,l=t.getId();if(-1===c.indexOf(l)){t.PROCESSING=!t.PROCESSING||t.PROCESSING;var u,d;try{u=s.applyChange(t,n,r)}catch(e){d=e}return new o.FakePromise(u,d).then(function(){var e=h?h+\",\"+l:l;return this._writeAppliedChangesCustomData(g,e,r,n),t.aPromiseFn&&t.aPromiseFn.forEach(function(e){e.resolve(t)}),delete t.PROCESSING,!0}.bind(this)).catch(function(o){var i,s=\"xmlTree\"===r.modifier.targets;this._setMergeError(!0);var p=\"Change ''{0}'' could not be applied. Merge error detected while processing the {1}.\";s?(i=this._getFailedCustomDataXml(t,n,a),p=e.sap.formatMessage(p,[t.getId(),\"XML tree\"]),e.sap.log.warning(p,o.stack||\"\")):(i=this._getFailedCustomDataJs(t,n,a),p=e.sap.formatMessage(p,[t.getId(),\"JS control tree\"]),e.sap.log.error(p,o.stack||\"\"));var h=i.customData;i.customDataEntries.push(t.getId());var c=i.customDataEntries.join(\",\");return s?this._writeFailedChangesCustomDataXml(h,c,r,n):this._writeFailedChangesCustomDataJs(h,c,r,n),t.aPromiseFn&&t.aPromiseFn.forEach(function(e){e.reject(t)}),delete t.PROCESSING,!1}.bind(this))}return new o.FakePromise(!0)},d.prototype._removeFromAppliedChangesAndMaybeRevert=function(e,t,n,r){var a,i,s,p,h=n.modifier,c=h.getControlType(t),g=this._getChangeHandler(e,c,t,h);if(r&&!g)return o.log.warning(\"Change handler implementation for change not found or change type not enabled for current layer - Change ignored\"),new o.FakePromise;var l=e.getId(),u=this._getAppliedCustomData(e,t,h);return a=u.customDataEntries,i=u.customData,s=a.indexOf(l),p=-1===s&&(e.PROCESSING||e.QUEUED)?new Promise(function(t,n){e.aPromiseFn=e.aPromiseFn||[],e.aPromiseFn.push({resolve:t,reject:n})}).then(function(e){return!0}):new o.FakePromise(!1),p.then(function(o){if(r&&(o||!o&&s>-1))return g.revertChange(e,t,n)}).then(function(){u=this._getAppliedCustomData(e,t,h),a=u.customDataEntries,i=u.customData,(s=a.indexOf(l))>-1&&i&&(a.splice(s,1),this._writeAppliedChangesCustomData(i,a.join(),n,t))}.bind(this)).catch(function(e){o.log.error(\"Change could not be reverted:\",e)})},d.prototype._writeAppliedChangesCustomData=function(e,t,n,o){this._writeCustomData(e,t,n,o,d.appliedChangesCustomDataKey)},d.prototype._writeFailedChangesCustomDataXml=function(e,t,n,o){this._writeCustomData(e,t,n,o,d.failedChangesCustomDataKeyXml)},d.prototype._writeFailedChangesCustomDataJs=function(e,t,n,o){this._writeCustomData(e,t,n,o,d.failedChangesCustomDataKeyJs)},d.prototype._writeCustomData=function(e,t,n,o,r){var a=n.modifier;if(e)a.setProperty(e,\"value\",t);else{var i=n.appComponent,s=n.view;e=a.createControl(\"sap.ui.core.CustomData\",i,s),a.setProperty(e,\"key\",r),a.setProperty(e,\"value\",t),a.insertAggregation(o,\"customData\",e,0,s)}},d.prototype._getAppliedCustomData=function(e,t,n){return this._getCustomData(e,t,n,d.appliedChangesCustomDataKey)},d.prototype._getFailedCustomDataXml=function(e,t,n){return this._getCustomData(e,t,n,d.failedChangesCustomDataKeyXml)},d.prototype._getFailedCustomDataJs=function(e,t,n){return this._getCustomData(e,t,n,d.failedChangesCustomDataKeyJs)},d.prototype._getCustomData=function(e,t,n,o){var r=n.getAggregation(t,\"customData\")||[],a={customDataEntries:[]};return r.some(function(e){if(n.getProperty(e,\"key\")===o)return a.customData=e,a.customDataValue=n.getProperty(e,\"value\"),a.customDataEntries=a.customDataValue.split(\",\"),!0}),a},d.prototype._handlePromiseChainError=function(e,t){return o.log.error(\"Error processing view \"+t+\".\"),e},d.prototype._getSelectorOfChange=function(e){if(e&&e.getSelector)return e.getSelector()},d.prototype._getChangeHandler=function(e,t,n,o){var r=e.getChangeType(),a=e.getLayer();return this._getChangeRegistry().getChangeHandler(r,t,n,o,a)},d.prototype._getChangeRegistry=function(){var e=n.getInstance();return e.initSettings(),e},d.prototype.getComponentChanges=function(e){return this._oChangePersistence.getChangesForComponent(e)},d.prototype.isPersonalized=function(e){return e=e||{},e.includeVariants=!0,this.getComponentChanges(e).then(function(e){return!!e.some(function(e){return e.isUserDependent()})})},d.prototype._createChangePersistence=function(){return this._oChangePersistence=h.getChangePersistenceForComponent(this.getComponentName(),this.getAppVersion()),this._oChangePersistence},d.prototype.resetChanges=function(e,t,n){return this._oChangePersistence.resetChanges(e,t).then(function(e){return n&&o.setTechnicalURLParameterValues(n,d.variantTechnicalParameterName,[]),e})},d.prototype.discardChanges=function(e,t){var n,r,a=o.getCurrentLayer(!!t),i=0;for(n=e.length;i<e.length;)r=e[i],r&&r.getLayer&&r.getLayer()===a&&this._oChangePersistence.deleteChange(r),n===e.length?i++:n=e.length;return this._oChangePersistence.saveDirtyChanges()},d.prototype.discardChangesForId=function(e,t){if(!e)return Promise.resolve();var n=this._oChangePersistence.getChangesMapForComponent(),o=n.mChanges[e]||[];return this.discardChanges(o,t)},d.prototype._setMergeError=function(){return p.getInstance().then(function(e){e.setMergeErrorOccured(!0)})},d.prototype._applyChangesOnControl=function(e,t,n){var r=[],a=e(),i=a.mChanges,s=a.mDependencies,p=a.mDependentChangesOnMe;return(i[n.getId()]||[]).forEach(function(e){s[e.getId()]?s[e.getId()][d.PENDING]=this.checkTargetAndApplyChange.bind(this,e,n,{modifier:g,appComponent:t}):(e.QUEUED=!0,r.push(function(){return this.checkTargetAndApplyChange(e,n,{modifier:g,appComponent:t}).then(function(t){t&&this._updateDependencies(s,p,e.getId()),delete e.QUEUED}.bind(this))}.bind(this)))}.bind(this)),o.execPromiseQueueSequentially(r).then(function(){return this._processDependentQueue(s,p)}.bind(this))},d.prototype.getBoundApplyChangesOnControl=function(e,t){var n=this._applyChangesOnControl.bind(this,e,t);return n._bIsSapUiFlFlexControllerApplyChangesOnControl=!0,n},d.prototype.revertChangesOnControl=function(e,t){var n=[];return e.forEach(function(e){n.push(function(){var n={modifier:g,appComponent:t},o=this._getSelectorOfChange(e),r=n.modifier.bySelector(o,n.appComponent);return this._removeFromAppliedChangesAndMaybeRevert(e,r,{modifier:g,appComponent:t},!0).then(function(){this._oChangePersistence._deleteChangeInMap(e)}.bind(this))}.bind(this))}.bind(this)),o.execPromiseQueueSequentially(n)},d.prototype.applyVariantChanges=function(e,t){var n=o.getAppComponentForControl(t),r=[];return e.forEach(function(e){var a=this._oChangePersistence.getChangesMapForComponent().mChanges,i=Object.keys(a).reduce(function(e,t){return e.concat(a[t])},[]);this._oChangePersistence._addChangeAndUpdateDependencies(t,e,i.length,i),r.push(function(){var t={modifier:g,appComponent:n},r=this._getSelectorOfChange(e),a=t.modifier.bySelector(r,t.appComponent);return a?this._applyChangesOnControl(this._oChangePersistence.getChangesMapForComponent.bind(this._oChangePersistence),n,a):(o.log.error(\"A flexibility change tries to change a nonexistent control.\"),new o.FakePromise)}.bind(this))}.bind(this)),o.execPromiseQueueSequentially(r)},d.prototype.removeFromAppliedChangesOnControl=function(e,t,n){return this._removeFromAppliedChangesAndMaybeRevert(e,n,{modifier:g,appComponent:t},!1)},d.prototype._updateControlsDependencies=function(e){var t;Object.keys(e).forEach(function(n){var o=e[n];if(o.controlsDependencies&&o.controlsDependencies.length>0)for(var r=o.controlsDependencies.length;r--;){var a=o.controlsDependencies[r];t=sap.ui.getCore().byId(a),t&&o.controlsDependencies.splice(r,1)}})},d.prototype._updateDependencies=function(e,t,n){t[n]&&(t[n].forEach(function(t){var o=e[t],r=o.dependencies.indexOf(n);r>-1&&o.dependencies.splice(r,1)}),delete t[n])},d.prototype._iterateDependentQueue=function(e,t){var n=[],r=[],a=[];return this._updateControlsDependencies(e),Object.keys(e).forEach(function(t){var o=e[t];!o[d.PENDING]||0!==o.dependencies.length||o.controlsDependencies&&o.controlsDependencies.length>0||o[d.PROCESSING]||(o[d.PROCESSING]=!0,a.push(function(){return o[d.PENDING]().then(function(){r.push(t),n.push(o.changeObject.getId())})}))}),o.execPromiseQueueSequentially(a).then(function(){for(var o=0;o<r.length;o++)delete e[r[o]];for(var a=0;a<n.length;a++)this._updateDependencies(e,t,n[a]);return n}.bind(this))},d.prototype._processDependentQueue=function(e,t){return this._iterateDependentQueue(e,t).then(function(n){if(n.length>0)return this._processDependentQueue(e,t)}.bind(this))},d},!0);",
	"sap/ui/fl/FlexControllerFactory.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/FlexController\",\"sap/ui/fl/Utils\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/fl/variants/VariantModel\"],function(e,n,t,a,r){\"use strict\";var o={};return o._instanceCache={},o.create=function(e,a){var a=a||t.DEFAULT_APP_VERSION;o._instanceCache[e]||(o._instanceCache[e]={});var r=o._instanceCache[e][a];return r||(r=new n(e,a),o._instanceCache[e][a]=r),r},o.createForControl=function(e,n){var a=t.getComponentClassName(e),r=n||t.getAppComponentForControl(e).getManifest(),i=t.getAppVersionFromManifest(r);return o.create(a,i)},o.getChangesAndPropagate=function(e,n){var i=e.getManifestObject();if(t.isApplication(i)){var s=o.createForControl(e,i);a._getChangesForComponentAfterInstantiation(n,i,e).then(function(n){e.addPropagationListener(s.getBoundApplyChangesOnControl(n,e));var t=s.getVariantModelData()||{};e.setModel(new r(t,s,e),\"$FlexVariants\")})}},o},!0);",
	"sap/ui/fl/library.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/RegistrationDelegator\"],function(i){\"use strict\";return sap.ui.getCore().initLibrary({name:\"sap.ui.fl\",version:\"904001.3.0.20231215124400_f0htmcm94p\",controls:[\"sap.ui.fl.variants.VariantManagement\"],dependencies:[\"sap.ui.core\",\"sap.m\"],designtime:\"sap/ui/fl/designtime/library.designtime\",extensions:{\"sap.ui.support\":{diagnosticPlugins:[\"sap/ui/fl/support/Flexibility\"],publicRules:!0}}}),i.registerAll(),sap.ui.fl});",
	"sap/ui/fl/library.support.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/support/library\",\"sap/ui/fl/Utils\",\"sap/ui/dt/DesignTime\",\"sap/ui/core/Component\"],function(e,t,n,o){\"use strict\";function i(e){var t=e.sParentAggregationName,n=e.getParent();if(n&&t){var o=n.getBindingInfo(t);return!!(o&&e instanceof o.template.getMetadata().getClass())||i(n)}return!1}var a=e.Categories,r=e.Audiences,s=e.Severity;return{name:\"sap.ui.fl\",niceName:\"UI5 Flexibility Library\",ruleset:[{id:\"stableId\",audiences:[r.Application],categories:[a.Functionality],enabled:!0,minversion:\"1.28\",title:\"Stable control IDs are required for SAPUI5 flexibility services\",description:\"Checks whether the IDs of controls support SAPUI5 flexibility services\",resolution:\"Replace the generated control ID with a stable ID. We strongly recommend that you use stable IDs for all controls in your app.\",resolutionurls:[{text:\"Documentation: Stable IDs: All You Need to Know\",href:\"https://sapui5.hana.ondemand.com/#docs/guide/f51dbb78e7d5448e838cdc04bdf65403.html\"}],async:!0,check:function(e,o,a,r){for(var l,c,d=a.getElements(),u=0;u<d.length&&(l=d[u],!(c=t.getAppComponentForControl(l)));u++);if(c){var f=new n({rootElements:[c]});f.attachEventOnce(\"synced\",function(){f.getElementOverlays().forEach(function(n){var o=n.getElementInstance(),a=o.getId(),r=-1!==a.indexOf(\"--\");t.checkControlId(a,c,!0)||i(o)||(r?e.addIssue({severity:s.Low,details:\"The ID '\"+a+\"' for the control was concatenated and has a generated onset.\\nTo enable the control for flexibility features, you must specify an ID for the control providing the onset, which is marked as high issue.\",context:{id:a}}):e.addIssue({severity:s.High,details:\"The ID '\"+a+\"' for the control was generated and flexibility features cannot support controls with generated IDs.\",context:{id:a}}))}),f.destroy(),r()})}}}]}},!0);",
	"sap/ui/fl/LrepConnector.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/thirdparty/URI\",\"sap/ui/fl/Utils\"],function(e,t,s){\"use strict\";var a=function(e){this._initClientParam(),this._initLanguageParam(),e&&(this._sXsrfToken=e.XsrfToken)};return a.createConnector=function(e){return new a(e)},a.prototype.DEFAULT_CONTENT_TYPE=\"application/json; charset=utf-8\",a.prototype._sClient=void 0,a.prototype._sLanguage=void 0,a.prototype._aSentRequestListeners=[],a.prototype._sRequestUrlPrefix=\"\",a.attachSentRequest=function(e){\"function\"==typeof e&&-1===a.prototype._aSentRequestListeners.indexOf(e)&&a.prototype._aSentRequestListeners.push(e)},a.detachSentRequest=function(e){var t=a.prototype._aSentRequestListeners.indexOf(e);-1!==t&&a.prototype._aSentRequestListeners.splice(t,1)},a.prototype._initClientParam=function(){var e=s.getClient();e&&(this._sClient=e)},a.prototype._initLanguageParam=function(){var e;(e=s.getUrlParameter(\"sap-language\")||s.getUrlParameter(\"sap-ui-language\"))&&(this._sLanguage=e)},a.prototype.setRequestUrlPrefix=function(e){this._sRequestUrlPrefix=e},a.prototype._resolveUrl=function(s){return e.sap.startsWith(s,\"/\")||(s=\"/\"+s),s=this._sRequestUrlPrefix+s,t(s).absoluteTo(\"\").toString()},a.prototype._getDefaultHeader=function(){return{headers:{\"X-CSRF-Token\":this._sXsrfToken||\"fetch\"}}},a.prototype._getDefaultOptions=function(t,s,a){var n;return s?-1===s.indexOf(\"charset\")&&(s+=\"; charset=utf-8\"):s=this.DEFAULT_CONTENT_TYPE,n=e.extend(!0,this._getDefaultHeader(),{type:t,async:!0,contentType:s,processData:!1,headers:{\"Content-Type\":s}}),a&&0===n.contentType.indexOf(\"application/json\")?(n.dataType=\"json\",n.data=\"object\"==typeof a?JSON.stringify(a):a):a&&(n.data=a),\"DELETE\"===t&&(delete n.data,delete n.contentType),n},a.prototype.send=function(t,s,a,n){if(s=s||\"GET\",s=s.toUpperCase(),n=n||{},t=this._resolveUrl(t),n.success||n.error){throw new Error(\"Success and error handler are not allowed in mOptions\")}var r=n.contentType||this.DEFAULT_CONTENT_TYPE;return n=e.extend(!0,this._getDefaultOptions(s,r,a),n),this._sendAjaxRequest(t,n)},a.prototype._getMessagesFromXHR=function(e){var t,s,a,n;s=[];try{if((t=JSON.parse(e.responseText))&&t.messages&&t.messages.length>0)for(a=t.messages.length,n=0;n<a;n++)s.push({severity:t.messages[n].severity,text:t.messages[n].text})}catch(e){}return s},a.prototype._sendAjaxRequest=function(t,s){var a=this,n=\"/sap/bc/lrep/actions/getcsrftoken/\",r={headers:{\"X-CSRF-Token\":\"fetch\"},type:\"HEAD\"};return this._sClient&&(r.headers[\"sap-client\"]=this._sClient),new Promise(function(i,o){function p(t,s,n){var r=n.getResponseHeader(\"X-CSRF-Token\");a._sXsrfToken=r||a._sXsrfToken;var o=n.getResponseHeader(\"etag\"),p={status:s,etag:o,response:t};i(p),e.each(a._aSentRequestListeners,function(e,t){t(p)})}function u(n,r,i){a._sXsrfToken=i.getResponseHeader(\"X-CSRF-Token\"),s.headers=s.headers||{},s.headers[\"X-CSRF-Token\"]=a._sXsrfToken,e.ajax(t,s).done(p).fail(function(e,t,s){var n=new Error(s);n.status=\"error\",n.code=e.statusCode().status,n.messages=a._getMessagesFromXHR(e),o(n)})}function l(t,p,l){if(403===t.status)e.ajax(n,r).done(u).fail(function(e,t,s){o({status:\"error\"})});else if(s&&\"DELETE\"===s.type&&404===t.status)i();else{var c;c={status:\"error\",code:t.statusCode().status,messages:a._getMessagesFromXHR(t)},o(c)}}var c=!0;s&&s.type&&(\"GET\"===s.type||\"HEAD\"===s.type?c=!1:a._sXsrfToken&&\"fetch\"!==a._sXsrfToken&&(c=!1)),c?e.ajax(n,r).done(u).fail(function(e,t,s){o({status:\"error\",code:e.statusCode().status,messages:a._getMessagesFromXHR(e)})}):e.ajax(t,s).done(p).fail(l)})},a.prototype.loadChanges=function(e,t){var a={},n=e.name,r=\"/sap/bc/lrep/flex/data/\";if(t=t||{},!n||n.match(new RegExp(/^\\$*\\{[a-zA-Z0-9\\.]*\\}/g)))return Promise.reject(new Error(\"Component name not specified\"));if(t.url?r=t.url:(t.cacheKey&&(a.cache=!0,r+=\"~\"+t.cacheKey+\"~/\"),r+=n),t.siteId&&(a.headers||(a.headers={}),a.headers={\"X-LRep-Site-Id\":t.siteId}),t.layer&&(r+=\"&upToLayerType=\"+t.layer),t.appDescriptor&&t.appDescriptor[\"sap.app\"]&&(a.headers||(a.headers={}),a.headers={\"X-LRep-AppDescriptor-Id\":t.appDescriptor[\"sap.app\"].id}),this._sClient&&(r+=\"&sap-client=\"+this._sClient),e.appVersion&&e.appVersion!==s.DEFAULT_APP_VERSION){if(e.appVersion.match(new RegExp(/^\\$*\\{[a-zA-Z0-9\\.]*\\}/g)))return Promise.reject(new Error(\"Component appVersion is invalid\"));r+=\"&appVersion=\"+e.appVersion}return r=r.replace(\"&\",\"?\"),this.send(r,void 0,void 0,a).then(function(e){return{changes:e.response,messagebundle:e.response.messagebundle,componentClassName:n,etag:e.etag}},function(e){throw e})},a.prototype.loadSettings=function(){var e=\"/sap/bc/lrep/flex/settings\";return this._sClient&&(e+=\"?sap-client=\"+this._sClient),this.send(e,void 0,void 0,{}).then(function(e){return e.response})},a.prototype._buildParams=function(e){e||(e=[]),this._sClient&&e.push({name:\"sap-client\",value:this._sClient}),this._sLanguage&&e.push({name:\"sap-language\",value:this._sLanguage});for(var t=\"\",s=e.length,a=0;a<s;a++)0===a?t+=\"?\":a>0&&a<s&&(t+=\"&\"),t+=e[a].name+\"=\"+e[a].value;return t},a.prototype._getUrlPrefix=function(e){return e?\"/sap/bc/lrep/variants/\":\"/sap/bc/lrep/changes/\"},a.prototype.create=function(e,t,s){var a=this._getUrlPrefix(s),n=[];return t&&n.push({name:\"changelist\",value:t}),a+=this._buildParams(n),this.send(a,\"POST\",e,null)},a.prototype.update=function(e,t,s,a){var n=this._getUrlPrefix(a);n+=t;var r=[];return s&&r.push({name:\"changelist\",value:s}),n+=this._buildParams(r),this.send(n,\"PUT\",e,null)},a.prototype.deleteChange=function(e,t){var s=this._getUrlPrefix(t);s+=e.sChangeName;var a=[];return e.sLayer&&a.push({name:\"layer\",value:e.sLayer}),e.sNamespace&&a.push({name:\"namespace\",value:e.sNamespace}),e.sChangelist&&a.push({name:\"changelist\",value:e.sChangelist}),s+=this._buildParams(a),this.send(s,\"DELETE\",{},null)},a.prototype.getStaticResource=function(e,t,s,a){var n=\"/sap/bc/lrep/content/\";n+=e+\"/\"+t+\".\"+s;var r=[];return a||r.push({name:\"dt\",value:\"true\"}),n+=this._buildParams(r),this.send(n,\"GET\",null,null)},a.prototype.getFileAttributes=function(e,t,s,a){var n=\"/sap/bc/lrep/content/\";n+=e+\"/\"+t+\".\"+s;var r=[];return r.push({name:\"metadata\",value:\"true\"}),a&&r.push({name:\"layer\",value:a}),n+=this._buildParams(r),this.send(n,\"GET\",null,null)},a.prototype.upsert=function(e,t,s,a,n,r,i){var o=this;return Promise.resolve(o._fileAction(\"PUT\",e,t,s,a,n,r,i))},a.prototype.deleteFile=function(e,t,s,a,n){return this._fileAction(\"DELETE\",e,t,s,a,null,null,n)},a.prototype._fileAction=function(e,t,s,a,n,r,i,o){var p=\"/sap/bc/lrep/content/\";p+=t+\"/\"+s+\".\"+a;var u=[];u.push({name:\"layer\",value:n}),o&&u.push({name:\"changelist\",value:o}),p+=this._buildParams(u);var l={contentType:i||this.DEFAULT_CONTENT_TYPE};return this.send(p,e.toUpperCase(),r,l)},a.prototype.publish=function(e,t,s,a,n,r,i){var o=\"/sap/bc/lrep/actions/publish/\";o+=e+\"/\"+t+\".\"+s;var p=[];return a&&p.push({name:\"layer\",value:a}),n&&p.push({name:\"target-layer\",value:n}),r&&p.push({name:\"target-namespace\",value:r}),i&&p.push({name:\"changelist\",value:i}),o+=this._buildParams(p),this.send(o,\"POST\",{},null)},a.prototype.listContent=function(e,t){var s=\"/sap/bc/lrep/content/\";s+=e;var a=[];return t&&a.push({name:\"layer\",value:t}),s+=this._buildParams(a),this.send(s,\"GET\",null,null)},a},!0);",
	"sap/ui/fl/Persistence.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Change\",\"sap/ui/fl/DefaultVariant\",\"sap/ui/fl/StandardVariant\",\"sap/ui/fl/Utils\",\"jquery.sap.global\",\"sap/ui/fl/ChangePersistenceFactory\"],function(t,e,n,r,o,s){\"use strict\";var a=function(t,e){this._oControl=t,this._sStableIdPropertyName=e||\"id\",this._sStableId=this._getStableId(),this._sComponentName=r.getComponentClassName(t),this._sComponentName||r.log.error(\"The Control does not belong to an SAPUI5 component. Variants and Changes for this control might not work as expected.\"),this._oAppDescriptor=r.getAppDescriptor(t),this._sSiteId=r.getSiteId(t),this._oChangePersistence=s.getChangePersistenceForControl(this._oControl),this._oChanges={}};return a.prototype._getStableId=function(){if(this._oControl){if(this._sStableIdPropertyName&&\"id\"!==this._sStableIdPropertyName){var t;try{t=this._oControl.getProperty(this._sStableIdPropertyName)}catch(e){t=\"\"}return t}if(\"function\"==typeof this._oControl.getId)return this._oControl.getId()}},a.prototype.getChanges=function(){var t={appDescriptor:this._oAppDescriptor,siteId:this._sSiteId,includeVariants:!0};return jQuery.isEmptyObject(this._oChanges)?this._oChangePersistence.getChangesForVariant(this._sStableIdPropertyName,this._sStableId,t).then(function(t){return this._oChanges=t,this._oChanges}.bind(this)):Promise.resolve(this._oChanges)},a.prototype.getChange=function(t){return t?this._oChanges[t]:void r.log.error(\"sap.ui.fl.Persistence.getChange : sChangeId is not defined\")},a.prototype.addChange=function(t){return this._oChangePersistence.addChangeForVariant(this._sStableIdPropertyName,this._sStableId,t)},a.prototype.getExecuteOnSelect=function(){return this.getChanges().then(function(t){return n.getExecuteOnSelect(t)})},a.prototype.getExecuteOnSelectSync=function(){return n.getExecuteOnSelect(this._oChanges)},a.prototype.setExecuteOnSelectSync=function(t){var e,r,o={};if(o[this._sStableIdPropertyName]=this._sStableId,e={executeOnSelect:t,reference:this._sComponentName,selector:o},r=n.updateExecuteOnSelect(this._oChanges,t))return r;r=n.createChangeObject(e);var s=r.getId();return this._oChanges[s]=r,r},a.prototype.getDefaultVariantId=function(){return this.getChanges().then(function(t){return e.getDefaultVariantId(t)})},a.prototype.getDefaultVariantIdSync=function(){return e.getDefaultVariantId(this._oChanges)},a.prototype.setDefaultVariantIdSync=function(t){var n,r,o={};if(o[this._sStableIdPropertyName]=this._sStableId,n={defaultVariantId:t,reference:this._sComponentName,selector:o},r=e.updateDefaultVariantId(this._oChanges,t))return r;r=e.createChangeObject(n);var s=r.getId();return this._oChanges[s]=r,r},a.prototype.saveAll=function(){return this._oChangePersistence.saveAllChangesForVariant(this._sStableId)},a.prototype.isVariantDownport=function(){var t,e;return t=r.getCurrentLayer(),e=r.isHotfixMode(),\"VENDOR\"===t&&e},a},!0);",
	"sap/ui/fl/Preprocessor.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/base/Object\"],function(e,s){\"use strict\";return s.extend(\"sap.ui.fl.Preprocessor\",{})},!0);",
	"sap/ui/fl/PreprocessorImpl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/core/Component\",\"sap/ui/fl/FlexControllerFactory\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/ChangePersistenceFactory\"],function(jQuery,Component,FlexControllerFactory,Utils,LrepConnector,ChangePersistenceFactory){\"use strict\";var PreprocessorImpl=function(){};return PreprocessorImpl.prototype.getControllerExtensions=function(e,o,n){if(n){if(!o)return jQuery.sap.log.warning(\"No component ID for determining the anchor of the code extensions was passed.\"),Promise.resolve([]);var r=sap.ui.component(o),t=Utils.getAppComponentForControl(r),s=Utils.getComponentClassName(t),i=Utils.getAppVersionFromManifest(t.getManifest());return ChangePersistenceFactory.getChangePersistenceForComponent(s,i).getChangesForComponent().then(function(o){var n=[];return jQuery.each(o,function(o,r){var t=r.getDefinition();\"codeExt\"===t.changeType&&t.content&&e===t.selector.id&&n.push(PreprocessorImpl.getExtensionProvider(t))}),n})}return jQuery.sap.log.warning(\"Synchronous extensions are not supported by sap.ui.fl.PreprocessorImpl\"),[]},PreprocessorImpl.getExtensionProvider=function(oChange){var sConvertedAsciiCodeContent=oChange.content.code||{},sConvertedCodeContent=Utils.asciiToString(sConvertedAsciiCodeContent),oExtensionProvider;return eval(\"oExtensionProvider = \"+sConvertedCodeContent),oExtensionProvider},PreprocessorImpl},!0);",
	"sap/ui/fl/RegistrationDelegator.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/FlexControllerFactory\",\"sap/ui/core/Component\",\"sap/ui/fl/registry/ChangeHandlerRegistration\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/core/mvc/Controller\",\"sap/ui/core/mvc/XMLView\",\"sap/ui/fl/EventHistory\"],function(e,r,n,s,t,o,i){\"use strict\";var a={};return a.registerChangesInComponent=function(){r._fnOnInstanceCreated=e.getChangesAndPropagate},a.registerChangeHandlers=function(){n.getChangeHandlersOfLoadedLibsAndRegisterOnNewLoadedLibs()},a.registerLoadComponentEventHandler=function(){r._fnLoadComponentCallback=s._onLoadComponent.bind(s)},a.registerExtensionProvider=function(){t.registerExtensionProvider(\"sap.ui.fl.PreprocessorImpl\")},a.registerXMLPreprocessor=function(){o.registerPreprocessor&&o.registerPreprocessor(\"viewxml\",\"sap.ui.fl.XmlPreprocessorImpl\",!0)},a.registerEventListener=function(){i.start()},a.registerAll=function(){a.registerEventListener(),a.registerChangeHandlers(),a.registerLoadComponentEventHandler(),a.registerExtensionProvider(),a.registerChangesInComponent(),a.registerXMLPreprocessor()},a},!0);",
	"sap/ui/fl/registry/ChangeHandlerRegistration.js": "/*!\n* UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n*/\nsap.ui.define([\"sap/ui/fl/registry/ChangeRegistry\"],function(e){\"use strict\";return{getChangeHandlersOfLoadedLibsAndRegisterOnNewLoadedLibs:function(){var e=this,n=sap.ui.getCore(),a=n.getLoadedLibraries();jQuery.each(a,function(n,a){a.extensions&&a.extensions.flChangeHandlers&&e.registerFlexChangeHandlers(a.extensions.flChangeHandlers)}),n.attachLibraryChanged(this.handleLibraryRegistrationAfterFlexLibraryIsLoaded.bind(this))},registerFlexChangeHandlers:function(n){if(n){e.getInstance().registerControlsForChanges(n)}},handleLibraryRegistrationAfterFlexLibraryIsLoaded:function(e){if(\"add\"===e.getParameter(\"operation\")){var n=e.getParameter(\"metadata\");if(n&&n.extensions&&n.extensions.flChangeHandlers){var a=n.extensions.flChangeHandlers;this.registerFlexChangeHandlers(a)}}}}},!0);",
	"sap/ui/fl/registry/ChangeRegistry.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\",\"jquery.sap.global\",\"sap/ui/fl/registry/ChangeRegistryItem\",\"sap/ui/fl/registry/ChangeTypeMetadata\",\"sap/ui/fl/registry/Settings\",\"sap/ui/fl/changeHandler/HideControl\",\"sap/ui/fl/changeHandler/MoveElements\",\"sap/ui/fl/changeHandler/MoveControls\",\"sap/ui/fl/changeHandler/PropertyChange\",\"sap/ui/fl/changeHandler/PropertyBindingChange\",\"sap/ui/fl/changeHandler/UnhideControl\",\"sap/ui/fl/changeHandler/StashControl\",\"sap/ui/fl/changeHandler/UnstashControl\",\"sap/ui/fl/changeHandler/AddXML\"],function(e,t,r,n,a,i,o,s,g,l,h,d,p,c){\"use strict\";var y=function(){this._registeredItems={},this.initSettings(),this.initDeveloperModeChangeHandlers()};return y._instance=void 0,y.prototype._oDefaultActiveChangeHandlers={},y.prototype._oDefaultChangeHandlers={hideControl:i,moveElements:o,moveControls:s,unhideControl:h,stashControl:d,unstashControl:p},y.prototype._mDeveloperModeChangeHandlers={propertyChange:{changeHandler:g},propertyBindingChange:{changeHandler:l},addXML:{changeHandler:c}},y.prototype.initDeveloperModeChangeHandlers=function(){Object.keys(this._mDeveloperModeChangeHandlers).forEach(function(e){var t=this._mDeveloperModeChangeHandlers[e].changeHandler,r=this._oSettings.getDeveloperModeLayerPermissions(),n={changeType:e,changeHandler:t,layers:r},a=this._createChangeRegistryItemForSimpleChange(\"defaultActiveForAllControls\",n);this._oDefaultActiveChangeHandlers[e]=a}.bind(this))},y.getInstance=function(){return y._instance||(y._instance=new y),y._instance},y.prototype.hasRegisteredChangeHandlersForControl=function(e){return-1!==Object.keys(this._registeredItems).indexOf(e)},y.prototype.hasChangeHandlerForControlAndChange=function(e,t){if(!this.hasRegisteredChangeHandlersForControl(e))return!1;var r=this._registeredItems[e];return-1!==Object.keys(r).indexOf(t)},y.prototype.registerControlsForChanges=function(e){var r=this;t.each(e,function(e,t){if(Array.isArray(t)){var n={};t.forEach(function(e){n[e.changeType]=e.changeHandler}),r._registerChangeHandlersForControl(e,n)}else r._registerChangeHandlersForControl(e,t)})},y.prototype._registerChangeHandlersForControl=function(r,n){var a=this;if(\"string\"==typeof n)try{n=sap.ui.requireSync(n+\".flexibility\")}catch(t){return void e.log.error(\"Flexibility change handler registration failed.\\nControlType: \"+r+\"\\n\"+t.message)}t.each(n,function(e,t){var n=a._getChangeHandlerEntry(e,t),i={changeType:e,changeHandler:n.changeHandler,layers:n.layers};a.registerControlForSimpleChange(r,i)})},y.prototype._getInstanceSpecificChangeRegistryItem=function(t,r,n){var a,i,o,s,g=n.getChangeHandlerModulePath(r),l={};if(\"string\"==typeof g){try{l=sap.ui.requireSync(g)}catch(t){return void e.log.error(\"Flexibility registration for control \"+n.getId(r)+\" failed to load module \"+g+\"\\n\"+t.message)}if(a=l[t])return i=this._getChangeHandlerEntry(t,a),o={changeType:t,changeHandler:i.changeHandler,layers:i.layers},s=n.getControlType(r),this._createChangeRegistryItemForSimpleChange(s,o)}},y.prototype._getChangeHandlerEntry=function(e,t){var r={},n=Object.keys(this._mDeveloperModeChangeHandlers);if(t&&t.changeHandler?r=t:r.changeHandler=t,\"default\"===r.changeHandler)r.changeHandler=this._oDefaultChangeHandlers[e];else if(n.indexOf(e)>-1)throw new Error(\"You can't use a custom change handler for the following Developer Mode change types: \"+n.toString()+\". Please use 'default' instead.\");return r},y.prototype._getChangeRegistryItem=function(e,t,r){var n;if(e&&t)return n=this.getRegistryItems({changeTypeName:e,controlType:t,layer:r}),n&&n[t]&&n[t][e]?n[t][e]:n&&n[t]?n[t]:n},y.prototype.getChangeHandler=function(e,t,r,n,a){var i,o;if((i=this._getInstanceSpecificChangeRegistryItem(e,r,n))&&i.getChangeTypeMetadata){var s=i.getChangeTypeMetadata().getChangeHandler();if(s)return s}if((o=this._getChangeRegistryItem(e,t,a))&&o.getChangeTypeMetadata){var g=o.getChangeTypeMetadata().getChangeHandler();if(g)return g}},y.prototype.registerControlForSimpleChange=function(e,t){var r;e&&t&&t.changeType&&t.changeHandler&&(r=this._createChangeRegistryItemForSimpleChange(e,t))&&this.addRegistryItem(r)},y.prototype._createChangeRegistryItemForSimpleChange=function(e,a){var i,o,s;s=t.extend({},this._oSettings.getDefaultLayerPermissions());var g=a.layers;return g&&Object.keys(g).forEach(function(e){if(void 0===s[e])throw new Error(\"The Layer '\"+e+\"' is not supported. Please only use supported layers\");s[e]=g[e]}),i={name:a.changeType,changeHandler:a.changeHandler,layers:s},o=new n(i),i={changeTypeMetadata:o,controlType:e},new r(i)},y.prototype.addRegistryItem=function(e){var t,r;e&&(t=e.getChangeTypeName(),r=e.getControlType(),this._registeredItems[r]=this._registeredItems[r]||{},this._registeredItems[r][t]=e)},y.prototype.removeRegistryItem=function(t){if(!t.changeTypeName&&!t.controlType)return void e.log.error(\"sap.ui.fl.registry.ChangeRegistry: ChangeType and/or ControlType required\");if(t.controlType&&t.changeTypeName)this._registeredItems[t.controlType]&&(1===Object.keys(this._registeredItems[t.controlType]).length?delete this._registeredItems[t.controlType]:delete this._registeredItems[t.controlType][t.changeTypeName]);else if(t.controlType)this._registeredItems[t.controlType]&&delete this._registeredItems[t.controlType];else if(t.changeTypeName)for(var r in this._registeredItems){var n=this._registeredItems[r];delete n[t.changeTypeName]}},y.prototype.getRegistryItems=function(t){t||e.log.error(\"sap.ui.fl.registry.ChangeRegistry: no parameters passed for getRegistryItems\");var r=t.changeTypeName,n=t.controlType;r||n||e.log.error(\"sap.ui.fl.registry.ChangeRegistry: Change Type Name and/or Control Type required\");var a=null;if(n&&r){var i=this._getOrLoadChangeHandler(n,r);i&&(a={},a[n]={},a[n][r]=i)}else if(n){if(a={},a[n]={},this._registeredItems[n]){var o=Object.keys(this._registeredItems[n]);o.forEach(function(e){a[n][e]=this._getOrLoadChangeHandler(n,e)}.bind(this))}for(var s in this._oDefaultActiveChangeHandlers)a[n][s]=this._oDefaultActiveChangeHandlers[s]}else if(r){a={};for(n in this._registeredItems)this._registeredItems[n][r]&&(a[n]={},a[n][r]=this._getOrLoadChangeHandler(n,r));a.defaultActiveForAllControls={};for(var g in this._oDefaultActiveChangeHandlers)a.defaultActiveForAllControls[g]=this._oDefaultActiveChangeHandlers[g]}return this._filterChangeTypes(a,t.layer),a},y.prototype._getOrLoadChangeHandler=function(e,r){var n=this._registeredItems[e];if(n){var a=n[r];if(a){var i=a.getChangeTypeMetadata(),o=i.getChangeHandler();return\"string\"==typeof o&&(t.sap.require(o),o=sap.ui.require(o),i._changeHandler=o),a}}var s=this._oDefaultActiveChangeHandlers[r];return s||null},y.prototype.initSettings=function(){this._oSettings=a.getInstanceOrUndef(),this._oSettings||(this._oSettings=new a({}))},y.prototype._filterChangeTypes=function(r,n){if(this._oSettings&&n&&r){var a=!1;t.each(r,function(r,i){t.each(i,function(t,r){var o=r.getChangeTypeMetadata().getLayers();(a=o[n])||(e.log.warning(\"Change type \"+t+\" not enabled for layer \"+n),delete i[t])})})}},y.prototype.getDragInfo=function(e){var t=this._registeredItems[e];return t?t.getDragInfo():null},y},!0);",
	"sap/ui/fl/registry/ChangeRegistryItem.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\",\"jquery.sap.global\"],function(e,t){\"use strict\";var r=function(t){t.changeTypeMetadata||e.log.error(\"sap.ui.fl.registry.ChangeRegistryItem: ChangeTypeMetadata required\"),t.controlType||e.log.error(\"sap.ui.fl.registry.ChangeRegistryItem: ControlType required\"),this._changeTypeMetadata=t.changeTypeMetadata,this._controlType=t.controlType,t.permittedRoles&&(this._permittedRoles=t.permittedRoles),t.dragTargets&&(this._dragTargets=t.dragTargets)};return r.prototype._changeTypeMetadata=void 0,r.prototype._controlType=void 0,r.prototype._permittedRoles={},r.prototype._dragTargets=[],r.prototype.getChangeTypeMetadata=function(){return this._changeTypeMetadata},r.prototype.getChangeTypeName=function(){return this._changeTypeMetadata.getName()},r.prototype.getControlType=function(){return this._controlType},r.prototype.getPermittedRoles=function(){return this._permittedRoles},r.prototype.getDragTargets=function(){return this._dragTargets},r},!0);",
	"sap/ui/fl/registry/ChangeTypeMetadata.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\",\"jquery.sap.global\"],function(e,t){\"use strict\";var o=function(t){t.name||e.log.error(\"sap.ui.fl.registry.ChangeType: Name required\"),t.changeHandler||e.log.error(\"sap.ui.fl.registry.ChangeType: ChangeHandler required\"),this._name=t.name,this._changeHandler=t.changeHandler,this._layers=t.layers,t.labelKey&&(this._labelKey=t.labelKey),t.tooltipKey&&(this._tooltipKey=t.tooltipKey),t.iconKey&&(this._iconKey=t.iconKey),t.sortIndex&&(this._sortIndex=t.sortIndex)};return o.prototype._name=\"\",o.prototype._changeHandler=\"\",o.prototype._layers=[],o.prototype._sortIndex=0,o.prototype._labelKey=\"\",o.prototype._tooltipKey=\"\",o.prototype._iconKey=\"\",o.prototype.getName=function(){return this._name},o.prototype.getChangeHandler=function(){return this._changeHandler},o.prototype.getLayers=function(){return this._layers},o.prototype.getLabel=function(){return this._labelKey},o.prototype.getTooltip=function(){return this._tooltipKey},o.prototype.getIcon=function(){return this._iconKey},o.prototype.getSortIndex=function(){return this._sortIndex},o},!0);",
	"sap/ui/fl/registry/Settings.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Cache\",\"sap/ui/fl/Utils\",\"sap/ui/base/EventProvider\"],function(e,t,n,i,o){\"use strict\";var r=function(e){if(o.apply(this),!e)throw new Error(\"no flex settings provided\");e.defaultLayerPermissions||(e.defaultLayerPermissions={VENDOR:!0,CUSTOMER_BASE:!0,CUSTOMER:!0,USER:!1}),e.developerModeLayerPermissions||(e.developerModeLayerPermissions={VENDOR:!0,CUSTOMER_BASE:!0,CUSTOMER:!1,USER:!1}),this._oSettings=e,this._hasMergeErrorOccured=!1};return r.prototype=e.sap.newObject(o.prototype),r.events={flexibilityAdaptationButtonAllowedChanged:\"flexibilityAdaptationButtonAllowedChanged\",changeModeUpdated:\"changeModeUpdated\"},r._instance=void 0,r._bFlexChangeMode=!0,r._bFlexibilityAdaptationButtonAllowed=!1,r._oEventProvider=new o,r.fireEvent=function(e,t){r._oEventProvider.fireEvent(e,t)},r.attachEvent=function(e,t){r._oEventProvider.attachEvent(e,t)},r.detachEvent=function(e,t){r._oEventProvider.detachEvent(e,t)},r.getInstance=function(){if(r._instance)return Promise.resolve(r._instance);var e=n.getFlexDataPromise();return e?e.then(function(e){var t={};return e.changes&&e.changes.settings&&(t=e.changes.settings),r._storeInstance(t)},function(){return r._loadSettings()}):r._loadSettings()},r._loadSettings=function(){return t.createConnector().loadSettings().then(function(e){return r._storeInstance(e)})},r._storeInstance=function(e){return r._instance||(r._instance=new r(e)),r._instance},r.getInstanceOrUndef=function(){var e;return r._instance&&(e=r._instance),e},r.isFlexChangeMode=function(){var e=this._isFlexChangeModeFromUrl();return void 0!==e?e:r._bFlexChangeMode},r._isFlexChangeModeFromUrl=function(){var t,n=e.sap.getUriParameters();return n&&n.mParams&&n.mParams[\"sap-ui-fl-changeMode\"]&&n.mParams[\"sap-ui-fl-changeMode\"][0]&&(\"true\"===n.mParams[\"sap-ui-fl-changeMode\"][0]?t=!0:\"false\"===n.mParams[\"sap-ui-fl-changeMode\"][0]&&(t=!1)),t},r.activateFlexChangeMode=function(){r._setFlexChangeMode(!0)},r.leaveFlexChangeMode=function(){r._setFlexChangeMode(!1)},r._setFlexChangeMode=function(e){if(r._bFlexChangeMode!==e){r._bFlexChangeMode=e;var t={bFlexChangeMode:e};r.fireEvent(r.events.changeModeUpdated,t)}},r.isFlexibilityAdaptationButtonAllowed=function(){return r._bFlexibilityAdaptationButtonAllowed},r.allowFlexibilityAdaptationButton=function(){r.setFlexibilityAdaptationButtonAllowed(!0)},r.disallowFlexibilityAdaptationButton=function(){r.setFlexibilityAdaptationButtonAllowed(!1)},r.setFlexibilityAdaptationButtonAllowed=function(e){if(r._bFlexibilityAdaptationButtonAllowed!==e){r._bFlexibilityAdaptationButtonAllowed=e;var t={bFlexibilityAdaptationButtonAllowed:e};r.fireEvent(r.events.flexibilityAdaptationButtonAllowedChanged,t)}},r.prototype.isKeyUser=function(){var e=!1;return this._oSettings.isKeyUser&&(e=this._oSettings.isKeyUser),e},r.prototype.isModelS=function(){var e=!1;return this._oSettings.isAtoAvailable&&(e=this._oSettings.isAtoAvailable),e},r.prototype.isAtoEnabled=function(){var e=!1;return this._oSettings.isAtoEnabled&&(e=this._oSettings.isAtoEnabled),e},r.prototype.isAtoAvailable=function(){var e=!1;return this._oSettings.isAtoAvailable&&(e=this._oSettings.isAtoAvailable),e},r.prototype.isProductiveSystem=function(){var e=!1;return this._oSettings.isProductiveSystem&&(e=this._oSettings.isProductiveSystem),e},r.prototype.setMergeErrorOccured=function(e){this._hasMergeErrorOccoured=e},r.prototype.hasMergeErrorOccured=function(){return this._hasMergeErrorOccured},r.prototype.getDefaultLayerPermissions=function(){return this._oSettings.defaultLayerPermissions},r.prototype.getDeveloperModeLayerPermissions=function(){return this._oSettings.developerModeLayerPermissions},r},!0);",
	"sap/ui/fl/registry/SimpleChanges.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/changeHandler/HideControl\",\"sap/ui/fl/changeHandler/UnhideControl\",\"sap/ui/fl/changeHandler/StashControl\",\"sap/ui/fl/changeHandler/UnstashControl\",\"sap/ui/fl/changeHandler/MoveElements\",\"sap/ui/fl/changeHandler/MoveControls\",\"sap/ui/fl/changeHandler/PropertyChange\",\"sap/ui/fl/changeHandler/PropertyBindingChange\"],function(e,n,a,r,l,o,h,g,t){\"use strict\";return{hideControl:{changeType:\"hideControl\",changeHandler:n},unhideControl:{changeType:\"unhideControl\",changeHandler:a},stashControl:{changeType:\"stashControl\",changeHandler:r},unstashControl:{changeType:\"unstashControl\",changeHandler:l},moveElements:{changeType:\"moveElements\",changeHandler:o},moveControls:{changeType:\"moveControls\",changeHandler:h},propertyChange:{changeType:\"propertyChange\",changeHandler:g},propertyBindingChange:{changeType:\"propertyBindingChange\",changeHandler:t}}},!0);",
	"sap/ui/fl/StandardVariant.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Change\"],function(e,t){\"use strict\";var n=function(){};return n.prototype.getExecuteOnSelect=function(e){var t=this.getNewestStandardVariantChangeDeleteTheRest(e);return t?t.getContent().executeOnSelect:null},n.prototype.getNewestStandardVariantChangeDeleteTheRest=function(e){var t=this.getStandardVariantChanges(e).sort(function(e,t){var n=new Date(e.getCreation()),a=new Date(t.getCreation());return isNaN(n.getDate())?-1:isNaN(a.getDate())?1:a-n}),n=t.shift();return t.forEach(function(e){e.markForDeletion()}),n},n.prototype.getStandardVariantChanges=function(e){function t(t){return e[t]}function n(e){return\"standardVariant\"===e.getChangeType()}return e&&\"object\"==typeof e?Object.keys(e).map(t).filter(n):[]},n.prototype.updateExecuteOnSelect=function(e,t){var n=this.getNewestStandardVariantChangeDeleteTheRest(e);if(n){var a=n.getContent();a.executeOnSelect=t,n.setContent(a)}return n},n.prototype._createChangeFile=function(e){var n;return e.namespace=e.component+\"/changes/standard\",e.componentName=e.component,e.changeType=\"standardVariant\",n=t.createInitialFileContent(e),n.content.executeOnSelect=e.executeOnSelect,n.layer=\"USER\",n},n.prototype.createChangeObject=function(e){var n;return n=this._createChangeFile(e),new t(n)},new n},!0);",
	"sap/ui/fl/support/apps/contentbrowser/Component.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/UIComponent\"],function(e){\"use strict\";return e.extend(\"sap.ui.fl.support.apps.contentbrowser.Component\",{init:function(){var s=this;e.prototype.init.apply(this,arguments);var o=new sap.ui.model.resource.ResourceModel({bundleUrl:\"sap.ui.fl.support.apps.contentbrowser.i18n.i18n.properties\"});this.setModel(\"i18n\",o);var n=[],i=new sap.ui.model.json.JSONModel(n);this.setModel(i,\"messages\"),sap.ui.require([\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\"],function(e){e.setMessagesModel(s,i)});var a={},t=new sap.ui.model.json.JSONModel(a);this.setModel(t,\"content\");var p=[{name:\"All\",icon:\"sap-icon://world\"},{name:\"VENDOR\",icon:\"sap-icon://sap-logo-shape\"},{name:\"PARTNER\",icon:\"sap-icon://supplier\"},{name:\"CUSTOMER_BASE\",icon:\"sap-icon://customer-and-supplier\"},{name:\"CUSTOMER\",icon:\"sap-icon://customer\"},{name:\"LOAD\",icon:\"sap-icon://database\"},{name:\"USER\",icon:\"sap-icon://person-placeholder\"}],r=new sap.ui.model.json.JSONModel(p);this.setModel(r,\"layers\"),this.getRouter().initialize()},metadata:{manifest:\"json\"}})});",
	"sap/ui/fl/support/apps/contentbrowser/controller/ContentDetails.controller.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/mvc/Controller\",\"sap/m/Dialog\",\"sap/m/Text\",\"sap/m/Button\",\"sap/ui/fl/support/apps/contentbrowser/lrepConnector/LRepConnector\",\"sap/ui/fl/support/apps/contentbrowser/utils/DataUtils\"],function(e,t,n,o,a,i){\"use strict\";return e.extend(\"sap.ui.fl.support.apps.contentbrowser.controller.ContentDetails\",{oSelectedContentModel:void 0,oDataUtils:i,onInit:function(){this._initAndBindSelectedContentModel();var e=sap.ui.core.UIComponent.getRouterFor(this);e.getRoute(\"ContentDetails\").attachMatched(this._onRouteMatched,this),e.getRoute(\"ContentDetailsFlip\").attachMatched(this._onRouteMatched,this)},_initAndBindSelectedContentModel:function(){this.oSelectedContentModel=new sap.ui.model.json.JSONModel,this.getView().setModel(this.oSelectedContentModel,\"selectedContent\")},_onRouteMatched:function(e){var t=this,n=e.getParameter(\"arguments\"),o={};o.layer=n.layer,o.namespace=decodeURIComponent(n.namespace),o.fileName=n.fileName,o.fileType=n.fileType,\"/\"!==o.namespace[o.namespace.length-1]&&(o.namespace+=\"/\");var i=o.namespace+o.fileName+\".\"+o.fileType,s=t.getView().getContent()[0];return s.setBusy(!0),a.getContent(o.layer,i,null,null,!0).then(t._onContentReceived.bind(t,o,s,i),function(){s.setBusy(!1)})},_onContentReceived:function(e,t,n,o){var s=this;return e.data=i.formatData(o,e.fileType),e.fileType?a.getContent(e.layer,n,!0).then(s._onContentMetadataReceived.bind(s,e,t),function(){t.setBusy(!1)}):Promise().resolve()},_onContentMetadataReceived:function(e,t,n){e.metadata=n,this.oSelectedContentModel.setData(e);var o=sap.ui.getCore(),a=this.getView().createId(\"contentDetailsIconTabBar\"),i=o.getElementById(a);if(i){var s=i.getItems()[0];i.getSelectedKey()!==s.getId()&&i.setSelectedItem(s)}t.setBusy(!1)},onEditClicked:function(){var e=this.getView().getModel(\"selectedContent\"),t=e.getData();sap.ui.core.UIComponent.getRouterFor(this).navTo(\"ContentDetailsEdit\",{layer:t.layer,namespace:encodeURIComponent(t.namespace),fileName:t.fileName,fileType:t.fileType})},onDeleteClicked:function(){var e=this,a=new t({title:\"{i18n>confirmDeletionTitle}\",type:\"Message\",content:new n({text:\"{i18n>questionFileDeletion}\"}),beginButton:new o({text:\"{i18n>confirm}\",type:sap.m.ButtonType.Reject,press:function(){e._deleteFile(),a.close()}}),endButton:new o({text:\"{i18n>cancel}\",press:function(){a.close()}}),afterClose:function(){a.destroy()}});this.getView().addDependent(a),a.open()},_deleteFile:function(){var e=this.getView().getModel(\"selectedContent\"),t=e.getData(),n=t.layer,o=\"\";t.metadata.some(function(e){if(\"layer\"===e.name)return o=e.value,!0});var i=t.namespace,s=t.fileName,l=t.fileType,c=sap.ui.core.UIComponent.getRouterFor(this);return a.deleteFile(o,i,s,l).then(function(){c.navTo(\"LayerContentMaster\",{layer:n,namespace:encodeURIComponent(i)})})}})});",
	"sap/ui/fl/support/apps/contentbrowser/controller/ContentDetailsEdit.controller.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/mvc/Controller\",\"sap/ui/fl/support/apps/contentbrowser/lrepConnector/LRepConnector\",\"sap/ui/fl/support/apps/contentbrowser/utils/DataUtils\"],function(e,t,n){\"use strict\";return e.extend(\"sap.ui.fl.support.apps.contentbrowser.controller.ContentDetailsEdit\",{oSelectedContentModel:void 0,oDataUtils:n,onInit:function(){this._initAndBindSelectedContentModel(),sap.ui.core.UIComponent.getRouterFor(this).getRoute(\"ContentDetailsEdit\").attachMatched(this._onRouteMatched,this)},_initAndBindSelectedContentModel:function(){this.oSelectedContentModel=new sap.ui.model.json.JSONModel,this.getView().setModel(this.oSelectedContentModel,\"selectedContent\")},_onRouteMatched:function(e){var n=this,o=e.getParameter(\"arguments\"),a={};a.layer=o.layer,a.namespace=decodeURIComponent(o.namespace),a.fileName=o.fileName,a.fileType=o.fileType,\"/\"!==a.namespace[a.namespace.length-1]&&(a.namespace+=\"/\");var i=a.namespace+a.fileName+\".\"+a.fileType,s=n.getView().getContent()[0];return s.setBusy(!0),t.getContent(a.layer,i,null,null,!0).then(n._onContentReceived.bind(n,a,s,i),function(){s.setBusy(!1)})},_onContentReceived:function(e,o,a,i){var s=this;return t.getContent(e.layer,a,!0).then(function(t){e.data=n.formatData(i,e.fileType),e.metadata=t,s.oSelectedContentModel.setData(e),o.setBusy(!1)},function(){o.setBusy(!1)})},onSave:function(){var e,n=this.getView().getModel(\"selectedContent\"),o=n.getData();return o.metadata.some(function(t){if(\"layer\"===t.name)return e=t.value,!0}),t.saveFile(e,o.namespace,o.fileName,o.fileType,o.data).then(this._navToDisplayMode.bind(this))},onCancel:function(){this._navToDisplayMode()},_navToDisplayMode:function(){var e=this.getView().getModel(\"selectedContent\"),t=e.getData();sap.ui.core.UIComponent.getRouterFor(this).navTo(\"ContentDetailsFlip\",{layer:t.layer,namespace:encodeURIComponent(t.namespace),fileName:t.fileName,fileType:t.fileType})}})});",
	"sap/ui/fl/support/apps/contentbrowser/controller/LayerContentMaster.controller.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/mvc/Controller\",\"sap/ui/core/UIComponent\",\"sap/ui/model/Filter\",\"sap/ui/model/FilterOperator\",\"sap/ui/fl/support/apps/contentbrowser/lrepConnector/LRepConnector\",\"sap/ui/fl/support/apps/contentbrowser/utils/DataUtils\"],function(e,t,s,a,n,i){\"use strict\";return e.extend(\"sap.ui.fl.support.apps.contentbrowser.controller.LayerContentMaster\",{sNamespace:\"\",sLayer:\"\",oDataUtils:i,onInit:function(){t.getRouterFor(this).getRoute(\"LayerContentMaster\").attachMatched(this._onRouteMatched,this)},_onRouteMatched:function(e){var t=this,s=e.getParameter(\"arguments\");this.sLayer=s.layer,this.sNamespace=s.namespace||\"\";var a=this.getView().getContent()[0];a.setBusy(!0),t.sNamespace=decodeURIComponent(t.sNamespace),a.setTitle(this._shortenNamespace()),n.getContent(t.sLayer,t.sNamespace).then(t._onContentReceived.bind(t,a),function(){a.setBusy(!1)}).then(function(){n.requestPending=!1})},_onContentReceived:function(e,t){this.getView().getModel(\"content\").setData(t),e.setBusy(!1),this.filterListByQuery(\"\"),this.byId(\"search\").setValue(\"\")},onSearch:function(e){var t=e.getSource().getValue();this.filterListByQuery(t)},filterListByQuery:function(e){var t=[];e&&e.length>0&&(t=new s({filters:[new s(\"name\",a.Contains,e),new s(\"fileType\",a.Contains,e)],and:!1})),this.byId(\"masterComponentsList\").getBinding(\"items\").filter(t,\"content\")},onContentSelected:function(e){var s=e.getSource(),a=s.getBindingContextPath().substring(1),n=this.getView().getModel(\"content\").getData(),i=n[a],o=i.name,r=n[a].fileType,c=t.getRouterFor(this);if(this.sNamespace=this.sNamespace?this.sNamespace:\"/\",r){var p={layer:this.sLayer,namespace:encodeURIComponent(this.sNamespace),fileName:o,fileType:r};c.navTo(\"ContentDetails\",p)}else this.sNamespace+=o+\"/\",c.navTo(\"LayerContentMaster\",{layer:this.sLayer,namespace:encodeURIComponent(this.sNamespace)})},navBack:function(){var e=t.getRouterFor(this);if(this.sNamespace&&\"/\"!==this.sNamespace){var s=this.sNamespace.split(\"/\");s.splice(-2,1);var a=s.join(\"/\");e.navTo(\"LayerContentMaster\",{layer:this.sLayer,namespace:encodeURIComponent(a)},!0)}else e.navTo(\"Layers\")},_shortenNamespace:function(){if(!this.sNamespace||\"/\"===this.sNamespace)return\"[\"+this.sLayer+\"] /\";var e=this.sNamespace.split(\"/\"),t=e.length;return t>2?\"[\"+this.sLayer+\"] .../\"+e[t-2]:\"[\"+this.sLayer+\"] /\"+this.sNamespace[t-1]},handleMessagePopoverPress:function(e){var t=e.getSource();sap.ui.require([\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\"],function(e){e.handleMessagePopoverPress(t)})}})});",
	"sap/ui/fl/support/apps/contentbrowser/controller/Layers.controller.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/mvc/Controller\",\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\"],function(e,t){\"use strict\";return e.extend(\"sap.ui.fl.support.apps.contentbrowser.controller.Layers\",{onLayerSelected:function(e){var t=e.getSource(),r=t.getBindingContextPath().substring(1),o=this.getView().getModel(\"layers\").getData(),s=o[r].name;sap.ui.core.UIComponent.getRouterFor(this).navTo(\"LayerContentMaster\",{layer:s})},handleMessagePopoverPress:function(e){var r=e.getSource();t.handleMessagePopoverPress(r)}})});",
	"sap/ui/fl/support/apps/contentbrowser/lrepConnector/LRepConnector.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\"],function(e){\"use strict\";var t={};return t.sContentPathPrefix=\"/sap/bc/lrep/content\",t.sGetXcsrfTokenUrl=\"/sap/bc/lrep/actions/getcsrftoken/\",t._sXcsrfToken=void 0,t.getContent=function(e,n,r,o,s){var u=this;return new Promise(function(i,f){n=encodeURI(n);var c=u._getLayerSuffix(e),a=u._getContextSuffix(c,o,r),d=t.sContentPathPrefix+(n?\"\":\"/\")+n+c+a;u._sendContentRequest(d,i,f,s)})},t.saveFile=function(e,n,r,o,s){var u=this;return new Promise(function(i,f){e&&void 0!==n&&r&&o||f();var c=n+r+\".\"+o;c=encodeURI(c);var a=u._getLayerSuffix(e),d=t.sContentPathPrefix+c+a;u._getTokenAndSendPutRequest.call(u,d,s,i,f)})},t.deleteFile=function(e,n,r,o){var s=this;return new Promise(function(u,i){e&&void 0!==n&&r&&o||i();var f=n+r+\".\"+o;f=encodeURI(f);var c=s._getLayerSuffix(e),a=t.sContentPathPrefix+f+c;s._getTokenAndSendDeletionRequest.call(s,a,u,i)})},t._getXcsrfToken=function(){var n=this;return new Promise(function(r,o){n._sXcsrfToken&&r(n._sXcsrfToken),jQuery.ajax({url:t.sGetXcsrfTokenUrl,type:\"HEAD\",beforeSend:function(t){t.setRequestHeader(\"X-CSRF-Token\",\"fetch\");var n=e.getClient();n&&t.setRequestHeader(\"sap-client\",n)},success:function(e,t,o){n._sXcsrfToken=o.getResponseHeader(\"x-csrf-token\"),r(n._sXcsrfToken)},error:function(e,n,r){t._reportError(e,n,r),o(r)}})})},t._getLayerSuffix=function(e){return\"All\"===e?\"\":\"?layer=\"+e},t._getContextSuffix=function(e,t,n){var r=\"\";return t||(r+=e?\"&\":\"?\",r+=\"dt=true\"),n&&(r+=e||r?\"&\":\"?\",r+=\"metadata=true\"),r},t._reportError=function(e,t,n){sap.ui.require([\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\"],function(r){r.displayError(\"Error\",e.status,t+\": \"+n)})},t._sendContentRequest=function(e,n,r,o){var s={url:e,type:\"GET\",success:function(e){n(e)},error:function(e,n,o){t._reportError(e,n,o),r(o)}};o&&(s.dataType=\"text\"),jQuery.ajax(s)},t._getTokenAndSendPutRequest=function(e,n,r,o){var s=this;t._getXcsrfToken().then(function(t){s._sendPutRequest(t,e,n,r,o)})},t._sendPutRequest=function(e,n,r,o,s){jQuery.ajax({url:n,contentType:\"text/plain\",dataType:\"text\",data:r,beforeSend:function(t){t.setRequestHeader(\"X-CSRF-Token\",e)},type:\"PUT\",success:function(){o()},error:function(e,n,r){t._reportError(e,n,r),s(r)}})},t._getTokenAndSendDeletionRequest=function(e,t,n){var r=this;this._getXcsrfToken().then(function(o){r._sendDeletionRequest(o,e,t,n)})},t._sendDeletionRequest=function(e,n,r,o){jQuery.ajax({url:n,beforeSend:function(t){t.setRequestHeader(\"X-CSRF-Token\",e)},type:\"DELETE\",success:function(e){r(e)},error:function(e,n,r){t._reportError(e,n,r),o(r)}})},t});",
	"sap/ui/fl/support/apps/contentbrowser/utils/DataUtils.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define(\"sap/ui/fl/support/apps/contentbrowser/utils/DataUtils\",[\"sap/m/GroupHeaderListItem\"],function(e){\"use strict\";return{aBlacklist:[{category:\"NS\",name:\"LREP_HOME_CONTENT\",ns:\"UIF/\"},{category:\"NS\",name:\"virtual~\",ns:\"/\"}],formatData:function(e,r){if(\"js\"===r||\"properties\"===r)return e;try{return e=JSON.parse(e),JSON.stringify(e,null,\"\\t\")}catch(r){var t=sap.ui.require(\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\");return t.displayError(\"Error\",r.name,r.message),e}},getGroupHeader:function(r){var t=\"{i18n>systemData}\";return\"custom\"===r.key&&(t=\"{i18n>externalReferences}\"),new e({title:t,upperCase:!1})},isNotOnBlacklist:function(e){var r=!0;return jQuery.each(this.aBlacklist,function(t,n){var i=!0;if(jQuery.each(n,function(r,t){i=i&&e[r]===t}),i)return r=!1,!1}),r},cleanLeadingAndTrailingSlashes:function(e){if(!e)return\"\";if(\"/\"===e[0]){var r=e.substring(1,e.length);return this.cleanLeadingAndTrailingSlashes(r)}if(\"/\"===e[e.length-1]){var t=e.substring(0,e.length-1);return this.cleanLeadingAndTrailingSlashes(t)}return e},formatItemTitle:function(e){return e.namespace+e.fileName+\".\"+e.fileType},endsStringWith:function(e,r){return-1!==e.indexOf(r,e.length-r.length)}}},!0);",
	"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define(\"sap/ui/fl/support/apps/contentbrowser/utils/ErrorUtils\",[\"sap/m/MessagePopoverItem\",\"sap/m/MessagePopover\"],function(e,s){\"use strict\";var o={};return o._masterComponent=void 0,o._messagesModel=void 0,o._emptyModel=new sap.ui.model.json.JSONModel([]),o._messageTemplate=new e({type:\"{messages>type}\",title:\"{messages>title}\",description:\"{messages>description}\"}),o._messagePopover=new s({items:{path:\"messages>/\",template:o._messageTemplate}}),o.setMessagesModel=function(e,s){o._masterComponent=e,o._messagesModel=s,o._messagePopover.setModel(o._messagesModel,\"messages\")},o.handleMessagePopoverPress=function(e){o._messagePopover.openBy(e)},o.displayError=function(e,s,t){if(o._messagesModel){var a=o._messagesModel.getData();a.push({type:e||\"Information\",title:s||\"\",description:t||\"\"}),o._messagesModel.setData(a),o._masterComponent.setModel(o._emptyModel,\"messages\"),o._masterComponent.setModel(o._messagesModel,\"messages\")}},o});",
	"sap/ui/fl/support/diagnostics/Flexibility.controller.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/core/mvc/Controller\",\"sap/ui/model/Filter\",\"sap/ui/model/FilterOperator\",\"sap/ui/fl/support/Flexibility\"],function(e,t,s,i){\"use strict\";return e.extend(\"sap.ui.fl.support.diagnostics.Flexibility\",{onInit:function(){this.getView().byId(\"Tree\").attachItemPress(this.treeItemPressed)},states:{applied:\"applied\",applicable:\"applicable\",possibleRootCause:\"possibleRootCause\",notApplicable:\"notApplicable\"},onAppSelect:function(e){var t=e.getParameters().selectedItem,s=t.getKey();this.getView().getViewData().plugin._onAppSelected(s)},refreshApps:function(){this.getView().getViewData().plugin.onRefresh()},formatTreeIcon:function(e,t){switch(this._getChangeState(e,t)){case this.states.applied:return\"sap-icon://message-success\";case this.states.possibleRootCause:return\"sap-icon://error\";case this.states.notApplicable:return\"sap-icon://alert\";case this.states.applicable:return\"sap-icon://question-mark\";default:return\"\"}},_getChangeState:function(e,t){var s=t[e];if(s)return s.isApplicable?s.isPossibleRootCause?this.states.possibleRootCause:void 0!=s.indexInAppliedChanges?this.states.applied:void 0:this.states.notApplicable},formatChangeVisibility:function(e,t,s){var i=e.id,a=!0,n=!t[i];if(s&&!n){var o=t[i];a=a&&(!o.isInSubTree||!e.isTopLevelNode)}return a},treeItemPressed:function(e){var t=e.getSource(),s=t.getSelectedItem(),i=s.data(\"id\"),a=this.getView().getModel(\"flexChanges\").getData()||{},n={};a&&a.changes&&(n=a.changes[i]),this.getView().getModel(\"flexChangeDetails\").setData(n)}})});",
	"sap/ui/fl/support/Flexibility.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/core/support/Plugin\",\"sap/ui/core/support/Support\",\"sap/ui/model/json/JSONModel\",\"sap/ui/fl/FlexController\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/fl/Utils\"],function(e,t,i,n,s,o,a){\"use strict\";var p=t.extend(\"sap.ui.fl.support.Flexibility\",{constructor:function(e){t.apply(this,[\"sapUiSupportFlexibility\",\"Flexibility\",e]),this._oStub=e,this.runsAsToolPlugin()?this._aEventIds=[this.getId()+\"SetApps\",this.getId()+\"SetChangesMaps\"]:this._aEventIds=[this.getId()+\"GetApps\",this.getId()+\"GetChangesMaps\"]}});return p.prototype.sDelimiter=\";\",p.prototype.sNoDebug=\"noDebug\",p.prototype.init=function(e){t.prototype.init.apply(this,arguments);e.isToolStub()?(this.addStylesheet(\"sap/ui/fl/support/flexibility\"),this.oChangesModel=new n,this.oAppModel=new n,this.oToolSettings=new n({hideDependingChanges:!1,flInDebug:!0,noDebugInfoText:\"<div class='sapUiSmallMargin'>sapui5 has to be in <b>debug mode</b> or at least the library '<b> sap.ui.fl</b>' has to be debugged.</div><div class='sapUiSmallMargin'>To set the debug sources use the URL parameter '<b>sap-ui-debug</b> with general debug setting <b>sap-ui-debug=true</b> or to debug single libraries by naming the libraries <b>sap-ui-debug=lib1, lib2, ...</b> (including '<b>sap.ui.fl</b>').</div><div class='sapUiSmallMargin'>Another option is to enable the debugging in this 'Diagnostics' window by toggle the <b>Debug Sources</b> under the <b>Technical Info</b> panel.</div>\"}),this.oChangeDetails=new n,this._renderToolPlugin([]),i.getStub().sendEvent(this.getId()+\"GetApps\",{})):this.onsapUiSupportFlexibilityGetApps()},p.prototype._renderToolPlugin=function(){var e=this;!function(){var t=sap.ui.getCore().createRenderManager();t.write(\"<div id='\"+e.getId()+\"-FlexCacheArea' class='sapUiSizeCompact'></div>\"),t.flush(e.$().get(0)),t.destroy()}(),function(){e.oView=sap.ui.view({viewName:\"sap.ui.fl.support.diagnostics.Flexibility\",type:sap.ui.core.mvc.ViewType.XML,viewData:{plugin:e}}),e.oView.placeAt(e.getId()+\"-FlexCacheArea\"),e.oView.setModel(e.oAppModel,\"flexApps\"),e.oView.setModel(e.oToolSettings,\"flexToolSettings\"),e.oView.setModel(e.oChangesModel,\"flexChanges\"),e.oView.setModel(e.oChangeDetails,\"flexChangeDetails\")}()},p.prototype._onAppSelected=function(e){i.getStub().sendEvent(this.getId()+\"GetChangesMaps\",{appKey:e})},p.prototype.onRefresh=function(){i.getStub().sendEvent(this.getId()+\"GetApps\",{})},p.prototype.onsapUiSupportFlexibilityGetApps=function(){if(a.isDebugEnabled()){var t=this,i=[];o._instanceCache&&e.each(o._instanceCache,function(e,n){Object.keys(n).forEach(function(n){i.push({key:e+t.sDelimiter+n,text:e,additionalText:n})})}),this._oStub.sendEvent(this.getId()+\"SetApps\",i)}else this._oStub.sendEvent(this.getId()+\"SetApps\",this.sNoDebug)},p.prototype.onsapUiSupportFlexibilityGetChangesMaps=function(e){var t=e.mParameters.appKey,i=t.split(this.sDelimiter),n=i[0],s=i[1];this._getChangesMapForApp(n,s)},p.prototype.onsapUiSupportFlexibilitySetApps=function(e){var t=e.getParameters(),i=t!==this.sNoDebug;if(this.oToolSettings.setProperty(\"/flInDebug\",i),i){this.oAppModel.setData(t);var n=this.oView.byId(\"appSelection\"),s=n.getItems()[0];n.setSelectedItem(s),n.fireChange({selectedItem:s})}},p.prototype.onsapUiSupportFlexibilitySetChangesMaps=function(e){var t=e.getParameters();this.oChangesModel.setData(t),this.oView.byId(\"Tree\").expandToLevel(1e3)},p.prototype.exit=function(e){t.prototype.exit.apply(this,arguments)},p.prototype._getChangesMapForApp=function(t,i){function n(e,t){u[t]=[];var i=f[t],n=sap.ui.getCore().byId(t),o=[],p=[],d=[];n&&(n.data(s.appliedChangesCustomDataKey)&&(o=n.data(s.appliedChangesCustomDataKey).split(\",\")),n.data(s.failedChangesCustomDataKeyJs)&&(p=n.data(s.failedChangesCustomDataKeyJs).split(\",\")),n.data(s.failedChangesCustomDataKeyXml)&&(d=n.data(s.failedChangesCustomDataKeyXml).split(\",\"))),u[t]=i.map(a.bind(this,n,o,p,d,e))}function a(e,t,i,n,s,o){var a={id:o.getId(),changeType:o.getChangeType(),selector:o.getSelector(),controlPresent:!!e,indexInAppliedChanges:void 0,indexOfFirstFailing:void 0,dependentControls:[],dependentChanges:[],someDirectDependingChangesFailed:!1,someDirectDependingChangesNotApplied:!1,isInSubTree:!1},p=i.concat(n);return a.controlPresent&&t.indexOf(o.getId())>-1&&(a.indexInAppliedChanges=t.indexOf(o.getId())),a.controlPresent&&i.indexOf(o.getId())>-1&&(a.modifier=\"JS\",a.indexOfFirstFailing=p.indexOf(o.getId())),a.controlPresent&&n.indexOf(o.getId())>-1&&(a.modifier=\"XML\",a.indexOfFirstFailing=p.indexOf(o.getId())),o._aDependentIdList&&(a.dependentControls=o._aDependentIdList.map(function(e){return{id:e,controlPresent:!!sap.ui.getCore().byId(e)}})),s[o.getId()]=a,a}function p(e,t,i){if(-1!==i.dependencies.indexOf(e.id)){var n=JSON.stringify(g[t].selector)===JSON.stringify(e.selector);e.isInSubTree=e.isInSubTree||n}}function d(t,i){i.forEach(function(t){e.each(b,p.bind(this,t)),t.allDependendingControlsPresent=t.dependentControls.every(function(e){return e.controlPresent}),b[t.id]&&b[t.id].dependencies&&b[t.id].dependencies.forEach(function(e){var i=g[e],n=void 0==i.indexInAppliedChanges,i=g[e];t.someDirectDependingChangesNotApplied=t.someDirectDependingChangesNotApplied||n;var s=void 0==i.indexOfFirstFailing,o=s&&n;t.someDirectDependingChangesFailed=t.someDirectDependingChangesFailed||s,t.someDirectDependingChangesNotSuccessfulApplied=t.someDirectDependingChangesNotSuccessfulApplied||o,t.dependentChanges.push(i)}),t.isApplicable=!t.someDirectDependingChangesNotApplied&&t.controlPresent&&t.allDependendingControlsPresent&&!t.someDirectDependingChangesNotApplied,t.isPossibleRootCause=t.isApplicable&&void 0==t.indexInAppliedChanges})}function r(e){return e=e.filter(function(t){return!e.some(function(e){return e.dependentChanges.some(function(e){return e.id==t.id})})}),e.map(function(e){return{id:e.id,text:e.changeType,nodes:e.dependentChanges?r(e.dependentChanges):[]}})}function l(e,t){h.push({text:e,nodes:r(t)})}var g={},u={},h=[],c=o.getChangePersistenceForComponent(t,i),f=c._mChanges.mChanges,b=c._mChangesInitial.mDependencies;Object.keys(f).forEach(n.bind(this,g)),e.each(u,d),e.each(u,l),this._oStub.sendEvent(this.getId()+\"SetChangesMaps\",{changes:g,tree:h})},p});",
	"sap/ui/fl/transport/TransportDialog.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/m/List\",\"sap/m/InputListItem\",\"sap/m/Button\",\"sap/m/ComboBox\",\"sap/m/Dialog\",\"sap/m/DialogRenderer\",\"sap/m/Input\",\"sap/m/Label\",\"sap/m/MessageToast\",\"sap/ui/core/ListItem\",\"sap/ui/fl/transport/Transports\"],function(t,e,s,o,a,r,n,i,p,c,l,u){\"use strict\";var _=r.extend(\"sap.ui.fl.transport.TransportDialog\",{metadata:{library:\"sap.ui.fl\",properties:{pkg:{type:\"string\",group:\"Misc\",defaultValue:null},transports:{type:\"any\",group:\"Misc\",defaultValue:null},lrepObject:{type:\"any\",group:\"Misc\",defaultValue:null},hidePackage:{type:\"boolean\",group:\"Misc\",defaultValue:null}},events:{ok:{},cancel:{}}},renderer:n.render});return _.prototype.init=function(){r.prototype.init.apply(this),this._oResources=sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\"),this.setTitle(this._oResources.getText(\"TRANSPORT_DIALOG_TITLE\")),this._oPackageLabel=null,this._oPackage=this._createPackageField(),this._oTransport=this._createTransportCombo(),this.addContent(this._createContentList()),this._createButtons()},_.prototype._createContentList=function(){return this._oPackageListItem=new s({label:this._oResources.getText(\"TRANSPORT_DIALOG_PACKAGE\"),content:[this._oPackage]}),this._oTransportListItem=new s({label:this._oResources.getText(\"TRANSPORT_DIALOG_TRANSPORT\"),content:[this._oTransport]}),new e({items:[this._oPackageListItem,this._oTransportListItem]})},_.prototype._createButtons=function(){var t=this;this.addButton(new o({text:this._oResources.getText(\"TRANSPORT_DIALOG_LOCAL_OBJECT\"),tooltip:this._oResources.getText(\"TRANSPORT_DIALOG_LOCAL_OBJECT\"),press:function(){t._onLocal()}})),this.addButton(new o({text:this._oResources.getText(\"TRANSPORT_DIALOG_OK\"),tooltip:this._oResources.getText(\"TRANSPORT_DIALOG_OK\"),enabled:!1,press:function(){t._onOkay()}})),this.addButton(new o({text:this._oResources.getText(\"TRANSPORT_DIALOG_CANCEL\"),tooltip:this._oResources.getText(\"TRANSPORT_DIALOG_CANCEL\"),press:function(){t.fireCancel(),t.close(),t.destroy()}}))},_.prototype._onLocal=function(){this.fireOk({selectedTransport:\"\",selectedPackage:this.getPkg()||\"$TMP\",dialog:!0}),this.close(),this.destroy()},_.prototype._onOkay=function(){var t=this._oTransport.getSelectedKey();this._checkOkay(t)?(this.fireOk({selectedTransport:t,selectedPackage:this.getPkg()||this._oPackage.getValue(),dialog:!0}),this.close(),this.destroy()):(this.getButtons()[1].setEnabled(!1),this._oTransport.setValueState(sap.ui.core.ValueState.Error),this._oTransport.setValueStateText(this.getTitle()))},_.prototype._checkOkay=function(t){return!!t},_.prototype._createTransportCombo=function(){var t=this;return new a({showSecondaryValues:!0,enabled:!1,tooltip:this._oResources.getText(\"TRANSPORT_DIALOG_TRANSPORT_TT\"),width:\"100%\",selectionChange:function(){t._oPackageListItem.getVisible()&&!t._oPackage.getValue()||(t.getButtons()[1].setEnabled(!0),t._oTransport.setValueState(sap.ui.core.ValueState.None))},change:function(e){e&&e.mParameters&&e.mParameters.newValue&&function(t){return!((!t||e.mParameters.newValue===t.getText())&&t)}(t._oTransport.getSelectedItem())&&(t.getButtons()[1].setEnabled(!1),t._oTransport.setValueState(sap.ui.core.ValueState.Error),t._oTransport.setValueStateText(t._oResources.getText(\"TRANSPORT_DIALOG_TRANSPORT_TT\")))}})},_.prototype._createPackageField=function(){var t=this;return new i({tooltip:this._oResources.getText(\"TRANSPORT_DIALOG_PACKAGE_TT\"),width:\"100%\",change:function(){var e,s,o;o=t._createObjectInfo(),e=new sap.ui.fl.transport.Transports,s=e.getTransports(o),s.then(function(e){t._onPackageChangeSuccess(e)},function(e){t._onPackageChangeError(e)})},liveChange:function(e){e.mParameters.liveValue&&e.mParameters.liveValue.length>3&&t._oTransport.setEnabled(!0)}})},_.prototype._createObjectInfo=function(){var t,e={package:this._oPackage.getValue()||\"\"};return t=this.getProperty(\"lrepObject\"),t&&(t.name&&(e.name=t.name),t.type&&(e.type=t.type),t.namespace&&(e.namespace=t.namespace)),e},_.prototype._onPackageChangeSuccess=function(t){t&&(t.localonly?(this._oTransport.setEnabled(!1),this.getButtons()[1].setEnabled(!0)):t.transports&&t.transports.length>0?(this._oTransport.setEnabled(!0),this._setTransports(t)):t.errorCode?(this.getButtons()[1].setEnabled(!1),this._oPackage.setValueState(sap.ui.core.ValueState.Error),this._oPackage.setValueStateText(this._oResources.getText(\"TRANSPORT_DIALOG_\"+t.errorCode)),this._setTransports(t)):c.show(this._oResources.getText(\"TRANSPORT_DIALOG_NO_TRANSPORTS\")))},_.prototype._setTransports=function(t){var e,s;e=this._hasLock(t.transports),s=e?[e]:t.transports,this.setTransports(s),s&&1===s.length&&(this._oTransport.setValue(s[0].description,!0),this.getButtons()[1].setEnabled(!0)),s&&0!==s.length||(this._oTransport.setSelectedKey(null),this._oTransport.setValueState(sap.ui.core.ValueState.None),this.getButtons()[1].setEnabled(!1))},_.prototype._onPackageChangeError=function(t){c.show(t),this.setTransports([])},_.prototype._hasLock=function(t){for(var e,s=t.length;s--;)if(e=t[s],e.locked)return e;return null},_.prototype.setPkg=function(t){t&&!this.getProperty(\"pkg\")&&(this.setProperty(\"pkg\",t),this._oPackage.setValue(t),this._oPackage.setEnabled(!1),this._oTransport.setEnabled(!0),this.setTitle(this._oResources.getText(\"TRANSPORT_DIALOG_TITLE_SIMPLE\")),this.getButtons()[0].setVisible(!1))},_.prototype.setTransports=function(t){var e,s,o=0;if(t){for(this.setProperty(\"transports\",t),this._oTransport.removeAllItems(),o=t.length,e=0;e<o;e++)s=t[e],this._oTransport.addItem(new l({key:s.transportId,text:s.transportId,additionalText:s.description}));1===o&&(this._oTransport.setSelectedKey(t[0].transportId),this.getButtons()[1].setEnabled(!0)),o>0&&this._oTransport.setEnabled(!0)}},_.prototype.setLrepObject=function(t){t&&!this.getProperty(\"lrepObject\")&&this.setProperty(\"lrepObject\",t)},_.prototype.setHidePackage=function(t){this.setProperty(\"hidePackage\",t),this._oPackageListItem.setVisible(!t),t&&(this.getButtons()[0].setEnabled(t),this.setTitle(this._oResources.getText(\"TRANSPORT_DIALOG_TITLE_SIMPLE\")))},_},!0);",
	"sap/ui/fl/transport/Transports.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/Utils\"],function(e,r){\"use strict\";var n=function(){};return n.prototype.getTransports=function(n){var t,a,o,s;return t=\"/sap/bc/lrep/actions/gettransports/\",n.package&&(t+=\"&package=\"+n.package),n.name&&(t+=\"&name=\"+n.name),n.namespace&&(t+=\"&namespace=\"+n.namespace),n.type&&(t+=\"&type=\"+n.type),a=r.getClient(),a&&(t+=\"&sap-client=\"+a),t=t.replace(\"&\",\"?\"),o=e.createConnector(),s=o.send(t),s.then(function(e){return e.response?(e.response.localonly||(e.response.localonly=!1),e.response.errorCode||(e.response.errorCode=\"\"),Promise.resolve(e.response)):Promise.reject(\"response is empty\")})},n.prototype.makeChangesTransportable=function(n){var t,a,o;return t=\"/sap/bc/lrep/actions/make_changes_transportable/\",a=r.getClient(),a&&(t+=\"?sap-client=\"+a),n.transportId?n.changeIds?(o=e.createConnector(),o.send(t,\"POST\",n)):Promise.reject(new Error(\"no changeIds provided as attribute of mParameters\")):Promise.reject(new Error(\"no transportId provided as attribute of mParameters\"))},n.prototype._convertToChangeTransportData=function(e){for(var r=[],n=e.length,t=0;t<n;t++){var a=e[t],o={};o.namespace=a.getNamespace(),o.fileName=a.getId(),o.fileType=a.getDefinition().fileType,r.push(o)}return r},n},!0);",
	"sap/ui/fl/transport/TransportSelection.js": "/*\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Utils\",\"sap/ui/fl/transport/Transports\",\"sap/ui/fl/transport/TransportDialog\",\"sap/ui/fl/registry/Settings\"],function(e,t,r,a,n){\"use strict\";var o=function(){this.oTransports=new sap.ui.fl.transport.Transports};return o.prototype.selectTransport=function(e,r,a,o,s,p){var c=this;if(e){var i=t.getCurrentLayer(!1);i&&\"CUSTOMER\"===i?n.getInstance().then(function(t){if(t.isAtoEnabled()){var n={transportId:\"ATO_NOTIFICATION\"};r(c._createEventObject(e,n))}else c._selectTransport(e,r,a,o,p)}):c._selectTransport(e,r,a,o,p)}},o.prototype._selectTransport=function(e,r,a,n,o){var s=this;e&&this.oTransports.getTransports(e).then(function(p){var c;s._checkDialog(p)?s._openDialog({hidePackage:!t.doesSharedVariantRequirePackage(),pkg:e.package,transports:p.transports,lrepObject:s._toLREPObject(e)},r,a,n,o):(c=s._getTransport(p),r(s._createEventObject(e,c)))},function(e){a(e)})},o.prototype._createEventObject=function(e,t){return{mParameters:{selectedTransport:t.transportId,selectedPackage:e.package,dialog:!1},getParameters:function(){return this.mParameters},getParameter:function(e){return this.mParameters[e]}}},o.prototype._toLREPObject=function(e){var t={};return e.namespace&&(t.namespace=e.namespace),e.name&&(t.name=e.name),e.type&&(t.type=e.type),t},o.prototype._openDialog=function(e,t,r,n,o){var s=new a(e);return s.attachOk(t),s.attachCancel(r),s.addStyleClass(o),n?s.addStyleClass(\"sapUiSizeCompact\"):s.removeStyleClass(\"sapUiSizeCompact\"),s.open(),s},o.prototype._getTransport=function(e){return e.localonly?{transportId:\"\"}:this._hasLock(e.transports)},o.prototype._checkDialog=function(e){return!e||!e.localonly&&!this._hasLock(e.transports)},o.prototype._hasLock=function(e){for(var t=e.length;t--;){var r=e[t];if(r.locked)return r}return!1},o.prototype.setTransports=function(e,t){var r=e.length-1,a=this,n=function(e,t,r,o,s){if(t>=0){var p=e[t];return!0===s?(\"$TMP\"!==p.getDefinition().packageName&&p.setRequest(o),t--,n(e,t,r,o,s)):\"$TMP\"!==p.getDefinition().packageName?a.openTransportSelection(p,r).then(function(a){return p.setRequest(a.transport),!0===a.fromDialog&&(o=a.transport,s=!0),t--,n(e,t,r,o,s)},function(){return null}):(t--,n(e,t,r,o,s))}return Promise.resolve()};return n(e,r,t)},o.prototype.openTransportSelection=function(e,t,r){var a=this;return new Promise(function(n,o){var s=function(e){if(e&&e.getParameters){var t=e.getParameters().selectedTransport,r=e.getParameters().selectedPackage,a=e.getParameters().dialog;n({transport:t,packageName:r,fromDialog:a})}else n({})},p=function(e){\"cancel\"===e.sId?n():o(e)},c={};e&&(c.package=e.getPackage(),c.namespace=e.getNamespace(),c.name=e.getId(),c.type=e.getDefinition().fileType),a.selectTransport(c,s,p,!1,t,r)})},o.prototype.checkTransportInfo=function(e){return e&&e.transport&&\"$TMP\"!==e.packageName},o.prototype._prepareChangesForTransport=function(e,t){if(t.length>0){var a=new r,n=a._convertToChangeTransportData(t),o={};return o.package=e.packageName,o.transportId=e.transport,o.changeIds=n,a.makeChangesTransportable(o).then(function(){return t.forEach(function(t){if(\"$TMP\"===t.getPackage()){var r=t.getDefinition();r.packageName=e.packageName,t.setResponse(r)}}),Promise.resolve()})}},o},!0);",
	"sap/ui/fl/Utils.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/core/Component\",\"sap/ui/thirdparty/hasher\"],function(e,t,n){\"use strict\";var r=[\"VENDOR\",\"PARTNER\",\"CUSTOMER_BASE\",\"CUSTOMER\",\"USER\"],o={};r.forEach(function(e,t){o[e]=t});var a={_aLayers:r,_mLayersIndex:o,_sTopLayer:r[r.length-1],_sMaxLayer:r[r.length-1],DEFAULT_APP_VERSION:\"DEFAULT_APP_VERSION\",APP_ID_AT_DESIGN_TIME:\"${project.artifactId}\",log:{error:function(t,n,r){e.sap.log.error(t,n,r)},warning:function(t,n,r){e.sap.log.warning(t,n,r)},debug:function(t,n,r){e.sap.log.debug(t,n,r)}},getXSRFTokenFromControl:function(e){var t;return e&&e&&\"function\"==typeof e.getModel?(t=e.getModel(),a._getXSRFTokenFromModel(t)):\"\"},_getXSRFTokenFromModel:function(e){var t;return e&&\"function\"==typeof e.getHeaders&&(t=e.getHeaders())?t[\"x-csrf-token\"]:\"\"},getComponentClassName:function(e){var t;if(e&&(t=this.getAppComponentForControl(e))){var n=this._getComponentStartUpParameter(t,\"sap-app-id\");if(n)return n;if(t.getManifestEntry(\"sap.ui5\")&&t.getManifestEntry(\"sap.ui5\").appVariantId)return t.getManifestEntry(\"sap.ui5\").appVariantId}return a.getComponentName(t)},isVariantByStartupParameter:function(e){if(e){var t=this.getAppComponentForControl(e);if(t)return!!this._getComponentStartUpParameter(t,\"sap-app-id\")}return!1},getAppComponentClassNameForComponent:function(e){return a.getComponentClassName(e)},getAppDescriptor:function(e){var t=null,n=null,r=null;return e&&(n=this.getAppComponentForControl(e))&&n.getMetadata&&(r=n.getMetadata())&&r.getManifest&&(t=r.getManifest()),t},getSiteId:function(e){var t=null,n=null;return e&&(n=this.getAppComponentForControl(e))&&(t=this._getComponentStartUpParameter(n,\"hcpApplicationId\")),t},getSiteIdByComponentData:function(e){return this._getStartUpParameter(e,\"hcpApplicationId\")},isAppVariantMode:function(e){return a.isVendorLayer()&&a.isApplicationVariant(e)},isBinding:function(e){var t=!1;return e&&\"string\"==typeof e&&\"{\"===e.substring(0,1)&&\"}\"===e.slice(-1)&&(t=!0),t},isVendorLayer:function(){return\"VENDOR\"===a.getCurrentLayer(!1)},isApplicationVariant:function(e){var t=a.getComponentClassName(e),n=a.getAppComponentForControl(e);return t!==a.getComponentName(n)},setMaxLayerParameter:function(e){this._sMaxLayer=e||this._sTopLayer},getLayerIndex:function(e){return this._mLayersIndex[e]},isOverMaxLayer:function(e){return this.getLayerIndex(e)>this.getLayerIndex(this._sMaxLayer)},isLayerAboveCurrentLayer:function(e){var t=a.getCurrentLayer(!1);return this.getLayerIndex(t)>this.getLayerIndex(e)||!e?-1:this.getLayerIndex(t)===this.getLayerIndex(e)?0:1},isLayerFilteringRequired:function(){return!(this._sTopLayer===this._sMaxLayer)},_getComponentStartUpParameter:function(e,t){var n=null;return t&&e&&e.getComponentData&&(n=this._getStartUpParameter(e.getComponentData(),t)),n},_getStartUpParameter:function(t,n){if(t&&t.startupParameters&&n&&e.isArray(t.startupParameters[n]))return t.startupParameters[n][0]},getComponentName:function(e){var t=\"\";return e&&(t=e.getMetadata().getName()),t.length>0&&t.indexOf(\".Component\")<0&&(t+=\".Component\"),t},_getComponent:function(e){var t;return e&&(t=sap.ui.getCore().getComponent(e)),t},_getComponentIdForControl:function(e){var t=\"\",n=0;do{if(n++,t=a._getOwnerIdForControl(e))return t;if(!e||\"function\"!=typeof e.getParent)return\"\";e=e.getParent()}while(e&&n<100);return\"\"},getComponentForControl:function(e){return a._getComponentForControl(e)},getAppComponentForControl:function(e){var t;return t=e instanceof sap.ui.core.Component?e:this._getComponentForControl(e),this._getAppComponentForComponent(t)},_getComponentForControl:function(e){var t=null,n=null;return e&&(n=a._getComponentIdForControl(e))&&(t=a._getComponent(n)),t},_getAppComponentForComponent:function(e){var t=null;return e&&e.getAppComponent?e.getAppComponent():e&&e.oComponentData&&e.oComponentData.appComponent?e.oComponentData.appComponent:e&&e.getManifestEntry?(t=e.getManifestEntry(\"sap.app\"),t&&t.type&&\"application\"!==t.type?(e instanceof sap.ui.core.Component&&(e=this._getComponentForControl(e)),this.getAppComponentForControl(e)):e):e},getViewForControl:function(e){return a.getFirstAncestorOfControlWithControlType(e,sap.ui.core.mvc.View)},getFirstAncestorOfControlWithControlType:function(e,t){return e instanceof t?e:e&&\"function\"==typeof e.getParent?(e=e.getParent(),a.getFirstAncestorOfControlWithControlType(e,t)):void 0},hasControlAncestorWithId:function(e,t){var n;if(e===t)return!0;for(n=sap.ui.getCore().byId(e);n;){if(n.getId()===t)return!0;if(\"function\"!=typeof n.getParent)return!1;n=n.getParent()}return!1},_isView:function(e){return e instanceof sap.ui.core.mvc.View},_getOwnerIdForControl:function(e){return t.getOwnerIdFor(e)},getCurrentLayer:function(e){var t,n;return e?\"USER\":(t=this._getUriParameters(),n=t.mParams[\"sap-ui-layer\"],n&&n.length>0?n[0]:\"CUSTOMER\")},doesSharedVariantRequirePackage:function(){var e;return\"VENDOR\"===(e=a.getCurrentLayer(!1))||\"PARTNER\"===e||\"CUSTOMER_BASE\"===e},getClient:function(){var e,t;if(e=this._getUriParameters(),(t=e.mParams[\"sap-client\"])&&t.length>0)return t[0]},_getUriParameters:function(){return e.sap.getUriParameters()},isHotfixMode:function(){var e,t,n;return e=this._getUriParameters(),t=e.mParams.hotfix,t&&t.length>0&&(n=t[0]),\"true\"===n},convertBrowserLanguageToISO639_1:function(e){if(!e||\"string\"!=typeof e)return\"\";var t=e.indexOf(\"-\");return t<0&&e.length<=2?e.toUpperCase():t>0&&t<=2?e.substring(0,t).toUpperCase():\"\"},getCurrentLanguage:function(){var e=sap.ui.getCore().getConfiguration().getLanguage();return a.convertBrowserLanguageToISO639_1(e)},getControlType:function(e){var t;if(e&&\"function\"==typeof e.getMetadata&&(t=e.getMetadata())&&\"function\"==typeof t.getElementName)return t.getElementName()},asciiToString:function(t){var n=t.split(\",\"),r=\"\";return e.each(n,function(e,t){r+=String.fromCharCode(t)}),r},stringToAscii:function(e){for(var t=\"\",n=0;n<e.length;n++)t+=e.charCodeAt(n)+\",\";return t=t.substring(0,t.length-1)},_fnCheckElementIsNoClone:function(e){var t=!0;if(e.getBindingContext&&e.getBindingContext()){var n=e.getBindingContext().getPath().split(\"/\"),r=n[n.length-1];t=isNaN(r)}return t},checkControlId:function(e,t,n){var r=e instanceof sap.ui.base.ManagedObject?e.getId():e;if(t||(e=e instanceof sap.ui.base.ManagedObject?e:sap.ui.getCore().byId(r),t=a.getAppComponentForControl(e)),!sap.ui.base.ManagedObjectMetadata.isGeneratedId(r)||this.hasLocalIdSuffix(e,t))return!0;var o=-1!==r.indexOf(\"--\");return n||o||!this._fnCheckElementIsNoClone(e)||this.log.warning(\"Generated id attribute found, to offer flexibility a stable control id is needed to assign the changes to, but for this control the id was generated by SAPUI5\",r),!1},hasLocalIdSuffix:function(e,t){var n=e instanceof sap.ui.base.ManagedObject?e.getId():e;return t?!!t.getLocalId(n):(this.log.error(\"determination of a local id suffix failed due to missing app component for \"+n),!1)},_getAllUrlParameters:function(){return window.location.search.substring(1)},getTechnicalParametersForComponent:function(e){return e&&e.getComponentData&&e.getComponentData()&&e.getComponentData().technicalParameters},setTechnicalURLParameterValues:function(e,t,r){var o=a.getUshellContainer();if(o){n.changed.active=!1;var i=o.getService(\"URLParsing\"),s=i.parseShellHash(i.getHash(window.location.href)),u=s.params,p=a.getTechnicalParametersForComponent(e);p||this.log.error(\"Component instance not provided, so technical parameters in component data would remain unchanged\"),0===r.length?(delete u[t],p&&delete p[t]):(u[t]=r,p&&(p[t]=r)),n.replaceHash(i.constructShellHash(s)),n.changed.active=!0}},isDebugEnabled:function(){return!!sap.ui.getCore().getConfiguration().getDebug()||-1!==(window[\"sap-ui-debug\"]||\"\").split(\",\").indexOf(\"sap.ui.fl\")},getUrlParameter:function(t){return e.sap.getUriParameters().get(t)},getUshellContainer:function(){return sap.ushell&&sap.ushell.Container},createDefaultFileName:function(t){var n=e.sap.uid().replace(/-/g,\"_\");return t&&(n+=\"_\"+t),n},createNamespace:function(e,t){return\"apps/\"+e.reference.replace(\".Component\",\"\")+\"/\"+t+\"/\"},isApplication:function(e){return e&&e.getEntry(\"sap.app\")&&\"application\"===e.getEntry(\"sap.app\").type},getFlexReference:function(e){if(e){if(e.getEntry(\"sap.ui5\")){if(e.getEntry(\"sap.ui5\").appVariantId)return e.getEntry(\"sap.ui5\").appVariantId;if(e.getEntry(\"sap.ui5\").componentName)return e.getEntry(\"sap.ui5\").componentName+\".Component\"}if(e.getEntry(\"sap.app\")&&e.getEntry(\"sap.app\").id){var t=e.getEntry(\"sap.app\").id;return t===a.APP_ID_AT_DESIGN_TIME&&e.getComponentName&&(t=e.getComponentName()),t+\".Component\"}}return this.log.warning(\"No Manifest received.\"),\"\"},getAppVersionFromManifest:function(e){var t=\"\";if(e){var n=e.getEntry?e.getEntry(\"sap.app\"):e[\"sap.app\"];n&&n.applicationVersion&&n.applicationVersion.version&&(t=n.applicationVersion.version)}else this.log.warning(\"No Manifest received.\");return t},isCustomerDependentLayer:function(e){return[\"CUSTOMER\",\"CUSTOMER_BASE\"].indexOf(e)>-1},execPromiseQueueSequentially:function(e,t,n){if(0===e.length)return n?Promise.resolve():new a.FakePromise;var r=e.shift();if(\"function\"==typeof r){var o=r();return o.then(function(){!n&&o instanceof Promise&&(n=!0)}).catch(function(e){var n=\"Error during execPromiseQueueSequentially processing occured\";if(n+=e?\": \"+e.message:\"\",this.log.error(n),t)throw new Error(n)}.bind(this)).then(function(){return this.execPromiseQueueSequentially(e,t,n)}.bind(this))}return this.log.error(\"Changes could not be applied, promise not wrapped inside function.\"),this.execPromiseQueueSequentially(e,t,n)},FakePromise:function(e,t){if(this.vValue=e,this.vError=t,a.FakePromise.prototype.then=function(e){if(!this.vError){try{this.vValue=e(this.vValue,!0)}catch(e){return this.vError=e,this.vValue=null,this}if(this.vValue instanceof Promise)return this.vValue}return this},a.FakePromise.prototype.catch=function(e){return this.vError&&(this.vValue=e(this.vError,!0),this.vError=null,this.vValue instanceof Promise)?this.vValue:this},this.vValue instanceof Promise)return this.vValue},getChangeFromChangesMap:function(e,t){var n;return Object.keys(e).forEach(function(r){e[r].some(function(e){if(e.getId()===t)return n=e,!0})}),n},isInstanceOf:function(t,n){var r=e.sap.getObject(n);return\"function\"==typeof r&&t instanceof r},hasInterface:function(e,t){return-1!==e.getMetadata().getInterfaces().indexOf(t)}};return a},!0);",
	"sap/ui/fl/Variant.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/base/ManagedObject\",\"sap/ui/fl/Utils\",\"sap/ui/fl/registry/Settings\"],function(t,e,n,i){\"use strict\";var o=e.extend(\"sap.ui.fl.Variant\",{constructor:function(i){e.apply(this),t.isPlainObject(i)||n.log.error(\"Constructor : sap.ui.fl.Variant : oFile is not defined\"),this._oDefinition=i,this._oOriginDefinition=t.extend(!0,{},i),this._sRequest=\"\",this._bUserDependent=\"USER\"===i.content.layer,this._vRevertData=null,this.setState(o.states.NEW)},metadata:{properties:{state:{type:\"string\"}}}});return o.states={NEW:\"NEW\",PERSISTED:\"NONE\",DELETED:\"DELETE\",DIRTY:\"UPDATE\"},o.events={markForDeletion:\"markForDeletion\"},o.prototype.setState=function(t){return this._isValidState(t)&&this.setProperty(\"state\",t),this},o.prototype._isValidState=function(t){var e=!1;return Object.keys(o.states).some(function(n){return o.states[n]===t&&(e=!0),e}),!!e&&(this.getState()!==o.states.NEW||t!==o.states.DIRTY)},o.prototype.isValid=function(){var t=!0;return\"object\"!=typeof this._oDefinition&&(t=!1),this._oDefinition.content.fileType&&\"ctrl_variant\"===this._oDefinition.content.fileType||(t=!1),this._oDefinition.content.fileName||(t=!1),this._oDefinition.content.content.title||(t=!1),this._oDefinition.content.variantManagementReference||(t=!1),this._oDefinition.content.layer||(t=!1),this._oDefinition.content.originalLanguage||(t=!1),t},o.prototype.isVariant=function(){return!0},o.prototype.getDefinitionWithChanges=function(){return this._oDefinition},o.prototype.getTitle=function(){if(this._oDefinition)return this._oDefinition.content.content.title},o.prototype.getFileType=function(){if(this._oDefinition)return this._oDefinition.content.fileType},o.prototype.getControlChanges=function(){return this._oDefinition.controlChanges},o.prototype.getOriginalLanguage=function(){return this._oDefinition&&this._oDefinition.content.originalLanguage?this._oDefinition.content.originalLanguage:\"\"},o.prototype.getPackage=function(){return this._oDefinition.content.packageName},o.prototype.getNamespace=function(){return this._oDefinition.content.namespace},o.prototype.setNamespace=function(t){this._oDefinition.content.namespace=t},o.prototype.getId=function(){return this._oDefinition.content.fileName},o.prototype.getContent=function(){return this._oDefinition.content.content},o.prototype.setContent=function(t){this._oDefinition.content.content=t,this.setState(o.states.DIRTY)},o.prototype.getVariantManagementReference=function(){return this._oDefinition.content.variantManagementReference},o.prototype.getVariantReference=function(){return this._oDefinition.content.variantReference},o.prototype.getOwnerId=function(){return this._oDefinition.content.support?this._oDefinition.content.support.user:\"\"},o.prototype.getText=function(t){return\"string\"!=typeof t&&n.log.error(\"sap.ui.fl.Variant.getTexts : sTextId is not defined\"),this._oDefinition.content.texts&&this._oDefinition.content.texts[t]?this._oDefinition.content.texts[t].value:\"\"},o.prototype.setText=function(t,e){if(\"string\"!=typeof t)return void n.log.error(\"sap.ui.fl.Variant.setTexts : sTextId is not defined\");this._oDefinition.content.texts&&this._oDefinition.content.texts[t]&&(this._oDefinition.content.texts[t].value=e,this.setState(o.states.DIRTY))},o.prototype.isReadOnly=function(){return this._isReadOnlyDueToLayer()||this._isReadOnlyWhenNotKeyUser()},o.prototype._isReadOnlyWhenNotKeyUser=function(){if(this.isUserDependent())return!1;if(!this.getDefinition().reference)return!0;var t=i.getInstanceOrUndef();return!t||!t.isKeyUser()},o.prototype._isReadOnlyDueToLayer=function(){var t;return t=n.getCurrentLayer(this._bUserDependent),this._oDefinition.content.layer!==t},o.prototype._isReadOnlyDueToOriginalLanguage=function(){var t;return!!(t=this.getOriginalLanguage())&&n.getCurrentLanguage()!==t},o.prototype.markForDeletion=function(){this.setState(o.states.DELETED)},o.prototype.setRequest=function(t){\"string\"!=typeof t&&n.log.error(\"sap.ui.fl.Variant.setRequest : sRequest is not defined\"),this._sRequest=t},o.prototype.getRequest=function(){return this._sRequest},o.prototype.getLayer=function(){return this._oDefinition.content.layer},o.prototype.getComponent=function(){return this._oDefinition.content.reference},o.prototype.setComponent=function(t){this._oDefinition.content.reference=t},o.prototype.getCreation=function(){return this._oDefinition.content.creation},o.prototype.isUserDependent=function(){return this._bUserDependent},o.prototype.getPendingAction=function(){return this.getState()},o.prototype.getDefinition=function(){return this._oDefinition.content},o.prototype.setResponse=function(t){var e=JSON.stringify(t);e&&(this._oDefinition=JSON.parse(e),this._oOriginDefinition=JSON.parse(e),this.setState(o.states.PERSISTED))},o.prototype.getFullFileIdentifier=function(){return this.getLayer()+\"/\"+this.getNamespace()+\"/\"+this.getDefinition().content.fileName+\".\"+this.getDefinition().content.fileType},o.prototype.getRevertData=function(){return this._vRevertData},o.prototype.setRevertData=function(t){this._vRevertData=t},o.prototype.resetRevertData=function(){this.setRevertData(null)},o.createInitialFileContent=function(t){t||(t={});var e=t.content.fileName||n.createDefaultFileName(),i=t.content.namespace||n.createNamespace(t.content,\"variants\");return{content:{fileName:e,fileType:\"ctrl_variant\",variantManagementReference:t.content.variantManagementReference,variantReference:t.content.variantReference||\"\",reference:t.content.reference||\"\",packageName:t.content.packageName||\"\",content:{title:t.content.content.title||\"\"},self:i+e+\".ctrl_variant\",layer:t.content.layer||n.getCurrentLayer(t.isUserDependent),texts:t.content.texts||{},namespace:i,creation:\"\",originalLanguage:n.getCurrentLanguage(),conditions:{},support:{generator:t.generator||\"Change.createInitialFileContent\",service:t.service||\"\",user:\"\",sapui5Version:sap.ui.version},validAppVersions:t.content.validAppVersions||{}},controlChanges:t.controlChanges||[],variantChanges:{}}},o},!0);",
	"sap/ui/fl/variants/ControlVariantsAPI.js": "/*\n * ! UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"sap/ui/fl/Utils\",\"sap/ui/core/Element\",\"sap/ui/core/Component\"],function(e,n,r){\"use strict\";return{clearVariantParameterInURL:function(r){var t=[];if(r instanceof n){var a=e.getAppComponentForControl(r),o=a.getModel(\"$FlexVariants\"),i=o._getLocalId(r.getId(),a),c=o.getVariantIndexInURL(i);c.index>-1&&(c.parameters[\"sap-ui-fl-control-variant-id\"].splice(c.index,1),t=c.parameters[\"sap-ui-fl-control-variant-id\"].slice(0))}e.setTechnicalURLParameterValues(a,\"sap-ui-fl-control-variant-id\",t)},activateVariant:function(t,a){var o;return Promise.resolve().then(function(){if(\"string\"==typeof t||t instanceof String){if(!((o=sap.ui.getCore().getComponent(t))instanceof r||(o=sap.ui.getCore().byId(t))instanceof n))throw new Error(\"A valid component or control cannot be found for the provided Id\")}else(t instanceof r||t instanceof n)&&(o=t);var i=e.getAppComponentForControl(o);if(!i)throw new Error(\"A valid variant management control or component (instance or id) should be passed as parameter\");var c=i.getModel(\"$FlexVariants\");if(!c)throw new Error(\"No variant management model found for the passed control or component\");var s=c.getVariantManagementReference(a).variantManagementReference;if(!s)throw new Error(\"A valid control or component, and variant id combination is required\");return c.updateCurrentVariant(s,a)}).catch(function(n){return e.log.error(n),Promise.reject(n)})}}},!0);",
	"sap/ui/fl/variants/VariantController.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/fl/Utils\",\"sap/ui/fl/Change\",\"sap/ui/fl/Variant\",\"sap/ui/fl/Cache\"],function(t,n,e,a,i){\"use strict\";var r=function(t,e,a){this._sComponentName=t||\"\",this._sAppVersion=e||n.DEFAULT_APP_VERSION,this._mVariantManagement={},this._setChangeFileContent(a,{}),this.sVariantTechnicalParameterName=\"sap-ui-fl-control-variant-id\",this._oResourceBundle=sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\")};return r.prototype.getComponentName=function(){return this._sComponentName},r.prototype.getAppVersion=function(){return this._sAppVersion},r.prototype._setChangeFileContent=function(t,e){var a=i.getEntry(this.getComponentName(),this.getAppVersion());0===Object.keys(this._mVariantManagement).length&&(this._mVariantManagement={}),t&&t.changes&&t.changes.variantSection&&(Object.keys(t.changes.variantSection).forEach(function(a){this._mVariantManagement[a]={};var i,r=t.changes.variantSection[a],o=r.variants.concat(),s=n.getTechnicalParametersForComponent(e),c=-1;if(o.forEach(function(t,n){t.content.fileName===a&&(c=n),t.content.content.favorite||(t.content.content.favorite=!0),t.content.content.visible||(t.content.content.visible=!0);var e=t.content.content.title.match(/.i18n>(\\w+)./);e&&(t.content.content.title=this._oResourceBundle.getText(e[1])),this._applyChangesOnVariant(t),s&&Array.isArray(s[this.sVariantTechnicalParameterName])&&s[this.sVariantTechnicalParameterName].some(function(n){if(t.content.fileName===n)return i=t.content.fileName,!0})}.bind(this)),c>-1){var g=o.splice(c,1)[0];o.sort(this.compareVariants),o.splice(0,0,g)}this._mVariantManagement[a].variants=o,this._mVariantManagement[a].defaultVariant=a,i&&(this._mVariantManagement[a].currentVariant=i),this._mVariantManagement[a].variantManagementChanges=t.changes.variantSection[a].variantManagementChanges,this._applyChangesOnVariantManagement(this._mVariantManagement[a])}.bind(this)),a.file.changes.variantSection=this._mVariantManagement)},r.prototype._getChangeFileContent=function(){return this._mVariantManagement},r.prototype.compareVariants=function(t,n){return t.content.content.title.toLowerCase()<n.content.content.title.toLowerCase()?-1:t.content.content.title.toLowerCase()>n.content.content.title.toLowerCase()?1:0},r.prototype.getVariants=function(t){var n=this._mVariantManagement[t]&&this._mVariantManagement[t].variants;return n||[]},r.prototype.getVariant=function(t,n){var e;return this.getVariants(t).some(function(t,a){if(t.content.fileName===n)return e=t,!0}),e},r.prototype.getVariantChanges=function(t,n){var e=n||this._mVariantManagement[t].defaultVariant;return this.getVariants(t).filter(function(t){return t.content.fileName===e}).reduce(function(t,n){return n.controlChanges?t.concat(n.controlChanges):t},[])},r.prototype._getReferencedChanges=function(t,e){var a=[];return e.content.variantReference?(a=this.getVariantChanges(t,e.content.variantReference),a.filter(function(t){return-1===n.isLayerAboveCurrentLayer(t.layer)})):a},r.prototype.setVariantChanges=function(e,a,i){return e&&a&&t.isArray(i)?this._mVariantManagement[e].variants.some(function(t,n){if(t.content.fileName===a)return t.controlChanges=i,!0}):void n.log.error(\"Cannot set variant changes without Variant reference\")},r.prototype._setVariantData=function(t,n,e){var a=this._mVariantManagement[n].variants,i=a[e];if(Object.keys(t).forEach(function(n){i.content.content[n]&&(i.content.content[n]=t[n])}),i.content.fileName!==n){a.splice(e,1);var r=this._getIndexToSortVariant(a.slice(1),i);return a.splice(r+1,0,i),r+1}return a.splice(e,1,i),e},r.prototype._updateChangesForVariantManagementInMap=function(t,n,e){var a=this._mVariantManagement[n],i=t.changeType;\"ctrl_variant_change\"===t.fileType?a.variants.some(function(n){if(n.content.fileName===t.selector.id)return n.variantChanges[i]||(n.variantChanges[i]=[]),e?n.variantChanges[i].push(t):n.variantChanges[i].some(function(e,a){if(e.fileName===t.fileName)return n.variantChanges[i].splice(a,1),!0}),!0}):\"ctrl_variant_management_change\"===t.fileType&&(a.variantManagementChanges||(a.variantManagementChanges={}),a.variantManagementChanges[i]||(a.variantManagementChanges[i]=[]),e?a.variantManagementChanges[i].push(t):a.variantManagementChanges[i].some(function(n,e){if(n.fileName===t.fileName)return a.variantManagementChanges[i].splice(e,1),!0}))},r.prototype.loadInitialChanges=function(){var t=[];return Object.keys(this._mVariantManagement).forEach(function(n){var e,a=[];e=this._mVariantManagement[n].currentVariant?this._mVariantManagement[n].currentVariant:this._mVariantManagement[n].defaultVariant,this.getVariant(n,e).content.content.visible||(this._mVariantManagement[n].currentVariant?this._mVariantManagement[n].currentVariant=n:this._mVariantManagement[n].defaultVariant=n,e=n),a=this.getVariantChanges(n,e),t=t.concat(a)}.bind(this)),t},r.prototype.getChangesForVariantSwitch=function(t,n,a,i){var r=this.getVariantChanges(t,n),o=[],s=[];Object.keys(i).forEach(function(t){i[t].forEach(function(t){o=o.concat(t),s=s.concat(t.getId())})}),r=r.reduce(function(t,n,e){var a=s.indexOf(n.fileName);return a>-1&&(t=t.concat(o[a])),t},[]);var c=this.getVariantChanges(t,a).map(function(t){return new e(t)}),g=[];return c.length>0?(g=r.slice(),r.some(function(t){if(!c[0]||t.getId()!==c[0].getId())return!0;c.shift(),g.shift()})):g=r,{aRevert:g.reverse(),aNew:c}},r.prototype._applyChangesOnVariant=function(t){var e,a=t.variantChanges;Object.keys(a).forEach(function(i){switch(i){case\"setTitle\":e=this._getActiveChange(i,a),e&&(t.content.content.title=e.getText(\"title\"));break;case\"setFavorite\":e=this._getActiveChange(i,a),e&&(t.content.content.favorite=e.getContent().favorite);break;case\"setVisible\":e=this._getActiveChange(i,a),e&&(t.content.content.visible=e.getContent().visible);break;default:n.log.error(\"No valid changes on variant \"+t.content.content.title+\" available\")}}.bind(this))},r.prototype._applyChangesOnVariantManagement=function(t){var n,e=t.variantManagementChanges;Object.keys(e).length>0&&(n=this._getActiveChange(\"setDefault\",e),t.defaultVariant=n.getContent().defaultVariant)},r.prototype._getActiveChange=function(t,n){var a=n[t].length-1;return a>-1&&new e(n[t][a])},r.prototype._fillVariantModel=function(){var t={};return Object.keys(this._mVariantManagement).forEach(function(n){t[n]={defaultVariant:this._mVariantManagement[n].defaultVariant,variants:[]},this._mVariantManagement[n].currentVariant&&(t[n].currentVariant=this._mVariantManagement[n].currentVariant),this.getVariants(n).forEach(function(e,a){t[n].variants[a]=JSON.parse(JSON.stringify({key:e.content.fileName,title:e.content.content.title,layer:e.content.layer,favorite:e.content.content.favorite,visible:e.content.content.visible}))})}.bind(this)),t},r.prototype.updateCurrentVariantInMap=function(t,n){this._mVariantManagement[t].currentVariant=n},r.prototype.addChangeToVariant=function(t,n,e){var a=this.getVariantChanges(n,e);return-1===a.map(function(t){return t.fileName}).indexOf(t.getDefinition().fileName)&&(a.push(t.getDefinition()),this.setVariantChanges(n,e,a))},r.prototype.removeChangeFromVariant=function(t,n,a){var i=this.getVariantChanges(n,a);return i.forEach(function(n,a){var r=new e(n);r.getId&&r.getId()===t.getId()&&i.splice(a,1)}),this.setVariantChanges(n,a,i)},r.prototype.addVariantToVariantManagement=function(t,n){var e=this._mVariantManagement[n].variants.slice().splice(1),a=this._getIndexToSortVariant(e,t);if(t.content.variantReference){var i=this._getReferencedChanges(n,t);t.controlChanges=i.concat(t.controlChanges)}return this._mVariantManagement[n].variants.splice(a+1,0,t),a+1},r.prototype._getIndexToSortVariant=function(t,n){var e=0;return t.some(function(t,a){if(this.compareVariants(n,t)<0)return e=a,!0;e=a+1}.bind(this)),e},r.prototype.removeVariantFromVariantManagement=function(t,n){var e;return this._mVariantManagement[n].variants.some(function(n,i){if(new a(n).getId()===t.getId())return e=i,!0})&&this._mVariantManagement[n].variants.splice(e,1),e},r},!0);",
	"sap/ui/fl/variants/VariantManagement.js": "/*\n * ! UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/model/Context\",\"sap/ui/model/PropertyBinding\",\"sap/ui/model/json/JSONModel\",\"sap/ui/model/Filter\",\"sap/ui/Device\",\"sap/ui/core/TextAlign\",\"sap/ui/core/InvisibleText\",\"sap/ui/core/Control\",\"sap/ui/core/Icon\",\"sap/ui/core/ValueState\",\"sap/ui/layout/HorizontalLayout\",\"sap/ui/layout/Grid\",\"sap/m/SearchField\",\"sap/m/RadioButton\",\"sap/m/ScreenSize\",\"sap/m/PopinDisplay\",\"sap/m/ColumnListItem\",\"sap/m/Column\",\"sap/m/Text\",\"sap/m/Bar\",\"sap/m/Table\",\"sap/m/Page\",\"sap/m/PlacementType\",\"sap/m/ButtonType\",\"sap/m/Toolbar\",\"sap/m/ToolbarSpacer\",\"sap/m/Button\",\"sap/m/CheckBox\",\"sap/m/Dialog\",\"sap/m/Input\",\"sap/m/Label\",\"sap/m/Title\",\"sap/m/ResponsivePopover\",\"sap/m/SelectList\",\"sap/m/ObjectIdentifier\",\"sap/m/OverflowToolbar\",\"sap/m/OverflowToolbarPriority\",\"sap/m/OverflowToolbarLayoutData\",\"sap/m/VBox\",\"sap/ui/fl/Utils\",\"../changeHandler/BaseTreeModifier\"],function(t,e,i,a,o,n,s,r,l,h,d,p,g,u,c,_,m,M,v,N,V,y,A,f,E,T,b,S,I,x,C,D,O,w,R,P,L,F,K,B,G,U){\"use strict\";var k=l.extend(\"sap.ui.fl.variants.VariantManagement\",{metadata:{library:\"sap.ui.fl\",designtime:\"sap/ui/fl/designtime/variants/VariantManagement.designtime\",properties:{showExecuteOnSelection:{type:\"boolean\",group:\"Misc\",defaultValue:!1},showSetAsDefault:{type:\"boolean\",group:\"Misc\",defaultValue:!0},manualVariantKey:{type:\"boolean\",group:\"Misc\",defaultValue:!1},inErrorState:{type:\"boolean\",group:\"Misc\",defaultValue:!1},editable:{type:\"boolean\",group:\"Misc\",defaultValue:!0},modelName:{type:\"string\",group:\"Misc\",defaultValue:null},updateVariantInURL:{type:\"boolean\",group:\"Misc\",defaultValue:!1}},associations:{for:{type:\"sap.ui.core.Control\",multiple:!0}},events:{save:{parameters:{name:{type:\"string\"},overwrite:{type:\"boolean\"},key:{type:\"string\"},execute:{type:\"boolean\"},def:{type:\"boolean\"}}},manage:{},initialized:{}}},renderer:function(t,e){t.write(\"<div \"),t.writeControlData(e),t.addClass(\"sapUiFlVarMngmt\"),t.writeClasses(),t.write(\">\"),t.renderControl(e.oVariantLayout),t.write(\"</div>\")}});return k.MODEL_NAME=\"$FlexVariants\",k.INNER_MODEL_NAME=\"$sapUiFlVariants\",k.MAX_NAME_LEN=100,k.COLUMN_FAV_IDX=0,k.COLUMN_NAME_IDX=1,k.prototype.init=function(){this._sModelName=k.MODEL_NAME,this.attachModelContextChange(this._setModel,this),this._oRb=sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\"),this._createInnerModel(),this.oVariantInvisibleText=new r({text:{parts:[{path:\"currentVariant\",model:this._sModelName},{path:\"modified\",model:this._sModelName}],formatter:function(t,e){t=e?this._oRb.getText(\"VARIANT_MANAGEMENT_SEL_VARIANT_MOD\",[t]):this._oRb.getText(\"VARIANT_MANAGEMENT_SEL_VARIANT\",[t])}.bind(this)}}),this.oVariantText=new O(this.getId()+\"-text\",{text:{path:\"currentVariant\",model:this._sModelName,formatter:function(t){return this.getSelectedVariantText(t)}.bind(this)}}),this.oVariantText.addStyleClass(\"sapUiFlVarMngmtClickable\"),this.oVariantText.addStyleClass(\"sapUiFlVarMngmtTitle\"),n.system.phone?this.oVariantText.addStyleClass(\"sapUiFlVarMngmtTextPhoneMaxWidth\"):this.oVariantText.addStyleClass(\"sapUiFlVarMngmtTextMaxWidth\");var t=new D(this.getId()+\"-modified\",{text:\"*\",visible:{path:\"modified\",model:this._sModelName,formatter:function(t){return null!==t&&void 0!==t&&t}}});t.setVisible(!1),t.addStyleClass(\"sapUiFlVarMngmtModified\"),t.addStyleClass(\"sapUiFlVarMngmtClickable\"),t.addStyleClass(\"sapMTitleStyleH4\"),this.oVariantPopoverTrigger=new S(this.getId()+\"-trigger\",{icon:\"sap-icon://slim-arrow-down\",type:E.Transparent}),this.oVariantPopoverTrigger.addAriaLabelledBy(this.oVariantInvisibleText),this.oVariantPopoverTrigger.addStyleClass(\"sapUiFlVarMngmtTriggerBtn\"),this.oVariantPopoverTrigger.addStyleClass(\"sapMTitleStyleH4\"),this.oVariantLayout=new p({content:[this.oVariantText,t,this.oVariantPopoverTrigger,this.oVariantInvisibleText]}),this.oVariantLayout.addStyleClass(\"sapUiFlVarMngmtLayout\"),this.addDependent(this.oVariantLayout)},k.prototype.getTitle=function(){return this.oVariantText},k.prototype._createInnerModel=function(){var t=new a({showExecuteOnSelection:!1,showSetAsDefault:!0,editable:!0,popoverTitle:this._oRb.getText(\"VARIANT_MANAGEMENT_VARIANTS\")});this.setModel(t,k.INNER_MODEL_NAME),this._bindProperties()},k.prototype._bindProperties=function(){this.bindProperty(\"showExecuteOnSelection\",{path:\"/showExecuteOnSelection\",model:k.INNER_MODEL_NAME}),this.bindProperty(\"showSetAsDefault\",{path:\"/showSetAsDefault\",model:k.INNER_MODEL_NAME}),this.bindProperty(\"editable\",{path:\"/editable\",model:k.INNER_MODEL_NAME})},k.prototype.getOriginalDefaultVariantKey=function(){var t=this.getModel(this._sModelName);return t&&this.oContext?t.getProperty(this.oContext+\"/originalDefaultVariant\"):null},k.prototype.setDefaultVariantKey=function(t){var e=this.getModel(this._sModelName);e&&this.oContext&&e.setProperty(this.oContext+\"/defaultVariant\",t)},k.prototype.getDefaultVariantKey=function(){var t=this.getModel(this._sModelName);return t&&this.oContext?t.getProperty(this.oContext+\"/defaultVariant\"):null},k.prototype.setCurrentVariantKey=function(t){var e=this.getModel(this._sModelName);return e&&this.oContext&&e.setProperty(this.oContext+\"/currentVariant\",t),this},k.prototype.getCurrentVariantKey=function(){var t=this.getModel(this._sModelName);return t&&this.oContext?t.getProperty(this.oContext+\"/currentVariant\"):null},k.prototype._assignPopoverTitle=function(){var t,e,i=this.getModel(this._sModelName);i&&this.oContext&&(t=i.getProperty(this.oContext+\"/popoverTitle\")),void 0!==t&&(e=this.getModel(k.INNER_MODEL_NAME))&&e.setProperty(\"/popoverTitle\",t)},k.prototype.getVariants=function(){return this._getItems()},k.prototype.setModified=function(t){var e=this.getModel(this._sModelName);e&&this.oContext&&e.setProperty(this.oContext+\"/modified\",t)},k.prototype.getModified=function(){var t=this.getModel(this._sModelName);return!(!t||!this.oContext)&&t.getProperty(this.oContext+\"/modified\")},k.prototype.getSelectedVariantText=function(t){var e=this._getItemByKey(t);return e?e.title:\"\"},k.prototype.getStandardVariantKey=function(){var t=this._getItems();return t&&t[0]?t[0].key:null},k.prototype.getShowFavorites=function(){var t=this.getModel(this._sModelName);return!(!t||!this.oContext)&&t.getProperty(this.oContext+\"/showFavorites\")},k.prototype._clearDeletedItems=function(){this._aDeletedItems=[]},k.prototype._addDeletedItem=function(t){this._aDeletedItems.push(t)},k.prototype._getDeletedItems=function(t){return this._aDeletedItems},k.prototype._getItems=function(){var t=[];return this.oContext&&this.oContext.getObject()&&(t=this.oContext.getObject().variants.filter(function(t){return!t.hasOwnProperty(\"visible\")||t.visible})),t},k.prototype._getItemByKey=function(t){var e=null;return this._getItems().some(function(i){return i.key===t&&(e=i),null!=e}),e},k.prototype._rebindControl=function(t){this.oVariantInvisibleText.unbindProperty(\"text\"),this.oVariantInvisibleText.bindProperty(\"text\",{parts:[{path:\"currentVariant\",model:this._sModelName},{path:\"modified\",model:this._sModelName}],formatter:function(t,e){t=e?this._oRb.getText(\"VARIANT_MANAGEMENT_SEL_VARIANT_MOD\",[t]):this._oRb.getText(\"VARIANT_MANAGEMENT_SEL_VARIANT\",[t])}.bind(this)}),this.oVariantText.unbindProperty(\"text\"),this.oVariantText.bindProperty(\"text\",{path:\"currentVariant\",model:this._sModelName,formatter:function(t){return this.getSelectedVariantText(t)}.bind(this)}),this.oVariantText.unbindProperty(\"visible\",{path:\"modified\",model:this._sModelName,formatter:function(t){return null!==t&&void 0!==t&&t}})},k.prototype.setModelName=function(t){this.getModelName()&&(this.oContext=null),this.setProperty(\"modelName\",t),this._sModelName=t,this._rebindControl()},k.prototype._setBindingContext=function(){var t,i;this.oContext||(t=this.getModel(this._sModelName))&&(i=this._getLocalId())&&(this.oContext=new e(t,\"/\"+i),this.setBindingContext(this.oContext,this._sModelName),!this.getModelName()&&t.registerToModel&&t.registerToModel(this),this._assignPopoverTitle(),this._registerPropertyChanges(t),this.fireInitialized())},k.prototype._getLocalId=function(){return this.getModelName()&&this._sModelName!==k.MODEL_NAME?this.getId():U.getSelector(this,G.getComponentForControl(this)).id},k.prototype._setModel=function(){this._setBindingContext()},k.prototype._registerPropertyChanges=function(t){new i(t,this.oContext+\"/variantsEditable\").attachChange(function(t){if(t&&t.oSource&&t.oSource.oModel&&t.oSource.sPath){var e,i=t.oSource.oModel.getProperty(t.oSource.sPath);(e=this.getModel(k.INNER_MODEL_NAME))&&e.setProperty(\"/editable\",i)}}.bind(this))},k.prototype.handleOpenCloseVariantPopover=function(){this.bPopoverOpen?this.oVariantPopOver&&this.oVariantPopOver.isOpen()?this.oVariantPopOver.close():this.getInErrorState()&&this.oErrorVariantPopOver&&this.oErrorVariantPopOver.isOpen()&&this.oErrorVariantPopOver.close():this._openVariantList()},k.prototype.getFocusDomRef=function(){if(this.oVariantPopoverTrigger)return this.oVariantPopoverTrigger.getFocusDomRef()},k.prototype.onclick=function(t){this.oVariantPopoverTrigger&&!this.bPopoverOpen&&this.oVariantPopoverTrigger.focus(),this.handleOpenCloseVariantPopover()},k.prototype.onkeydown=function(e){(e.which===t.sap.KeyCodes.F4||e.which===t.sap.KeyCodes.SPACE||!0===e.altKey&&e.which===t.sap.KeyCodes.ARROW_UP||!0===e.altKey&&e.which===t.sap.KeyCodes.ARROW_DOWN)&&this._openVariantList()},k.prototype.onAfterRendering=function(){this.oVariantText.$().off(\"mouseover\").on(\"mouseover\",function(){this.oVariantPopoverTrigger.addStyleClass(\"sapUiFlVarMngmtTriggerBtnHover\")}.bind(this)),this.oVariantText.$().off(\"mouseout\").on(\"mouseout\",function(){this.oVariantPopoverTrigger.removeStyleClass(\"sapUiFlVarMngmtTriggerBtnHover\")}.bind(this))},k.prototype._openInErrorState=function(){var t;this.oErrorVariantPopOver||(t=new B({fitContainer:!0,alignItems:sap.m.FlexAlignItems.Center,items:[new h({size:\"4rem\",color:\"lightgray\",src:\"sap-icon://message-error\"}),new O({titleStyle:sap.ui.core.TitleLevel.H2,text:this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_TEXT1\")}),new N({textAlign:sap.ui.core.TextAlign.Center,text:this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_TEXT2\")})]}),t.addStyleClass(\"sapUiFlVarMngmtErrorPopover\"),this.oErrorVariantPopOver=new w(this.getId()+\"-errorpopover\",{title:{path:\"/popoverTitle\",model:k.INNER_MODEL_NAME},contentWidth:\"400px\",placement:f.Bottom,content:[new A(this.getId()+\"-errorselpage\",{showSubHeader:!1,showNavButton:!1,showHeader:!1,content:[t]})],afterOpen:function(){this.bPopoverOpen=!0}.bind(this),afterClose:function(){this.bPopoverOpen&&setTimeout(function(){this.bPopoverOpen=!1}.bind(this),200)}.bind(this),contentHeight:\"300px\"}),this.oErrorVariantPopOver.attachBrowserEvent(\"keyup\",function(t){32===t.which&&this.oErrorVariantPopOver.close()}.bind(this))),this.bPopoverOpen||this.oErrorVariantPopOver.openBy(this.oVariantLayout)},k.prototype._createVariantList=function(){if(!this.oVariantPopOver){this.oVariantManageBtn=new S(this.getId()+\"-manage\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_MANAGE\"),enabled:!0,press:function(){this._openManagementDialog()}.bind(this),layoutData:new K({priority:F.Low})}),this.oVariantSaveBtn=new S(this.getId()+\"-mainsave\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_SAVE\"),press:function(){this._handleVariantSave()}.bind(this),enabled:{path:\"modified\",model:this._sModelName,formatter:function(t){return t}},layoutData:new K({priority:F.Low})}),this.oVariantSaveAsBtn=new S(this.getId()+\"-saveas\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_SAVEAS\"),press:function(){this._openSaveAsDialog()}.bind(this),layoutData:new K({priority:F.Low})}),this._oVariantList=new R(this.getId()+\"-list\",{selectedKey:{path:\"currentVariant\",model:this._sModelName},itemPress:function(t){var e=null;if(t&&t.getParameters()){var i=t.getParameters().item;i&&(e=i.getKey())}e&&(this.setCurrentVariantKey(e),this.oVariantPopOver.close())}.bind(this)}),this._oVariantList.setNoDataText(this._oRb.getText(\"VARIANT_MANAGEMENT_NODATA\"));var t=new sap.ui.core.Item({key:\"{\"+this._sModelName+\">key}\",text:\"{\"+this._sModelName+\">title}\"});this._oVariantList.bindAggregation(\"items\",{path:\"variants\",model:this._sModelName,template:t}),this._oSearchField=new u(this.getId()+\"-search\"),this._oSearchField.attachLiveChange(function(t){this._triggerSearch(t,this._oVariantList)}.bind(this)),this.oVariantSelectionPage=new A(this.getId()+\"-selpage\",{subHeader:new T({content:[this._oSearchField]}),content:[this._oVariantList],footer:new L({content:[new b(this.getId()+\"-spacer\"),this.oVariantSaveBtn,this.oVariantSaveAsBtn,this.oVariantManageBtn]}),showNavButton:!1,showHeader:!1,showFooter:{path:\"/editable\",model:k.INNER_MODEL_NAME}}),this.oVariantPopOver=new w(this.getId()+\"-popover\",{title:{path:\"/popoverTitle\",model:k.INNER_MODEL_NAME},contentWidth:\"400px\",placement:f.Bottom,content:[this.oVariantSelectionPage],afterOpen:function(){this.bPopoverOpen=!0}.bind(this),afterClose:function(){this.bPopoverOpen&&setTimeout(function(){this.bPopoverOpen=!1}.bind(this),200)}.bind(this),contentHeight:\"300px\"}),this.oVariantPopOver.addStyleClass(\"sapUiFlVarMngmtPopover\"),this.oVariantLayout.$().closest(\".sapUiSizeCompact\").length>0&&this.oVariantPopOver.addStyleClass(\"sapUiSizeCompact\"),this.addDependent(this.oVariantPopOver)}},k.prototype._openVariantList=function(){var t;if(this.getInErrorState())return void this._openInErrorState();this.bPopoverOpen||this.oContext&&(this._createVariantList(),this._oSearchField.setValue(\"\"),this._oVariantList.getBinding(\"items\").filter(this._getFilters()),this.oVariantSelectionPage.setShowSubHeader(this._oVariantList.getItems().length>9),this.oVariantSaveBtn.setEnabled(!1),this.oVariantSaveAsBtn.setEnabled(!0),this.getModified()&&(t=this._getItemByKey(this.getCurrentVariantKey()))&&t.change&&this.oVariantSaveBtn.setEnabled(!0),this.oVariantPopOver.openBy(this.oVariantLayout))},k.prototype._triggerSearch=function(t,e){if(t){var i=t.getParameters();if(i){var a=i.newValue?i.newValue:\"\",n=new o({path:\"title\",operator:sap.ui.model.FilterOperator.Contains,value1:a});e.getBinding(\"items\").filter(this._getFilters(n))}}},k.prototype._createSaveAsDialog=function(){if(!this.oSaveAsDialog){this.oInputName=new C(this.getId()+\"-name\",{liveChange:function(t){this._checkVariantNameConstraints(this.oInputName,this.oSaveSave)}.bind(this)});var t=new D(this.getId()+\"-namelabel\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_NAME\"),required:!0});t.setLabelFor(this.oInputName),this.oDefault=new I(this.getId()+\"-default\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_SETASDEFAULT\"),visible:{path:\"/showSetAsDefault\",model:k.INNER_MODEL_NAME},width:\"100%\"}),this.oExecuteOnSelect=new I(this.getId()+\"-execute\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_EXECUTEONSELECT\"),visible:{path:\"/showExecuteOnSelection\",model:k.INNER_MODEL_NAME},width:\"100%\"}),this.oInputManualKey=new C(this.getId()+\"-key\",{liveChange:function(t){this._checkVariantNameConstraints(this.oInputManualKey)}.bind(this)}),this.oLabelKey=new D(this.getId()+\"-keylabel\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_KEY\"),required:!0}),this.oLabelKey.setLabelFor(this.oInputManualKey),this.oSaveSave=new S(this.getId()+\"-variantsave\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_OK\"),press:function(){this._bSaveCanceled=!1,this._handleVariantSaveAs(this.oInputName.getValue())}.bind(this),enabled:!0});var e=new g({defaultSpan:\"L12 M12 S12\"});this.getShowSetAsDefault()&&e.addContent(this.oDefault),this.getShowExecuteOnSelection()&&e.addContent(this.oExecuteOnSelect),this.oSaveAsDialog=new x(this.getId()+\"-savedialog\",{title:this._oRb.getText(\"VARIANT_MANAGEMENT_SAVEDIALOG\"),beginButton:this.oSaveSave,endButton:new S(this.getId()+\"-variantcancel\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_CANCEL\"),press:function(){this._bSaveCanceled=!0,this.oSaveAsDialog.close()}.bind(this)}),content:[t,this.oInputName,this.oLabelKey,this.oInputManualKey,e],stretch:n.system.phone}),this.oSaveAsDialog.addStyleClass(\"sapUiPopupWithPadding\"),this.oSaveAsDialog.addStyleClass(\"sapUiFlVarMngmtSaveDialog\"),this.oVariantLayout.$().closest(\".sapUiSizeCompact\").length>0&&this.oSaveAsDialog.addStyleClass(\"sapUiSizeCompact\"),this.addDependent(this.oSaveAsDialog)}},k.prototype._openSaveAsDialog=function(){this._createSaveAsDialog(),this.oInputName.setValue(this.getSelectedVariantText(this.getCurrentVariantKey())),this.oSaveSave.setEnabled(!1),this.oInputName.setEnabled(!0),this.oInputName.setValueState(d.None),this.oInputName.setValueStateText(null),this.oDefault.setSelected(!1),this.oExecuteOnSelect.setSelected(!1),this.oVariantPopOver&&this.oVariantPopOver.close(),this.getManualVariantKey()?(this.oInputManualKey.setVisible(!0),this.oInputManualKey.setEnabled(!0),this.oInputManualKey.setValueState(d.None),this.oInputManualKey.setValueStateText(null),this.oLabelKey.setVisible(!0)):(this.oInputManualKey.setVisible(!1),this.oLabelKey.setVisible(!1)),this.oSaveAsDialog.open()},k.prototype._handleVariantSaveAs=function(t){var e=null,i=t.trim(),a=this.oInputManualKey.getValue().trim();if(\"\"==i)return this.oInputName.setValueState(d.Error),void this.oInputName.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_EMPTY\"));if(this.getManualVariantKey()){if(\"\"==a)return this.oInputManualKey.setValueState(d.Error),void this.oInputManualKey.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_EMPTY\"));e=a}this.oSaveAsDialog&&this.oSaveAsDialog.close(),this.oDefault.getSelected()&&this.setDefaultVariantKey(e),this.setModified(!1),this.fireSave({key:e,name:i,overwrite:!1,def:this.oDefault.getSelected(),execute:this.oExecuteOnSelect.getSelected()})},k.prototype._handleVariantSave=function(){var t=this._getItemByKey(this.getCurrentVariantKey()),e=!1;this.getDefaultVariantKey()===t.key&&(e=!0),this.oVariantPopOver&&this.oVariantPopOver.close(),this.fireSave({name:t.title,overwrite:!0,key:t.key,def:e}),this.setModified(!1)},k.prototype.openManagementDialog=function(t){t&&this.oManagementDialog&&(this.oManagementDialog.destroy(),this.oManagementDialog=void 0),this._openManagementDialog()},k.prototype._triggerSearchInManageDialog=function(t,e){if(t){var i=t.getParameters();if(i){var a=i.newValue?i.newValue:\"\",n=[this._getVisibleFilter(),new o({filters:[new o({path:\"title\",operator:sap.ui.model.FilterOperator.Contains,value1:a}),new o({path:\"author\",operator:sap.ui.model.FilterOperator.Contains,value1:a})],and:!1})];e.getBinding(\"items\").filter(n),this._bDeleteOccured=!0}}},k.prototype._createManagementDialog=function(){if(!this.oManagementDialog){this.oManagementTable=new y(this.getId()+\"-managementTable\",{growing:!0,columns:[new v({width:\"3rem\",visible:{path:\"showFavorites\",model:this._sModelName}}),new v({header:new N({text:this._oRb.getText(\"VARIANT_MANAGEMENT_NAME\")}),width:\"14rem\"}),new v({header:new N({text:this._oRb.getText(\"VARIANT_MANAGEMENT_DEFAULT\")}),width:\"4rem\",demandPopin:!0,popinDisplay:m.Inline,minScreenWidth:_.Tablet,visible:{path:\"/showSetAsDefault\",model:k.INNER_MODEL_NAME}}),new v({header:new N({text:this._oRb.getText(\"VARIANT_MANAGEMENT_EXECUTEONSELECT\")}),width:\"6rem\",hAlign:s.Center,demandPopin:!0,popinDisplay:m.Inline,minScreenWidth:\"800px\",visible:{path:\"/showExecuteOnSelection\",model:k.INNER_MODEL_NAME}}),new v({header:new N({text:this._oRb.getText(\"VARIANT_MANAGEMENT_AUTHOR\")}),width:\"8rem\",demandPopin:!0,popinDisplay:m.Inline,minScreenWidth:\"900px\"}),new v({width:\"2rem\",hAlign:s.Center}),new v({visible:!1})]}),this.oManagementSave=new S(this.getId()+\"-managementsave\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_OK\"),enabled:!0,press:function(){this._handleManageSavePressed()}.bind(this)}),this.oManagementCancel=new S(this.getId()+\"-managementcancel\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_CANCEL\"),press:function(){this.oManagementDialog.close(),this._handleManageCancelPressed()}.bind(this)}),this.oManagementDialog=new x(this.getId()+\"-managementdialog\",{resizable:!0,draggable:!0,customHeader:new V(this.getId()+\"-managementHeader\",{contentMiddle:[new N(this.getId()+\"-managementHeaderText\",{text:this._oRb.getText(\"VARIANT_MANAGEMENT_MANAGEDIALOG\")})]}),beginButton:this.oManagementSave,endButton:this.oManagementCancel,content:[this.oManagementTable],stretch:n.system.phone}),this.oManagementDialog.isPopupAdaptationAllowed=function(){return!1},this._oSearchFieldOnMgmtDialog=new u,this._oSearchFieldOnMgmtDialog.attachLiveChange(function(t){this._triggerSearchInManageDialog(t,this.oManagementTable)}.bind(this));var t=new V(this.getId()+\"-mgmHeaderSearch\",{contentRight:[this._oSearchFieldOnMgmtDialog]});this.oManagementDialog.setSubHeader(t),this.oVariantLayout.$().closest(\".sapUiSizeCompact\").length>0&&this.oManagementDialog.addStyleClass(\"sapUiSizeCompact\"),this.addDependent(this.oManagementDialog),this.oManagementTable.bindAggregation(\"items\",{path:\"variants\",model:this._sModelName,factory:this._templateFactoryManagementDialog.bind(this),filters:this._getVisibleFilter()}),this._bDeleteOccured=!1}},k.prototype._setFavoriteIcon=function(t,e){t&&(t.setSrc(e?\"sap-icon://favorite\":\"sap-icon://unfavorite\"),t.setTooltip(this._oRb.getText(e?\"VARIANT_MANAGEMENT_FAV_DEL_TOOLTIP\":\"VARIANT_MANAGEMENT_FAV_ADD_TOOLTIP\")))},k.prototype._templateFactoryManagementDialog=function(t,e){var i,a,o,n=e.getObject();if(n){var s=function(t){this._checkVariantNameConstraints(t.oSource,this.oManagementSave,t.oSource.getBindingContext(this._sModelName).getObject().key)}.bind(this),r=function(t){this._handleManageTitleChanged(t.oSource.getBindingContext(this._sModelName).getObject())}.bind(this),l=function(t){!0===t.getParameters().selected&&this._handleManageDefaultVariantChange(t.oSource,t.oSource.getBindingContext(this._sModelName).getObject())}.bind(this),d=function(t){this._handleManageExecuteOnSelectionChanged(t.oSource.getBindingContext(this._sModelName).getObject())}.bind(this),p=function(t){this._handleManageDeletePressed(t.oSource.getBindingContext(this._sModelName).getObject())}.bind(this),g=function(t){this._handleManageFavoriteChanged(t.oSource,t.oSource.getBindingContext(this._sModelName).getObject())}.bind(this);o=n.rename?new C({liveChange:s,change:r,value:\"{\"+this._sModelName+\">title}\"}):new P({title:\"{\"+this._sModelName+\">title}\"}),i=new S({icon:\"sap-icon://sys-cancel\",enabled:!0,type:E.Transparent,press:p,tooltip:this._oRb.getText(\"VARIANT_MANAGEMENT_DELETE\"),visible:n.remove}),this._assignColumnInfoForDeleteButton(i),a=this.oContext.getPath();var u=new h({src:{path:\"favorite\",model:this._sModelName,formatter:function(t){return t?\"sap-icon://favorite\":\"sap-icon://unfavorite\"}},tooltip:{path:\"favorite\",model:this._sModelName,formatter:function(t){return this._oRb.getText(t?\"VARIANT_MANAGEMENT_FAV_DEL_TOOLTIP\":\"VARIANT_MANAGEMENT_FAV_ADD_TOOLTIP\")}.bind(this)},press:g});u.addStyleClass(\"sapUiFlVarMngmtFavColor\");return new M({cells:[u,o,new c({groupName:this.getId(),select:l,selected:{path:a+\"/defaultVariant\",model:this._sModelName,formatter:function(t){return n.key===t}}}),new I({select:d,selected:\"{\"+this._sModelName+\">executeOnSelect}\"}),new N({text:\"{\"+this._sModelName+\">author}\",textAlign:\"Begin\"}),i,new N({text:\"{\"+this._sModelName+\">key}\"})]})}},k.prototype._openManagementDialog=function(){this._createManagementDialog(),this.oVariantPopOver&&this.oVariantPopOver.close(),this._clearDeletedItems(),this.oManagementSave.setEnabled(!1),this._oSearchFieldOnMgmtDialog.setValue(\"\"),this._bDeleteOccured&&(this._bDeleteOccured=!1,this.oManagementTable.bindAggregation(\"items\",{path:\"variants\",model:this._sModelName,factory:this._templateFactoryManagementDialog.bind(this),filters:this._getVisibleFilter()})),this.oManagementDialog.open()},k.prototype._assignColumnInfoForDeleteButton=function(t){this._oInvisibleDeleteColumnName||(this._oInvisibleDeleteColumnName=new r({text:this._oRb.getText(\"VARIANT_MANAGEMENT_ACTION_COLUMN\")}),this.oManagementDialog.addContent(this._oInvisibleDeleteColumnName)),this._oInvisibleDeleteColumnName&&t.addAriaLabelledBy(this._oInvisibleDeleteColumnName)},k.prototype._handleManageDefaultVariantChange=function(t,e){var i=e.key;this._anyInErrorState(this.oManagementTable)||this.oManagementSave.setEnabled(!0),this.getShowFavorites()&&!e.favorite&&t&&(e.favorite=!e.favorite,this._setFavoriteIcon(t.getParent().getCells()[k.COLUMN_FAV_IDX],e.favorite)),this.setDefaultVariantKey(i)},k.prototype._handleManageCancelPressed=function(){var t,e;this._getDeletedItems().forEach(function(t){t.visible=!0}),this._getItems().forEach(function(t){t.title=t.originalTitle,t.favorite=t.originalFavorite,t.executeOnSelection=t.originalExecuteOnSelection}),t=this.getOriginalDefaultVariantKey(),t!==this.getDefaultVariantKey()&&this.setDefaultVariantKey(t),(e=this.getModel(this._sModelName))&&e.checkUpdate()},k.prototype._handleManageFavoriteChanged=function(t,e){this._anyInErrorState(this.oManagementTable)||this.oManagementSave.setEnabled(!0),this.getDefaultVariantKey()===e.key&&e.favorite||(e.favorite=!e.favorite,this._setFavoriteIcon(t,e.favorite))},k.prototype._handleManageDeletePressed=function(t){var e,i=t.key;1!==this.oManagementTable.getItems().length&&(this._anyInErrorState(this.oManagementTable)||this.oManagementSave.setEnabled(!0),t.visible=!1,this._addDeletedItem(t),i===this.getDefaultVariantKey()&&this.setDefaultVariantKey(this.getStandardVariantKey()),(e=this.getModel(this._sModelName))&&e.checkUpdate())},k.prototype._handleManageExecuteOnSelectionChanged=function(t){this._anyInErrorState(this.oManagementTable)||this.oManagementSave.setEnabled(!0)},k.prototype._handleManageTitleChanged=function(t){this._anyInErrorState(this.oManagementTable)||this.oManagementSave.setEnabled(!0)},k.prototype._handleManageSavePressed=function(){this._getDeletedItems().some(function(t){return t.key===this.getCurrentVariantKey()&&(this.setModified(!1),this.setCurrentVariantKey(this.getStandardVariantKey()),!0)}.bind(this)),this.fireManage(),this.oManagementDialog.close()},k.prototype._anyInErrorState=function(t){var e,i,a=!1;return t&&(e=t.getItems(),e.some(function(t){return i=t.getCells()[k.COLUMN_NAME_IDX],i&&i.getValueState&&i.getValueState()===d.Error&&(a=!0),a})),a},k.prototype._getFilters=function(t){var e=[];return t&&e.push(t),e.push(this._getVisibleFilter()),this.getShowFavorites()&&e.push(this._getFilterFavorites()),e},k.prototype._getVisibleFilter=function(){return new o({path:\"visible\",operator:sap.ui.model.FilterOperator.EQ,value1:!0})},k.prototype._getFilterFavorites=function(){return new o({path:\"favorite\",operator:sap.ui.model.FilterOperator.EQ,value1:!0})},k.prototype._checkVariantNameConstraints=function(t,e,i){if(t){var a=t.getValue();a=a.trim(),this._checkIsDuplicate(a,i)?(t.setValueState(d.Error),t.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_DUPLICATE\"))):\"\"===a?(t.setValueState(d.Error),t.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_ERROR_EMPTY\"))):a.indexOf(\"{\")>-1?(t.setValueState(d.Error),t.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_NOT_ALLOWED_CHAR\",[\"{\"]))):a.length>k.MAX_NAME_LEN?(t.setValueState(d.Error),t.setValueStateText(this._oRb.getText(\"VARIANT_MANAGEMENT_MAX_LEN\",[k.MAX_NAME_LEN]))):(t.setValueState(d.None),t.setValueStateText(null)),e&&(t.getValueState()===d.Error?e.setEnabled(!1):e.setEnabled(!0))}},k.prototype._checkIsDuplicate=function(t,e){var i=!1,a=this._getItems(),o=t.toLowerCase();return a.some(function(t){if(t.title.toLowerCase()===o){if(e&&e===t.key)return!1;i=!0}return i}),i},k.prototype.exit=function(){var t;this.oDefault&&!this.oDefault._bIsBeingDestroyed&&this.oDefault.destroy(),this.oDefault=void 0,this.oExecuteOnSelect&&!this.oExecuteOnSelect._bIsBeingDestroyed&&this.oExecuteOnSelect.destroy(),this.oExecuteOnSelect=void 0,this._oRb=void 0,this.oContext=void 0,this._oVariantList=void 0,this.oVariantSelectionPage=void 0,this.oVariantLayout=void 0,this.oVariantText=void 0,this.oVariantPopoverTrigger=void 0,this.oVariantInvisibleText=void 0,this._oSearchField=void 0,this._oSearchFieldOnMgmtDialog=void 0,(t=this.getModel(k.INNER_MODEL_NAME))&&t.destroy()},k},!0);",
	"sap/ui/fl/variants/VariantModel.js": "/*\n * ! UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/model/json/JSONModel\",\"sap/ui/fl/Utils\",\"sap/ui/fl/changeHandler/BaseTreeModifier\",\"sap/ui/fl/Change\",\"sap/ui/fl/changeHandler/Base\",\"sap/ui/fl/changeHandler/JsControlTreeModifier\"],function(e,t,a,n,r,i,o){\"use strict\";var s=t.extend(\"sap.ui.fl.variants.VariantModel\",{constructor:function(e,a,n,r){this.pSequentialImportCompleted=Promise.resolve(),t.apply(this,arguments),this.bObserve=r,this.oFlexController=a,this.oComponent=n,this.oVariantController=void 0,this._oResourceBundle=sap.ui.getCore().getLibraryResourceBundle(\"sap.ui.fl\"),a&&a._oChangePersistence&&(this.oVariantController=a._oChangePersistence._oVariantController),e&&\"object\"==typeof e&&(Object.keys(e).forEach(function(t){e[t].variants.forEach(function(a){e[t].currentVariant||a.key!==e[t].defaultVariant||(e[t].currentVariant=a.key),a.originalTitle=a.title,a.originalFavorite=a.favorite}),e[t].originalCurrentVariant=e[t].currentVariant,e[t].originalDefaultVariant=e[t].defaultVariant}),this.setData(e))}});return s.prototype.updateCurrentVariant=function(e,t){var n,r,i;n=this.oData[e].originalCurrentVariant,this.oData[e].modified&&(i=this.oVariantController.getVariantChanges(e,n),this._removeDirtyChanges(i,e,n),this.oData[e].modified=!1),r=this.oFlexController._oChangePersistence.loadSwitchChangesMapForComponent(e,n,t);var o=a.getAppComponentForControl(this.oComponent);return Promise.resolve().then(this.oFlexController.revertChangesOnControl.bind(this.oFlexController,r.aRevert,o)).then(this.oFlexController.applyVariantChanges.bind(this.oFlexController,r.aNew,this.oComponent)).then(function(){this.oData[e].originalCurrentVariant=t,this.oData[e].currentVariant=t,this.oData[e].updateVariantInURL&&(this._updateVariantInURL(e,t),this.oVariantController.updateCurrentVariantInMap(e,t)),this.checkUpdate()}.bind(this))},s.prototype._updateVariantInURL=function(e,t){var n=this.getVariantIndexInURL(e);if(n.parameters){var r=n.parameters[this.oVariantController.sVariantTechnicalParameterName]?n.parameters[this.oVariantController.sVariantTechnicalParameterName].slice(0):[];-1===n.index?r.push(t):r[n.index]=t,a.setTechnicalURLParameterValues(this.oComponent,this.oVariantController.sVariantTechnicalParameterName,r)}},s.prototype.getVariantIndexInURL=function(e){var t=-1,n=a.getTechnicalParametersForComponent(this.oComponent);return n&&Array.isArray(n[this.oVariantController.sVariantTechnicalParameterName])&&n[this.oVariantController.sVariantTechnicalParameterName].some(function(a,n){if(this.oVariantController.getVariant(e,a))return t=n,!0}.bind(this)),{parameters:n,index:t}},s.prototype.getCurrentVariantReference=function(e){return this.oData[e].currentVariant},s.prototype.getVariantManagementReference=function(e){var t=\"\",a=-1;return Object.keys(this.oData).some(function(n){return this.oData[n].variants.some(function(r,i){if(r.key===e)return t=n,a=i,!0})}.bind(this)),{variantManagementReference:t,variantIndex:a}},s.prototype.getVariant=function(e,t){return this.oVariantController.getVariant(t||this.getVariantManagementReference(e).variantManagementReference,e)},s.prototype.getVariantProperty=function(e,t){return this.getVariant(e).content.content[t]},s.prototype._addChange=function(e){var t=e.getVariantReference(),a=this.getVariantManagementReference(t).variantManagementReference;return this.oData[a].modified=!!this.oData[a].variantsEditable,this.checkUpdate(!0),this.oVariantController.addChangeToVariant(e,a,t)},s.prototype._removeChange=function(e){var t=e.getVariantReference(),a=this.getVariantManagementReference(t).variantManagementReference;return this.oVariantController.removeChangeFromVariant(e,a,t)},s.prototype._removeDirtyChanges=function(e,t,n){var r,i=a.getAppComponentForControl(this.oComponent),o=e.map(function(e){return e.fileName}),s=this.oFlexController._oChangePersistence.getDirtyChanges().filter(function(e){return r=o.indexOf(e.getDefinition().fileName)>-1,r&&this.oVariantController.removeChangeFromVariant(e,t,n),r}.bind(this));return s.forEach(function(e){this.oFlexController.deleteChange(e,i)}.bind(this)),this.oFlexController.revertChangesOnControl(s.reverse(),i)},s.prototype._getVariantTitleCount=function(e,t){return this.getData()[t].variants.reduce(function(t,a){return e===a.title&&a.visible&&t++,t},0)},s.prototype._duplicateVariant=function(t){var n=t.newVariantReference,r=t.sourceVariantReference,i=this.getVariant(r),o={content:{},controlChanges:JSON.parse(JSON.stringify(i.controlChanges)),variantChanges:{}},s=a.isLayerAboveCurrentLayer(i.content.layer);Object.keys(i.content).forEach(function(e){\"fileName\"===e?o.content[e]=n:\"variantReference\"===e?0===s?o.content[e]=i.content.variantReference:-1===s&&(o.content[e]=r):\"content\"===e?(o.content[e]=JSON.parse(JSON.stringify(i.content[e])),o.content.content.title=t.title):o.content[e]=i.content[e]}),o.content.layer=t.layer;var l=o.controlChanges.slice(),h={};return o.controlChanges=l.reduce(function(t,n){return 0===a.isLayerAboveCurrentLayer(n.layer)&&(h=e.extend(!0,{},n),h.fileName=a.createDefaultFileName(n.changeType),h.variantReference=o.content.fileName,h.support||(h.support={}),h.support.sourceChangeFileName=n.fileName,t.push(h)),t},[]),o},s.prototype._copyVariant=function(e){var t=this._duplicateVariant(e),a={key:t.content.fileName,layer:e.layer,title:t.content.content.title,originalTitle:t.content.content.title,favorite:!0,originalFavorite:!0,rename:!0,change:!0,remove:!0,visible:!0},n=this.oFlexController.createVariant(t,this.oComponent),r=[];[n].concat(n.getControlChanges()).forEach(function(e){r.push(this.oFlexController._oChangePersistence.addDirtyChange(e))}.bind(this));var i=this.oVariantController.addVariantToVariantManagement(n.getDefinitionWithChanges(),e.variantManagementReference);return this.oData[e.variantManagementReference].variants.splice(i,0,a),this.updateCurrentVariant(e.variantManagementReference,n.getId()).then(function(){return r})},s.prototype.removeVariant=function(e,t,a){return this.oFlexController._oChangePersistence.getDirtyChanges().filter(function(t){return t.getVariantReference&&t.getVariantReference()===e.getId()||t.getId()===e.getId()}).forEach(function(e){this.oFlexController._oChangePersistence.deleteChange(e)}.bind(this)),this.updateCurrentVariant(a,t).then(function(){var t=this.oVariantController.removeVariantFromVariantManagement(e,a);this.oData[a].variants.splice(t,1),this.checkUpdate()}.bind(this))},s.prototype.collectModelChanges=function(e,t){var a=this.getData()[e],n=a.variants,r=[],i={};return n.forEach(function(e){e.originalTitle!==e.title&&(i={variantReference:e.key,changeType:\"setTitle\",title:e.title,originalTitle:e.originalTitle,layer:t},r.push(i)),e.originalFavorite!==e.favorite&&(i={variantReference:e.key,changeType:\"setFavorite\",favorite:e.favorite,originalFavorite:e.originalFavorite,layer:t},r.push(i)),e.visible||(i={variantReference:e.key,changeType:\"setVisible\",visible:!1,layer:t},r.push(i))}),a.originalDefaultVariant!==a.defaultVariant&&(i={variantManagementReference:e,changeType:\"setDefault\",defaultVariant:a.defaultVariant,originalDefaultVariant:a.originalDefaultVariant,layer:t},r.push(i)),r},s.prototype.manageVariants=function(e,t,a){return new Promise(function(n){e.attachManage({resolve:n,variantManagementReference:t,layer:a},this.fnManageClickRta,this),e.openManagementDialog(!0)}.bind(this))},s.prototype._setVariantProperties=function(e,t,a){var n,r=-1,o=null,s=this.getData();t.variantReference&&(r=this.getVariantManagementReference(t.variantReference).variantIndex,n=s[e].variants[r]);var l={},h={};switch(t.changeType){case\"setTitle\":h.title=t.title,n.title=t.title,n.originalTitle=n.title;break;case\"setFavorite\":h.favorite=t.favorite,n.favorite=t.favorite,n.originalFavorite=n.favorite;break;case\"setVisible\":h.visible=t.visible,h.createdByReset=!1,n.visible=t.visible;break;case\"setDefault\":h.defaultVariant=t.defaultVariant,s[e].defaultVariant=t.defaultVariant,s[e].originalDefaultVariant=s[e].defaultVariant}if(r>-1){var c=this.oVariantController._setVariantData(h,e,r);s[e].variants.splice(r,1),s[e].variants.splice(c,0,n)}else this.oVariantController._mVariantManagement[e]&&(this.oVariantController._mVariantManagement[e].defaultVariant=t.defaultVariant);return a?(l.changeType=t.changeType,l.layer=t.layer,\"setDefault\"===t.changeType?(l.fileType=\"ctrl_variant_management_change\",l.selector={id:e}):(\"setTitle\"===t.changeType&&i.setTextInChange(l,\"title\",t.title,\"XFLD\"),l.fileType=\"ctrl_variant_change\",l.selector={id:t.variantReference}),o=this.oFlexController.createBaseChange(l,t.appComponent),o.setContent(h),this.oVariantController._updateChangesForVariantManagementInMap(o.getDefinition(),e,!0),this.oFlexController._oChangePersistence.addDirtyChange(o)):t.change&&(this.oVariantController._updateChangesForVariantManagementInMap(t.change.getDefinition(),e,!1),this.oFlexController._oChangePersistence.deleteChange(t.change)),this.setData(s),this.checkUpdate(!0),o},s.prototype._ensureStandardVariantExists=function(e){var t=this.getData();if(!t[e]&&(t[e]={currentVariant:e,originalCurrentVariant:e,defaultVariant:e,originalDefaultVariant:e,variants:[{key:e,title:this._oResourceBundle.getText(\"STANDARD_VARIANT_TITLE\"),originalTitle:this._oResourceBundle.getText(\"STANDARD_VARIANT_ORIGINAL_TITLE\"),favorite:!0,originalFavorite:!0,visible:!0}]},this.setData(t),this.oVariantController)){var a={changes:{variantSection:{}}},n={defaultVariant:e,variantManagementChanges:{},variants:[{content:{fileName:e,fileType:\"ctrl_variant\",variantManagementReference:e,variantReference:\"\",content:{title:this._oResourceBundle.getText(\"STANDARD_VARIANT_TITLE\")}},controlChanges:[],variantChanges:{}}]};a.changes.variantSection[e]=n,this.oVariantController._setChangeFileContent(a,{})}},s.prototype._setModelPropertiesForControl=function(e,t,n){var r=function(e,t,n){return e.layer===a.getCurrentLayer(!n)&&e.key!==t};this.oData[e].modified=!1,this.oData[e].showFavorites=!0,\"function\"==typeof this.fnManageClick&&\"function\"==typeof this.fnManageClickRta||this._initializeManageVariantsEvents(),n.detachManage(this.fnManageClick,this),n.detachManage(this.fnManageClickRta,this),t?(this.oData[e].variantsEditable=!1,this.oData[e].variants.forEach(function(a){a.rename=!0,a.change=!0,a.remove=r(a,e,t)})):this.oData[e]._isEditable?(n.attachManage({variantManagementReference:e},this.fnManageClick,this),this.oData[e].variantsEditable=!0,this.oData[e].variants.forEach(function(n){n.remove=r(n,e,t),n.layer===a.getCurrentLayer(!0)?(n.rename=!0,n.change=!0):(n.rename=!1,n.change=!1)})):(this.oData[e].variantsEditable=!1,this.oData[e].variants.forEach(function(e){e.remove=!1,e.rename=!1,e.change=!1}))},s.prototype._initializeManageVariantsEvents=function(){this.fnManageClickRta=function(e,t){var a=this.collectModelChanges(t.variantManagementReference,t.layer);t.resolve(a)},this.fnManageClick=function(e,t){if(this.oFlexController&&this.oVariantController){this.collectModelChanges(t.variantManagementReference,a.getCurrentLayer(!0)).forEach(function(e){e.appComponent=this.oComponent,this._setVariantProperties(t.variantManagementReference,e,!0)}.bind(this)),this.oFlexController._oChangePersistence.saveDirtyChanges()}}},s.prototype._handleCurrentVariantChange=function(e){var t=e.getSource(),a=t.getContext().getPath().replace(/^\\//,\"\");this.oData[a].currentVariant!==this.oData[a].originalCurrentVariant&&this.updateCurrentVariant(a,t.getValue())},s.prototype._handleSave=function(e){var t=e.getSource(),n=e.getParameter(\"def\"),r=a.getAppComponentForControl(this.oComponent)||a.getAppComponentForControl(t),i=this._getLocalId(t.getId(),r),o=this.getCurrentVariantReference(i);if(e.getParameter(\"overwrite\"))return this.oFlexController.saveAll(),this.oData[i].modified=!1,this.checkUpdate(!0),Promise.resolve();var s=a.createDefaultFileName(\"Copy\"),l={variantManagementReference:i,appComponent:r,layer:a.getCurrentLayer(!0),title:e.getParameter(\"name\"),sourceVariantReference:o,newVariantReference:s},h=this.oVariantController.getVariantChanges(i,o);return this._copyVariant(l).then(function(e){return this._removeDirtyChanges(h,i,o).then(function(){if(n){var e={changeType:\"setDefault\",defaultVariant:s,originalDefaultVariant:this.oData[i].defaultVariant,appComponent:r,layer:a.getCurrentLayer(!0),variantManagementReference:i};this._setVariantProperties(i,e,!0)}return this.oFlexController.saveAll(),this.oData[i].modified=!1,this.checkUpdate(!0),Promise.resolve()}.bind(this))}.bind(this))},s.prototype._getLocalId=function(e,t){return n.getSelector(e,t).id},s.prototype.registerToModel=function(e){var t=this._getLocalId(e,a.getAppComponentForControl(e)||this.oComponent);this._ensureStandardVariantExists(t),e&&(this.oData[t]._isEditable=e.getEditable(),this.oData[t].updateVariantInURL=e.getUpdateVariantInURL(),e.getTitle().getBinding(\"text\").attachChange(this._handleCurrentVariantChange,this),this._setModelPropertiesForControl(t,!1,e),e.attachSave(this._handleSave,this))},s.prototype.addControlChangesToVariant=function(e,t){var n,r=a.getAppComponentForControl(this.oComponent),i=this._getLocalId(t,r),s=this.oData[i].currentVariant,l=[],h={appComponent:this.oComponent,modifier:o};return e.forEach(function(e){n=o.bySelector(e.getSelector(),r),e.setVariantReference(s),this._addChange(e),l.push(function(){return this.oFlexController._oChangePersistence.addDirtyChange(e),this.oFlexController._oChangePersistence._addChangeAndUpdateDependencies(r,e),this.oFlexController.checkTargetAndApplyChange(e,n,h)}.bind(this))}.bind(this)),a.execPromiseQueueSequentially(l)},s},!0);",
	"sap/ui/fl/XmlPreprocessorImpl.js": "/*!\n * UI development toolkit for HTML5 (OpenUI5)\n * (c) Copyright 2009-2023 SAP SE or an SAP affiliate company.\n * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.\n */\nsap.ui.define([\"jquery.sap.global\",\"sap/ui/core/Component\",\"sap/ui/fl/FlexControllerFactory\",\"sap/ui/fl/Utils\",\"sap/ui/fl/LrepConnector\",\"sap/ui/fl/ChangePersistenceFactory\",\"sap/ui/fl/ChangePersistence\"],function(e,n,o,r,t,i,s){\"use strict\";var a=function(){};return a.process=function(n,t){try{if(!t||t.sync)return e.sap.log.warning(\"Flexibility feature for applying changes on an XML view is only available for asynchronous views; merge is be done later on the JS controls.\"),n;t.viewId=t.id;var a=sap.ui.getCore().getComponent(t.componentId);if(!a)return r.log.warning(\"View is generated without a component. Flexibility features are not possible.\"),Promise.resolve(n);var l=r.getAppComponentForControl(a),p=r.getComponentClassName(l),g=r.getAppVersionFromManifest(l.getManifest());return i.getChangePersistenceForComponent(p,g).getCacheKey().then(function(e){return e&&e!==s.NOTAG?o.create(p,g).processXmlView(n,t).then(function(){return r.log.debug(\"flex processing view \"+t.id+\" finished\"),n}):(r.log.warning(\"No cache key could be determined for the view; flexibility XML view preprocessing is skipped. The processing will be done later on the JS controls.\"),Promise.resolve(n))},function(){return r.log.warning(\"Error happens when getting flex cache key! flexibility XML view preprocessing is skipped. The processing will be done later on the JS controls.\"),Promise.resolve(n)})}catch(o){var c=\"view \"+t.id+\": \"+o;return e.sap.log.info(c),Promise.resolve(n)}},a.getCacheKey=function(e){var n=sap.ui.getCore().getComponent(e.componentId),o=r.getAppComponentForControl(n);if(r.isVariantByStartupParameter(o))return Promise.resolve();var t=r.getComponentClassName(o),s=r.getAppVersionFromManifest(o.getManifest());return i.getChangePersistenceForComponent(t,s).getCacheKey()},a},!0);",
	"sap/ui/fl/manifest.json": "{\"_version\":\"1.9.0\",\"sap.app\":{\"_version\":\"1.2.0\",\"id\":\"sap.ui.fl\",\"type\":\"library\",\"applicationVersion\":{\"version\":\"9.4.0-0\"},\"title\":\"The OpenUI5-based library, sap.ui.fl.\"},\"sap.ui5\":{\"_version\":\"1.1.0\",\"dependencies\":{\"libs\":{\"sap.ui.core\":{},\"sap.m\":{}}},\"library\":{\"i18n\":\"messagebundle.properties\"}}}",
	"sap/ui/fl/support/apps/contentbrowser/manifest.json": "{\"_version\":\"1.8.0\",\"sap.app\":{\"id\":\"sap.ui.fl.support.apps.contentbrowser.app\",\"type\":\"application\",\"i18n\":\"i18n/i18n.properties\",\"title\":\"{{appTitle}}\",\"description\":\"{{appDescription}}\",\"applicationVersion\":{\"version\":\"1.0.0\"},\"ach\":\"CA-UI5-FL\",\"resources\":\"resources.json\"},\"sap.ui\":{\"technology\":\"UI5\",\"deviceTypes\":{\"desktop\":true,\"tablet\":true,\"phone\":true}},\"sap.ui5\":{\"rootView\":{\"viewName\":\"sap.ui.fl.support.apps.contentbrowser.view.MainView\",\"type\":\"XML\",\"async\":true},\"dependencies\":{\"minUI5Version\":\"1.45\",\"libs\":{\"sap.m\":{},\"sap.ui.layout\":{}}},\"models\":{\"i18n\":{\"type\":\"sap.ui.model.resource.ResourceModel\",\"settings\":{\"bundleName\":\"sap.ui.fl.support.apps.contentbrowser.i18n.i18n\"}},\"@i18n\":{\"type\":\"sap.ui.model.resource.ResourceModel\",\"settings\":{\"bundleName\":\"sap.ui.fl.support.apps.contentbrowser.i18n.i18n\"}}},\"routing\":{\"config\":{\"routerClass\":\"sap.m.routing.Router\",\"viewType\":\"XML\",\"viewPath\":\"sap.ui.fl.support.apps.contentbrowser.view\",\"controlId\":\"sap.ui.fl.support.apps.contentbrowser.App\",\"controlAggregation\":\"masterPages\",\"async\":true},\"routes\":[{\"pattern\":\"\",\"name\":\"Layers\",\"target\":\"Layers\"},{\"pattern\":\"{layer}/:namespace:\",\"name\":\"LayerContentMaster\",\"target\":[\"LayerContentMaster\",\"EmptyDetails\"],\"subroutes\":[{\"pattern\":\"{layer}/{namespace}/{fileName}.{fileType}\",\"name\":\"ContentDetailsFlip\",\"target\":\"ContentDetailsFlip\"},{\"pattern\":\"{layer}/{namespace}/{fileName}.{fileType}\",\"name\":\"ContentDetails\",\"target\":\"ContentDetails\"}]},{\"pattern\":\"edit/{layer}/{namespace}/{fileName}.{fileType}\",\"name\":\"ContentDetailsEdit\",\"target\":\"ContentDetailsEdit\"}],\"targets\":{\"overview\":{\"viewName\":\"Overview\"},\"Layers\":{\"viewName\":\"Layers\",\"viewLevel\":1},\"LayerContentMaster\":{\"viewName\":\"LayerContentMaster\",\"viewLevel\":2},\"EmptyDetails\":{\"viewName\":\"EmptyDetails\",\"controlAggregation\":\"detailPages\"},\"ContentDetails\":{\"viewName\":\"ContentDetails\",\"controlAggregation\":\"detailPages\"},\"ContentDetailsFlip\":{\"viewName\":\"ContentDetails\",\"transition\":\"flip\",\"controlAggregation\":\"detailPages\"},\"ContentDetailsEdit\":{\"viewName\":\"ContentDetailsEdit\",\"transition\":\"flip\",\"controlAggregation\":\"detailPages\"}}},\"contentDensities\":{\"compact\":false,\"cozy\":false}}}",
	"sap/ui/fl/support/apps/contentbrowser/view/ContentDetails.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\txmlns:mvc=\"sap.ui.core.mvc\"\n\txmlns=\"sap.m\" controllerName=\"sap.ui.fl.support.apps.contentbrowser.controller.ContentDetails\"\n\txmlns:f=\"sap.ui.layout.form\"\n\txmlns:html=\"http://www.w3.org/1999/xhtml\"><Page\n\t\ttitle=\"{path: 'selectedContent>/', formatter: '.oDataUtils.formatItemTitle'}\"><IconTabBar id=\"contentDetailsIconTabBar\"><items><IconTabFilter\n\t\t\t\t\ticon=\"sap-icon://attachment\"\n\t\t\t\t\ttext=\"{i18n>content}\"><f:SimpleForm\n\t\t\t\t\t\tminWidth=\"1024\"\n\t\t\t\t\t\tmaxContainerCols=\"1\"\n\t\t\t\t\t\teditable=\"false\"\n\t\t\t\t\t\tlayout=\"ResponsiveGridLayout\"\n\t\t\t\t\t\tlabelSpanL=\"12\"\n\t\t\t\t\t\tlabelSpanM=\"12\"\n\t\t\t\t\t\tcolumnsL=\"1\"\n\t\t\t\t\t\tcolumnsM=\"1\"><Text class=\"codeBlock\" text=\"{selectedContent>/data}\" /></f:SimpleForm></IconTabFilter><IconTabFilter\n\t\t\t\t\ticon=\"sap-icon://hint\"\n\t\t\t\t\tcount=\"{selectedContent>/metadata/length}\"\n\t\t\t\t\ttext=\"{i18n>metadata}\"><List\n\t\t\t\t\t\titems=\"{\n\t\t\t\t\t\t\tpath: 'selectedContent>/metadata',\n\t\t\t\t\t\t\tsorter: {\n\t\t\t\t\t\t\t\tpath: 'selectedContent>category',\n\t\t\t\t\t\t\t\tdescending: true,\n\t\t\t\t\t\t\t\tgroup: true\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\tgroupHeaderFactory: '.oDataUtils.getGroupHeader'}\" ><items><DisplayListItem\n\t\t\t\t\t\t\t\tlabel=\"{selectedContent>name}\"\n\t\t\t\t\t\t\t\tvalue=\"{selectedContent>value}\" /></items></List></IconTabFilter></items></IconTabBar><footer><Toolbar><ToolbarSpacer /><Button text=\"{i18n>edit}\" press=\".onEditClicked\" /><Button text=\"{i18n>delete}\" press=\".onDeleteClicked\" /></Toolbar></footer></Page></core:View>\n",
	"sap/ui/fl/support/apps/contentbrowser/view/ContentDetailsEdit.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\t\t   xmlns:mvc=\"sap.ui.core.mvc\"\n\t\t   xmlns=\"sap.m\" controllerName=\"sap.ui.fl.support.apps.contentbrowser.controller.ContentDetailsEdit\"\n\t\t   xmlns:f=\"sap.ui.layout.form\"\n\t\t   xmlns:html=\"http://www.w3.org/1999/xhtml\"><Page title=\"{path: 'selectedContent>/', formatter: '.oDataUtils.formatItemTitle'}\"><f:SimpleForm\n\t\t\t\tminWidth=\"1024\"\n\t\t\t\tmaxContainerCols=\"1\"\n\t\t\t\teditable=\"false\"\n\t\t\t\tlayout=\"ResponsiveGridLayout\"\n\t\t\t\tlabelSpanL=\"12\"\n\t\t\t\tlabelSpanM=\"12\"\n\t\t\t\tcolumnsL=\"1\"\n\t\t\t\tcolumnsM=\"1\"><TextArea id=\"dataTextArea\" class=\"codeBlock\" rows=\"50\" value=\"{selectedContent>/data}\" /></f:SimpleForm><footer><Toolbar><ToolbarSpacer /><Button text=\"{i18n>save}\" press=\".onSave\" /><Button text=\"{i18n>cancel}\" press=\".onCancel\" /></Toolbar></footer></Page></core:View>",
	"sap/ui/fl/support/apps/contentbrowser/view/EmptyDetails.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\txmlns:mvc=\"sap.ui.core.mvc\"\n\txmlns=\"sap.m\"\n\txmlns:html=\"http://www.w3.org/1999/xhtml\"><Page></Page></core:View>",
	"sap/ui/fl/support/apps/contentbrowser/view/LayerContentMaster.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\txmlns:mvc=\"sap.ui.core.mvc\"\n\txmlns=\"sap.m\" controllerName=\"sap.ui.fl.support.apps.contentbrowser.controller.LayerContentMaster\"\n\txmlns:html=\"http://www.w3.org/1999/xhtml\"><Page\n\t\t\tshowNavButton=\"true\"\n\t\t\tnavButtonPress=\".navBack\"><subHeader><Toolbar><SearchField\n                    id=\"search\"\n\t\t\t\t\tliveChange=\"onSearch\"\n\t\t\t\t\twidth=\"100%\" /></Toolbar></subHeader><content><List\n\t\t\t\tid=\"masterComponentsList\"\n\t\t\t\tgrowing=\"true\"\n\t\t\t\tgrowingThreshold=\"100\"\n\t\t\t\tgrowingScrollToLoad=\"true\"\n\t\t\t\titems=\"{content>/}\"><items><StandardListItem\n\t\t\t\t\t\ttitle=\"{content>name}\"\n\t\t\t\t\t\tdescription=\"{path: 'content>fileType'}\"\n\t\t\t\t\t\ttype=\"Active\"\n\t\t\t\t\t\tpress=\"onContentSelected\"\n\t\t\t\t\t\tvisible=\"{path: 'content>', formatter: '.oDataUtils.isNotOnBlacklist'}\"\n\t\t\t\t\t\ticon=\"{= ${content>fileType} ? 'sap-icon://document' : 'sap-icon://folder-full'}\"></StandardListItem></items></List></content><footer><Toolbar><Button\n\t\t\t\t\ticon=\"sap-icon://alert\"\n\t\t\t\t\ttext=\"{messages>/length}\"\n\t\t\t\t\ttype=\"Emphasized\"\n\t\t\t\t\tpress=\".handleMessagePopoverPress\"\n\t\t\t\t\tvisible=\"{= ${messages>/length} > 0 }\"/></Toolbar></footer></Page></core:View>\n",
	"sap/ui/fl/support/apps/contentbrowser/view/Layers.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\txmlns:mvc=\"sap.ui.core.mvc\"\n\txmlns=\"sap.m\" controllerName=\"sap.ui.fl.support.apps.contentbrowser.controller.Layers\"\n\txmlns:html=\"http://www.w3.org/1999/xhtml\"><Page title=\"Layers\"><List id=\"masterComponentsList\" items=\"{layers>/}\"><items><StandardListItem\n\t\t\t\t\ttitle=\"{layers>name}\"\n\t\t\t\t\ttype=\"Navigation\"\n\t\t\t\t\tpress=\"onLayerSelected\"\n\t\t\t\t\ticon=\"{layers>icon}\"></StandardListItem></items></List><footer><Toolbar visible=\"{= ${messages>/length} > 0 }\"><Button\n\t\t\t\t\ticon=\"sap-icon://alert\"\n\t\t\t\t\ttext=\"{messages>/length}\"\n\t\t\t\t\ttype=\"Emphasized\"\n\t\t\t\t\tpress=\".handleMessagePopoverPress\"/></Toolbar></footer></Page></core:View>\n",
	"sap/ui/fl/support/apps/contentbrowser/view/MainView.view.xml": "<core:View xmlns:core=\"sap.ui.core\"\n\txmlns:mvc=\"sap.ui.core.mvc\"\n\txmlns=\"sap.m\"\n\txmlns:html=\"http://www.w3.org/1999/xhtml\"><SplitApp id=\"sap.ui.fl.support.apps.contentbrowser.App\"/></core:View>\n",
	"sap/ui/fl/support/diagnostics/Flexibility.view.xml": "<mvc:View xmlns=\"sap.m\" xmlns:core=\"sap.ui.core\" xmlns:mvc=\"sap.ui.core.mvc\" xmlns:l=\"sap.ui.layout\"\n\t\t  controllerName=\"sap.ui.fl.support.diagnostics.Flexibility\"><l:VerticalLayout\n\t\t\tvisible=\"{= !${flexToolSettings>/flInDebug}}\"><core:HTML\n\t\t\t\tcontent=\"{flexToolSettings>/noDebugInfoText}\"\n\t\t\t\tclass=\"sapUISupportLabel\" /></l:VerticalLayout><Toolbar visible=\"{flexToolSettings>/flInDebug}\" ><Select id=\"appSelection\" showSecondaryValues=\"true\"\n\t\t\t\titems=\"{flexApps>/}\" change=\"onAppSelect\"><core:ListItem key=\"{flexApps>key}\" text=\"{flexApps>text}\" additionalText=\"{flexApps>additionalText}\"/></Select><ToolbarSpacer/><Button icon=\"sap-icon://synchronize\" tooltip=\"Synchronize Apps\" press=\"refreshApps\"/></Toolbar><l:Splitter visible=\"{flexToolSettings>/flInDebug}\" ><Tree\n\t\t\t\tid=\"Tree\"\n\t\t\t\titems=\"{flexChanges>/tree}\"\n\t\t\t\tmode=\"SingleSelectMaster\"\n\t\t\t\tincludeItemInSelection=\"true\"\n\t\t\t\tselectionChange=\"treeItemPressed\"><StandardTreeItem\n\t\t\t\t\ttitle=\"{flexChanges>text}\"\n\t\t\t\t\tvisible=\"{\n\t\t\t\t\t\t\tparts: ['flexChanges>', 'flexChanges>/changes', 'flexToolSettings>/hideDependingChanges'],\n\t\t\t\t\t\t\tformatter: '.formatChangeVisibility'\n\t\t\t\t\t\t}\"\n\t\t\t\t\tclass=\"sapUiSupportFlexibility-TreeNode\"\n\t\t\t\t\ticon=\"{\n\t\t\t\t\t\t\tparts: ['flexChanges>id', 'flexChanges>/changes'],\n\t\t\t\t\t\t\tformatter: '.formatTreeIcon'\n\t\t\t\t\t\t}\"><customData><core:CustomData key=\"id\" value=\"{flexChanges>id}\"/><core:CustomData key=\"{\n\t\t\t\t\t\t\tparts: ['flexChanges>id', 'flexChanges>/changes'],\n\t\t\t\t\t\t\tformatter: '._getChangeState'\n\t\t\t\t\t\t}\" value=\"foo\" writeToDom=\"true\"/></customData></StandardTreeItem><layoutData><l:SplitterLayoutData size=\"auto\"/></layoutData></Tree><l:VerticalLayout visible=\"{= !!${flexChangeDetails>/id}}\"><l:layoutData><l:SplitterLayoutData size=\"400px\"/></l:layoutData><l:content><List width=\"100%\"><GroupHeaderListItem title=\"Change Data\" upperCase=\"true\"/><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"ID\"/><Text text=\"{flexChangeDetails>/id}\"/></l:VerticalLayout></CustomListItem><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Applicable\"/><Text text=\"{= ${flexChangeDetails>/isApplicable} ? 'yes' : 'no'}\"/></l:VerticalLayout></CustomListItem><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Possible Root Cause\"/><Text text=\"{= ${flexChangeDetails>/isPossibleRootCause} ? 'yes' : 'no'}\"/></l:VerticalLayout></CustomListItem><CustomListItem visible=\"{= ${flexChangeDetails>/modifier} !== undefined}\"><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Modifier\"/><Text text=\"{flexChangeDetails>/modifier}\"/></l:VerticalLayout></CustomListItem><GroupHeaderListItem title=\"Processing\" upperCase=\"true\"/><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Applied as Change #\"/><Text text=\"{flexChangeDetails>/indexInAppliedChanges}\"/></l:VerticalLayout></CustomListItem><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Failed as Change #\"/><Text text=\"{flexChangeDetails>/indexOfFirstFailing}\"/></l:VerticalLayout></CustomListItem><GroupHeaderListItem title=\"Preconditions\" upperCase=\"true\"/><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Control Present\"/><Text text=\"{= ${flexChangeDetails>/controlPresent} ? 'yes' : 'no'}\"/></l:VerticalLayout></CustomListItem><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Depending Controls Present\"/><Text text=\"{= ${flexChangeDetails>/dependentControls/length} === 0 ? '-' : ${flexChangeDetails>/allDependendingControlsPresent} ? 'yes' : 'no'}\"/></l:VerticalLayout></CustomListItem><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"Direct Dependent Changes Applied\"/><Text text=\"{= ${flexChangeDetails>/dependentChanges/length} === 0 ? '-' : ${flexChangeDetails>/someDirectDependingChangesNotApplied} ? 'no' : 'yes'}\"/></l:VerticalLayout></CustomListItem><GroupHeaderListItem title=\"Dependent Controls\" upperCase=\"true\"/></List><List items=\"{flexChangeDetails>/dependentControls}\"><CustomListItem><l:VerticalLayout class=\"sapUiTinyMargin\"><Label text=\"{flexChangeDetails>id}\"/><Text text=\"{= ${flexChangeDetails>/controlPresent} ? 'Present' : 'Not Present'}\"/></l:VerticalLayout></CustomListItem></List></l:content></l:VerticalLayout></l:Splitter></mvc:View>\n"
}, "sap/ui/fl/library-preload");